<?php
// Include necessary files
include_once('aside.php');

// Initialize variables
$gestamp = ''; // Initialize $gestamp variable
$title = "";
$amount = ''; // Correct variable name to $ammount
$date = '';
$timestamp = '';
$msg = '';

// Check if timestamp is provided in the query string
if (isset($_GET['timestamp'])) {
    $gestamp = htmlspecialchars($_GET['timestamp']); // Sanitize input
}

// Process form submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Validate and sanitize form data
    $title = htmlspecialchars($_POST['Title']);
    $amount = htmlspecialchars($_POST['ammount']);
    $date = htmlspecialchars($_POST['date']); // Ensure date is validated/formatted as needed
    $timestamp = htmlspecialchars($_POST['timestamp']); // Ensure to validate and sanitize this input

    // Database connection assuming $conn is already established
    try {
        // Insert into payment table
        $insert_query = "INSERT INTO payment (payment_title, ammount, date, parent_timestamp) VALUES (?, ?, ?, ?)";
        $stmt = $conn->prepare($insert_query);
        $stmt->bind_param("ssss", $title, $amount, $date, $timestamp); // Corrected number of parameters
        
        if ($stmt->execute()) {
            $stmt->close();

            // Insert into transaction table
            $transaction_title = 'Bills Payment'; // Example dynamic value
            $transaction_payer = 'Get By Admin'; // Example dynamic value

            $sql = "INSERT INTO transaction (transaction_title, transaction_payment_method, transaction_payer, transaction_amount) VALUES (?, 'cash', ?, ?)";
            $stmt2 = $conn->prepare($sql);
            $stmt2->bind_param("sss", $transaction_title, $transaction_payer, $amount);

            if ($stmt2->execute()) {
                $stmt2->close();

                // Redirect to a confirmation page or another relevant page
                $msg = "Payment Created Successfully";
            } else {
                throw new Exception("Error inserting into transaction table: " . $conn->error);
            }
        } else {
            throw new Exception("Error inserting into payment table: " . $conn->error);
        }
    } catch (Exception $e) {
        // Capture and display the error message (for debugging)
        $msg = "Error: " . $e->getMessage();
    }
}
?>
<div class="main ">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post" class="p-1">
        <h3>Create Payment</h3>
        <p><?php echo $msg; ?></p>
        <input type="hidden" name="timestamp" value="<?php echo htmlspecialchars($gestamp); ?>">
        <div class="row">
            <div class="col-12"><input type="text" name="Title" placeholder="Payment Title" class="form-control my-3" required value="<?php echo htmlspecialchars($title); ?>"></div>
            <div class="col-12"><input type="text" name="ammount" placeholder="Paid Amount" class="form-control my-3" required value="<?php echo htmlspecialchars($amount); ?>"></div>
            <div class="col-12"><input type="date" name="date" placeholder="Date" class="form-control my-3" required value="<?php echo htmlspecialchars($date); ?>"></div>
        </div>
       <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>
<?php
include_once('footer.php');
?>
