<?php
include_once('aside.php');
    if ($_SESSION['type'] == "staff") {
        header("Location: 404.php");
        exit();
    }
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get form data
    $ename = $_POST["ename"];
    $epdate = $_POST["epdate"];
    $eqty = $_POST["eqty"];
  
    // Create insert statement using prepared statements
    $stmt = $conn->prepare("INSERT INTO equipment (name, purchase_date, quantity) VALUES (?, ?, ?)");
    $stmt->bind_param("ssi", $ename, $epdate, $eqty);
  
    // Execute query and handle success/failure
    if ($stmt->execute() === TRUE) {
        header('Location: list_of_equipment.php');
        exit();
    } else {
        echo "Error adding equipment: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}
?>
<div class="main p-3">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post">
        <div class="row">
            <div class="col-md-6">
                <label for="ename">Equipment name</label>
                <input type="text" id="ename" name="ename" class="form-control" required>
            </div>
            <div class="col-md-6">
                <label for="epdate">Purchase date</label>
                <input type="date" id="epdate" name="epdate" class="form-control" required>
            </div>
            <div class="col-md-12">
                <label for="eqty">Qty</label>
                <input type="number" id="eqty" name="eqty" class="form-control" required>
            </div>
        </div>
        <button type="submit" class="btn btn-main mt-2">Add Equipment</button>
    </form>
</div>
<?php
include_once('footer.php');
?>
