<?php
include_once('aside.php');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (isset($_POST['pname'], $_POST['pnum'])) {
        $pname = $_POST['pname'];
        $pnum = $_POST['pnum'];
        $punique = str_replace(' ', '', $pname) . $pnum;

        // Check if punique already exists
        $check_sql = "SELECT P_Unique FROM patients WHERE P_Unique = ?";
        $check_stmt = mysqli_prepare($conn, $check_sql);
        mysqli_stmt_bind_param($check_stmt, "s", $punique);
        mysqli_stmt_execute($check_stmt);
        mysqli_stmt_store_result($check_stmt);
        $num_rows = mysqli_stmt_num_rows($check_stmt);

        if ($num_rows > 0) {
            echo "Error: Patient already exists!";
        } else {
            $sql = "INSERT INTO patients (P_Name, P_Phone, P_Unique) VALUES (?, ?, ?)";
            $stmt = mysqli_prepare($conn, $sql);
            mysqli_stmt_bind_param($stmt, "sss", $pname, $pnum, $punique);
            $query = mysqli_stmt_execute($stmt);

            if ($query) {
                header('location:list_of_patients.php');
                exit(); // Ensure script stops execution after redirection
            } else {
                echo "Error: " . mysqli_error($conn);
            }
            mysqli_stmt_close($stmt); // Close prepared statement after execution
        }
        mysqli_stmt_close($check_stmt); // Close prepared statement for checking uniqueness
    }
}

?>
<div class="main p-lg-3">
    <div class="container">
        <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" class="m-2">
            <label for="pname" class="my-2">Patients Name</label>
            <input type="text" id="pname" name="pname" class="form-control">
            <label for="pnum" class="my-2">Phone Number</label>
            <input type="text" id="pnum" name="pnum" class="form-control">
            <button type="submit" class="btn btn-main my-2">Add Patient</button>
        </form>
    </div>
</div>
<?php
include_once('footer.php');
?>