<?php
include_once('aside.php');
$name = ''; // Initialize $name to avoid undefined variable notice
$currentDate = date("Y-m-d"); // Get the current date in YYYY-MM-DD format

if (isset($_GET['pid'])) {
    $getid = $_GET['pid'];

    // Use prepared statements to prevent SQL injection
    $stmt = $conn->prepare("SELECT P_Name , P_Unique  FROM patients WHERE id = ?");
    $stmt->bind_param("i", $getid);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();
        $name = htmlspecialchars($data['P_Name']);
        $P_Unique = htmlspecialchars($data['P_Unique']); // Escape output to prevent XSS
    } else {
        echo "No patient found with the provided ID.";
    }

    $stmt->close();
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $date = new DateTime();
    // Get the current time with microseconds
    $timestamp = $date->format("Y-m-d-H-i-s-u");

    // Convert microseconds to milliseconds by taking the first three digits
    $milliseconds = substr($timestamp, -6, 3);

    // Construct the final timestamp with milliseconds
    $final_timestamp = $date->format("Y-m-d-H-i-s") . '-' . $milliseconds;


    $pname=$name;
    $age=$_POST['p_age'];
    $date=$_POST['cdate'];
    $other_ho=$_POST['other_ho'];
    $other_cc=$_POST['other_cc'];
    $otherinv=$_POST['otherinv'];
    $other_oe=$_POST['other_oe'];
    $other_tp=$_POST['other_tp'];
    $oegcariesur=$_POST['oegcariesur'];
    $oegcariesul=$_POST['oegcariesul'];
    $oegcarieslr=$_POST['oegcarieslr'];
    $oegcariesll=$_POST['oegcariesll'];
    $oecariesur=$_POST['oecariesur'];
    $oecariesul=$_POST['oecariesul'];
    $oecarieslr=$_POST['oecarieslr'];
    $oecariesll=$_POST['oecariesll'];
    $oebdrur=$_POST['oebdrur'];
    $oebdrul=$_POST['oebdrul'];
    $oebdrlr=$_POST['oebdrlr'];
    $oebdrll=$_POST['oebdrll'];
    $oebdcur=$_POST['oebdcur'];
    $oebdcul=$_POST['oebdcul'];
    $oebdclr=$_POST['oebdclr'];
    $oebdcll=$_POST['oebdcll'];
    $oemissingtoothur=$_POST['oemissingtoothur'];
    $oemissingtoothul=$_POST['oemissingtoothul'];
    $oemissingtoothlr=$_POST['oemissingtoothlr'];
    $oemissingtoothll=$_POST['oemissingtoothll'];
    $oemobiletoothur=$_POST['oemobiletoothur'];
    $oemobiletoothul=$_POST['oemobiletoothul'];
    $oemobiletoothlr=$_POST['oemobiletoothlr'];
    $oemobiletoothll=$_POST['oemobiletoothll'];
    $oeattritionur=$_POST['oeattritionur'];
    $oeattritionul=$_POST['oeattritionul'];
    $oeattritionlr=$_POST['oeattritionlr'];
    $oeattritionll=$_POST['oeattritionll'];
    $oecervicalabrasionur=$_POST['oecervicalabrasionur'];
    $oecervicalabrasionul=$_POST['oecervicalabrasionul'];
    $oecervicalabrasionlr=$_POST['oecervicalabrasionlr'];
    $oecervicalabrasionll=$_POST['oecervicalabrasionll'];
    $oeerosionur=$_POST['oeerosionur'];
    $oeerosionul=$_POST['oeerosionul'];
    $oeerosionlr=$_POST['oeerosionlr'];
    $oeerosionll=$_POST['oeerosionll'];
    $oeabfractionur=$_POST['oeabfractionur'];
    $oeabfractionul=$_POST['oeabfractionul'];
    $oeabfractionlr=$_POST['oeabfractionlr'];
    $oeabfractionll=$_POST['oeabfractionll'];
    $oefractureur=$_POST['oefractureur'];
    $oefractureul=$_POST['oefractureul'];
    $oefracturelr=$_POST['oefracturelr'];
    $oefracturell=$_POST['oefracturell'];
    $oepercussionpainur=$_POST['oepercussionpainur'];
    $oepercussionpainul=$_POST['oepercussionpainul'];
    $oepercussionpainlr=$_POST['oepercussionpainlr'];
    $oepercussionpainll=$_POST['oepercussionpainll'];
    $oesharptoothur=$_POST['oesharptoothur'];
    $oesharptoothul=$_POST['oesharptoothul'];
    $oesharptoothlr=$_POST['oesharptoothlr'];
    $oesharptoothll=$_POST['oesharptoothll'];
    $oepericoronitistoothur=$_POST['oepericoronitistoothur'];
    $oepericoronitistoothul=$_POST['oepericoronitistoothul'];
    $oepericoronitistoothlr=$_POST['oepericoronitistoothlr'];
    $oepericoronitistoothll=$_POST['oepericoronitistoothll'];
    $oeimpactedtoothur=$_POST['oeimpactedtoothur'];
    $oeimpactedtoothul=$_POST['oeimpactedtoothul'];
    $oeimpactedtoothlr=$_POST['oeimpactedtoothlr'];
    $oeimpactedtoothll=$_POST['oeimpactedtoothll'];
    $invxrayiopaur=$_POST['invxrayiopaur'];
    $invxrayiopaul=$_POST['invxrayiopaul'];
    $invxrayiopalr=$_POST['invxrayiopalr'];
    $invxrayiopall=$_POST['invxrayiopall'];
    $invxrayrvgur=$_POST['invxrayrvgur'];
    $invxrayrvgul=$_POST['invxrayrvgul'];
    $invxrayrvglr=$_POST['invxrayrvglr'];
    $invxrayrvgll=$_POST['invxrayrvgll'];
    $tpfillingonur=$_POST['tpfillingonur'];
    $tpfillingonul=$_POST['tpfillingonul'];
    $tpfillingonlr=$_POST['tpfillingonlr'];
    $tpfillingonll=$_POST['tpfillingonll'];
    $tprctonur=$_POST['tprctonur'];
    $tprctonul=$_POST['tprctonul'];
    $tprctonlr=$_POST['tprctonlr'];
    $tprctonll=$_POST['tprctonll'];
    $tppconur=$_POST['tppconur'];
    $tppconul=$_POST['tppconul'];
    $tppconlr=$_POST['tppconlr'];
    $tppconll=$_POST['tppconll'];
    $tprpdonur=$_POST['tprpdonur'];
    $tprpdonul=$_POST['tprpdonul'];
    $tprpdonlr=$_POST['tprpdonlr'];
    $tprpdonll=$_POST['tprpdonll'];
    $tpextonur=$_POST['tpextonur'];
    $tpextonul=$_POST['tpextonul'];
    $tpextonlr=$_POST['tpextonlr'];
    $tpextonll=$_POST['tpextonll'];
    $tppulpectomyur=$_POST['tppulpectomyur'];
    $tppulpectomyul=$_POST['tppulpectomyul'];
    $tppulpectomylr=$_POST['tppulpectomylr'];
    $tppulpectomyll=$_POST['tppulpectomyll'];
    $tppulpotomyur=$_POST['tppulpotomyur'];
    $tppulpotomyul=$_POST['tppulpotomyul'];
    $tppulpotomylr=$_POST['tppulpotomylr'];
    $tppulpotomyll=$_POST['tppulpotomyll'];
    $htrauma = isset($_POST['htrauma']) ? $_POST['htrauma'] : '';
    $htraumap = $_POST['htraumap'];
    $hdm = isset($_POST['hdm']) ? $_POST['hdm'] : '';
    $hdmp = $_POST['hdmp'];
    $hpregnancy = isset($_POST['hpregnancy']) ? $_POST['hpregnancy'] : '';
    $hpregnancyp = $_POST['hpregnancyp'];
    $hhtn = isset($_POST['hhtn']) ? $_POST['hhtn'] : '';
    $hhtnp = $_POST['hhtnp'];
    $hhemophilia = isset($_POST['hhemophilia']) ? $_POST['hhemophilia'] : '';
    $hhemophiliap = $_POST['hhemophiliap'];
    $hthalassemia = isset($_POST['hthalassemia']) ? $_POST['hthalassemia'] : '';
    $hthalassemiap = $_POST['hthalassemiap'];
    $hleukemia = isset($_POST['hleukemia']) ? $_POST['hleukemia'] : '';
    $hleukemiap = $_POST['hleukemiap'];
    $hthyroid = isset($_POST['hthyroid']) ? $_POST['hthyroid'] : '';
    $hthyroidp = $_POST['hthyroidp'];
    $hhepatitis = isset($_POST['hhepatitis']) ? $_POST['hhepatitis'] : '';
    $hhepatitisp = $_POST['hhepatitisp'];
    $haids = isset($_POST['haids']) ? $_POST['haids'] : '';
    $haidsp = $_POST['haidsp'];
    $ccpain = isset($_POST['ccpainm']) ? $_POST['ccpainm'] : '';
    $ccsensitivity = isset($_POST['ccsensitivity']) ? $_POST['ccsensitivity'] : '';
    $ccgumbleeding = isset($_POST['ccgumbleeding']) ? $_POST['ccgumbleeding'] : '';
    $Midlinediastema = isset($_POST['Midlinediastema']) ? $_POST['Midlinediastema'] : '';
    $Generalizedspacing = isset($_POST['Generalizedspacing']) ? $_POST['Generalizedspacing'] : '';
    $Gingivitis = isset($_POST['Gingivitis']) ? $_POST['Gingivitis'] : '';
    $Periodontitis = isset($_POST['Periodontitis']) ? $_POST['Periodontitis'] : '';
    $Ulcer = isset($_POST['Ulcer']) ? $_POST['Ulcer'] : '';
    $UlcerPlace=$_POST['UlcerPlace'];
    $Swellingon = isset($_POST['Swellingon']) ? $_POST['Swellingon'] : '';
    $SwellingonPlace=$_POST['SwellingonPlace'];
    $Sinuson = isset($_POST['Sinuson']) ? $_POST['Sinuson'] : '';
    $Sinusonp=$_POST['SinusonP'];
    $PusDrainage = isset($_POST['PusDrainage']) ? $_POST['PusDrainage'] : '';
    $PusDrainagePlace=$_POST['PusDrainagePlace'];
    $staining = isset($_POST['staining']) ? $_POST['staining'] : '';
    $stainingPlace=$_POST['stainingPlace'];
    $calculas = isset($_POST['calculas']) ? $_POST['calculas'] : '';
    $calculasPlace=$_POST['calculasPlace'];
    $invxrayopg = isset($_POST['invxrayopg']) ? $_POST['invxrayopg'] : '';
    $scalingandpolishing = isset($_POST['scalingandpolishing']) ? $_POST['scalingandpolishing'] : '';
    $Bridge = isset($_POST['Bridge']) ? $_POST['Bridge'] : '';
    $CD = isset($_POST['CD']) ? $_POST['CD'] : '';
    $Apisectomy = isset($_POST['Apisectomy']) ? $_POST['Apisectomy'] : '';
    $Apexification = isset($_POST['Apexification']) ? $_POST['Apexification'] : '';
    $Apexogenesis = isset($_POST['Apexogenesis']) ? $_POST['Apexogenesis'] : '';
    $DirectPulpcapping = isset($_POST['DirectPulpcapping']) ? $_POST['DirectPulpcapping'] : '';
    $IndirectPulpcapping = isset($_POST['IndirectPulpcapping']) ? $_POST['IndirectPulpcapping'] : '';
    $Midlinediastemacloser = isset($_POST['Midlinediastemacloser']) ? $_POST['Midlinediastemacloser'] : '';

    $medicine=$_POST['medarea'];
    $punique=$_POST['punique'];  
   

    //************  Array ***********/
    $oegcaries="<table><tr><td>".$oegcariesur."</td><td>".$oegcariesul."</td></tr><tr><td>".$oegcarieslr."</td><td>".$oegcariesll."</td></tr></table>";

    $oecaries="<table><tr><td>".$oecariesur."</td><td>".$oecariesul."</td></tr><tr><td>".$oecarieslr."</td><td>".$oecariesll."</td></tr></table>";

    $oebdr="<table><tr><td>".$oebdrur."</td><td>".$oebdrul."</td></tr><tr><td>".$oebdrlr."</td><td>".$oebdrll."</td></tr></table>";

    $oebdc="<table><tr><td>".$oebdcur."</td><td>".$oebdcul."</td></tr><tr><td>".$oebdclr."</td><td>".$oebdcll."</td></tr></table>";

    $oemissingtooth="<table><tr><td>".$oemissingtoothur."</td><td>".$oemissingtoothul."</td></tr><tr><td>".$oemissingtoothlr."</td><td>".$oemissingtoothll."</td></tr></table>";

    $oemobiletooth="<table><tr><td>".$oemobiletoothur."</td><td>".$oemobiletoothul."</td></tr><tr><td>".$oemobiletoothlr."</td><td>".$oemobiletoothll."</td></tr></table>";

    $oeattrition="<table><tr><td>".$oeattritionur."</td><td>".$oeattritionul."</td></tr><tr><td>".$oeattritionlr."</td><td>".$oeattritionll."</td></tr></table>";

    $oecervicalabrasion="<table><tr><td>".$oecervicalabrasionur."</td><td>".$oecervicalabrasionul."</td></tr><tr><td>".$oecervicalabrasionlr."</td><td>".$oecervicalabrasionll."</td></tr></table>";

    $oeerosion="<table><tr><td>".$oeerosionur."</td><td>".$oeerosionul."</td></tr><tr><td>".$oeerosionlr."</td><td>".$oeerosionll."</td></tr></table>";

    $oeabfraction="<table><tr><td>".$oeabfractionur."</td><td>".$oeabfractionul."</td></tr><tr><td>".$oeabfractionlr."</td><td>".$oeabfractionll."</td></tr></table>";

    $oefracture="<table><tr><td>".$oefractureur."</td><td>".$oefractureul."</td></tr><tr><td>".$oefracturelr."</td><td>".$oefracturell."</td></tr></table>";

    $oepercussionpain="<table><tr><td>".$oepercussionpainur."</td><td>".$oepercussionpainul."</td></tr><tr><td>".$oepercussionpainlr."</td><td>".$oepercussionpainll."</td></tr></table>";

    $oesharptooth="<table><tr><td>".$oesharptoothur."</td><td>".$oesharptoothul."</td></tr><tr><td>".$oesharptoothlr."</td><td>".$oesharptoothll."</td></tr></table>";

    $oepericoronitistooth="<table><tr><td>".$oepericoronitistoothur."</td><td>".$oepericoronitistoothul."</td></tr><tr><td>".$oepericoronitistoothlr."</td><td>".$oepericoronitistoothll."</td></tr></table>";

    $oeimpactedtooth="<table><tr><td>".$oeimpactedtoothur."</td><td>".$oeimpactedtoothul."</td></tr><tr><td>".$oeimpactedtoothlr."</td><td>".$oeimpactedtoothll."</td></tr></table>";

    $invxrayiopa="<table><tr><td>".$invxrayiopaur."</td><td>".$invxrayiopaul."</td></tr><tr><td>".$invxrayiopalr."</td><td>".$invxrayiopall."</td></tr></table>";

    $invxrayrvg="<table><tr><td>".$invxrayrvgur."</td><td>".$invxrayrvgul."</td></tr><tr><td>".$invxrayrvglr."</td><td>".$invxrayrvgll."</td></tr></table>";

    $tpfillingon="<table><tr><td>".$tpfillingonur."</td><td>".$tpfillingonul."</td></tr><tr><td>".$tpfillingonlr."</td><td>".$tpfillingonll."</td></tr></table>";

    $tprcton="<table><tr><td>".$tprctonur."</td><td>".$tprctonul."</td></tr><tr><td>".$tprctonlr."</td><td>".$tprctonll."</td></tr></table>";

    $tppcon="<table><tr><td>".$tppconur."</td><td>".$tppconul."</td></tr><tr><td>".$tppconlr."</td><td>".$tppconll."</td></tr></table>";

    $tprpdon="<table><tr><td>".$tprpdonur."</td><td>".$tprpdonul."</td></tr><tr><td>".$tprpdonlr."</td><td>".$tprpdonll."</td></tr></table>";

    $tpexton="<table><tr><td>".$tpextonur."</td><td>".$tpextonul."</td></tr><tr><td>".$tpextonlr."</td><td>".$tpextonll."</td></tr></table>";

    $tppulpectomy="<table><tr><td>".$tppulpectomyur."</td><td>".$tppulpectomyul."</td></tr><tr><td>".$tppulpectomylr."</td><td>".$tppulpectomyll."</td></tr></table>";

    $tppulpotomy="<table><tr><td>".$tppulpotomyur."</td><td>".$tppulpotomyul."</td></tr><tr><td>".$tppulpotomylr."</td><td>".$tppulpotomyll."</td></tr></table>";

    // $checkbox = []
    //     'scalingandpolishing' => $scalingandpolishing,
    //     'Bridge' => $Bridge,
    //     'CD' => $CD,
    //     'Apisectomy' => $Apisectomy,
    //     'Apexification' => $Apexification,
    //     'Apexogenesis' => $Apexogenesis,
    //     'DirectPulpcapping' => $DirectPulpcapping,
    //     'IndirectPulpcapping' => $IndirectPulpcapping,
    //     'Midlinediastemacloser' => $Midlinediastemacloser
    // ];
    function checkIfBlank($oneVar,$oneVarP,$midtext){
        if (!empty($oneVar)) {
            return $oneVar." ".$midtext." ".$oneVarP."<br>";
        }
        else{
            return"";
        }
    }
    $htraumaf=checkIfBlank($htrauma,$htraumap,"for");
    $hdmf=checkIfBlank($hdm,$hdmp,"for");
    $hpregnancyf=checkIfBlank($hpregnancy,$hpregnancyp,"for");
    $hhtnf=checkIfBlank($hhtn,$hhtnp,"for");
    $hhemophiliaf=checkIfBlank($hhemophilia,$hhemophiliap,"for");
    $hthalassemiaf=checkIfBlank($hthalassemia,$hthalassemiap,"for");
    $hleukemiaf=checkIfBlank($hleukemia,$hleukemiap,"for");
    $hthyroidf=checkIfBlank($hthyroid,$hthyroidp,"for");
    $hhepatitisf=checkIfBlank($hhepatitis,$hhepatitisp,"for");
    $haidsf=checkIfBlank($haids,$haidsp,"for");
    $ccpainf=checkIfBlank($ccpain,"","");
    $ccsensitivityf=checkIfBlank($ccsensitivity,"","");
    $ccgumbleedingf=checkIfBlank($ccgumbleeding,"","");
    $Midlinediastemaf=checkIfBlank($Midlinediastema,"","");
    $Generalizedspacingf=checkIfBlank($Generalizedspacing,"","");
    $Gingivitisf=checkIfBlank($Gingivitis,"","");
    $Periodontitisf=checkIfBlank($Periodontitis,"","");
    $Ulcerf=checkIfBlank($Ulcer,$UlcerPlace,"  ");
    $Swellingonf=checkIfBlank($Swellingon,$SwellingonPlace,"  ");
    $Sinusonf=checkIfBlank($Sinuson,$Sinusonp,"  ");
    $PusDrainagef=checkIfBlank($PusDrainage,$PusDrainagePlace," ");
    $stainingf=checkIfBlank($staining,$stainingPlace,"  ");
    $calculasf=checkIfBlank($calculas,$calculasPlace,"  ");
    $invxrayopgf=checkIfBlank($invxrayopg,"","");
    $scalingandpolishingf=checkIfBlank($scalingandpolishing,"","");
    $Bridgef=checkIfBlank($Bridge,"","");
    $CDf=checkIfBlank($CD,"","");
    $Apisectomyf=checkIfBlank($Apisectomy,"","");
    $Apexogenesisf=checkIfBlank($Apexogenesis,"","");
    $DirectPulpcappingf=checkIfBlank($DirectPulpcapping,"","");
    $IndirectPulpcappingf=checkIfBlank($IndirectPulpcapping,"","");
    $Midlinediastemacloserf=checkIfBlank($Midlinediastemacloser,"","");
    $checkbox=$htraumaf.$hdmf.$hpregnancyf.$hhtnf.$hhemophiliaf.$hthalassemiaf.$hleukemiaf.$hthyroidf.$hhepatitisf.$haidsf.$ccpainf.$ccsensitivityf.$ccgumbleedingf.$Midlinediastemaf.$Generalizedspacingf.$Gingivitisf.$Periodontitisf.$Ulcerf.$Swellingonf.$Sinusonf.$PusDrainagef.$stainingf.$calculas.$invxrayopg.$scalingandpolishingf.$Bridgef.$CDf.$Apisectomyf.$Apexogenesisf.$DirectPulpcappingf.$IndirectPulpcappingf.$Midlinediastemacloserf;
    
    $ho=$htraumaf.$hdmf.$hpregnancyf.$hhtnf.$hhemophiliaf.$hthalassemiaf.$hleukemiaf.$hthyroidf.$hhepatitisf.$haidsf.$other_ho;
    $cc=$ccpainf.$ccsensitivityf.$ccgumbleedingf.$other_cc;
    $oe=$Midlinediastemaf.$Generalizedspacingf.$Gingivitisf.$Periodontitisf.$Ulcerf.$Swellingonf.$Sinusonf.$PusDrainagef.$stainingf.$calculasf.$ot;
    $inv=$invxrayopg.'<br>'.$otherinv;
    $tp=$scalingandpolishingf.$Bridgef.$CDf.$Apisectomyf.$Apexogenesisf.$DirectPulpcappingf.$IndirectPulpcappingf.$Midlinediastemacloserf.$other_tp;
    // Prepare and bind
    $sql = "INSERT INTO prescription 
    (pname, age, date, other_ho, other_cc, otherinv, other_oe, other_tp, oegcaries, oecaries, oebdr, oebdc, oemissingtooth, oemobiletooth, oeattrition, oecervicalabrasion, oeerosion, oeabfraction, oefracture, oepercussionpain, oesharptooth, oepericoronitistooth, oeimpactedtooth, invxrayiopa, invxrayrvg, tpfillingon, tprcton, tppcon, tprpdon, tpexton, tppulpectomy, tppulpotomy, checkbox, medicine, punique, timestamp) 
    VALUES ('$pname', '$age', '$date', '$ho', '$cc', '$inv', '$oe', '$tp', '$oegcaries', '$oecaries', '$oebdr', '$oebdc', '$oemissingtooth', '$oemobiletooth', '$oeattrition', '$oecervicalabrasion', '$oeerosion', '$oeabfraction', '$oefracture', '$oepercussionpain', '$oesharptooth', '$oepericoronitistooth', '$oeimpactedtooth', '$invxrayiopa', '$invxrayrvg', '$tpfillingon', '$tprcton', '$tppcon', '$tprpdon', '$tpexton', '$tppulpectomy', '$tppulpotomy', '$checkbox', '$medicine', '$punique', '$final_timestamp')";
    echo $calculasf;
    // Execute the query
    if (mysqli_query($conn, $sql)) {
        header('Location: view_prescription.php?timestamp=' . $final_timestamp);
        exit();
    } else {
        echo "Error: " . mysqli_error($conn);
    }
    
    // Close the connection
    mysqli_close($conn);


}
?>
<div class="main p-3">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF'] . '?pid=' . $getid); ?>" method="post" class="container">
        <input type="text" value="<?php echo $P_Unique ?>" name="punique" hidden>
        <div class="row">
            <div class="col-md-12">
                <label for="pname">Name</label>
                <input type="text" id="pname" name="name" value="<?php echo $name; ?>" disabled class="form-control">
            </div>
            <div class="col-md-6">
                <label for="p_age">Age</label>
                <input type="text" id="p_age" name="p_age" class="form-control">
            </div>
            <div class="col-md-6">
                <label for="cdate">Date</label>
                <input type="date" id="cdate" name="cdate" value="<?php echo $currentDate; ?>" class="form-control">
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <h4>H/O:</h4>
                <div>
                    <input type="checkbox" name="htrauma" id="htrauma" value="Trauma">
                    <label for="htrauma">Trauma</label>
                    <input type="text" name="htraumap">
                </div>
                <div>
                    <input type="checkbox" name="hdm" id="hdm" value="DM">
                    <label for="hdm">DM</label>
                    <input type="text" name="hdmp">
                </div>
                <div>
                    <input type="checkbox" name="hpregnancy" id="hpregnancy" value="Pregnancy">
                    <label for="hpregnancy">Pregnancy</label>
                    <input type="text" name="hpregnancyp">
                </div>
                <div>
                    <input type="checkbox" name="hhtn" id="hhtn" value="HTN">
                    <label for="hhtn">HTN</label>
                    <input type="text" name="hhtnp">
                </div>
                <div>
                    <input type="checkbox" name="hhemophilia" id="hhemophilia" value="Hemophilia">
                    <label for="hhemophilia">Hemophilia</label>
                    <input type="text" name="hhemophiliap">
                </div>
                <div>
                    <input type="checkbox" name="hthalassemia" id="hthalassemia" value="Thalassemia">
                    <label for="hthalassemia">Thalassemia</label>
                    <input type="text" name="hthalassemiap">
                </div>
                <div>
                    <input type="checkbox" name="hleukemia" id="hleukemia" value="Leukemia">
                    <label for="hleukemia">Leukemia</label>
                    <input type="text" name="hleukemiap">
                </div>
                <div>
                    <input type="checkbox" name="hthyroid" id="hthyroid" value="Thyroid">
                    <label for="hthyroid">Thyroid</label>
                    <input type="text" name="hthyroidp">
                </div>
                <div>
                    <input type="checkbox" name="hhepatitis" id="hhepatitis" value="Hepatitis">
                    <label for="hhepatitis">Hepatitis</label>
                    <input type="text" name="hhepatitisp">
                </div>
                <div>
                    <input type="checkbox" name="haids" id="haids" value="AIDS">
                    <label for="haids">AIDS</label>
                    <input type="text" name="haidsp">
                </div>
                <div>
                    <textarea name="other_ho" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <h4>C/C:</h4>
                <div>
                    <input type="checkbox" name="ccpainm" id="ccpainon" value="Pain On">
                    <label for="ccpainm">Pain On</label>
                </div>
                <div>
                    <input type="checkbox" name="ccsensitivity" id="ccsensitivity" value="Sensitivity on">
                    <label for="ccsensitivity">Sensitivity on</label>
                </div>
                <div>
                    <input type="checkbox" name="ccgumbleeding" id="ccgumbleeding" value="Gum bleeding">
                    <label for="ccgumbleeding">Gum bleeding</label>
                </div>
                <div>
                    <label for="other_cc">Other</label>
                    <textarea name="other_cc" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h4>O/E</h4>
                <div class="row">
                    <div class="py-3 col-sm-6">
                        <h6>G. caries</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oegcariesur"></td>
                                <td><input type="text" name="oegcariesul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oegcarieslr"></td>
                                <td><input type="text" name="oegcariesll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Caries</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oecariesur"></td>
                                <td><input type="text" name="oecariesul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oecarieslr"></td>
                                <td><input type="text" name="oecariesll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>BDR</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oebdrur"></td>
                                <td><input type="text" name="oebdrul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oebdrlr"></td>
                                <td><input type="text" name="oebdrll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>BDC</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oebdcur"></td>
                                <td><input type="text" name="oebdcul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oebdclr"></td>
                                <td><input type="text" name="oebdcll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Missing Tooth/Teeth</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oemissingtoothur"></td>
                                <td><input type="text" name="oemissingtoothul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oemissingtoothlr"></td>
                                <td><input type="text" name="oemissingtoothll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Mobile Tooth/Teeth</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oemobiletoothur"></td>
                                <td><input type="text" name="oemobiletoothul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oemobiletoothlr"></td>
                                <td><input type="text" name="oemobiletoothll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Attrition</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oeattritionur"></td>
                                <td><input type="text" name="oeattritionul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oeattritionlr"></td>
                                <td><input type="text" name="oeattritionll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Cervical Abrasion</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oecervicalabrasionur"></td>
                                <td><input type="text" name="oecervicalabrasionul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oecervicalabrasionlr"></td>
                                <td><input type="text" name="oecervicalabrasionll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Erosion</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oeerosionur"></td>
                                <td><input type="text" name="oeerosionul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oeerosionlr"></td>
                                <td><input type="text" name="oeerosionll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Abfraction</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oeabfractionur"></td>
                                <td><input type="text" name="oeabfractionul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oeabfractionlr"></td>
                                <td><input type="text" name="oeabfractionll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Fracture</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oefractureur"></td>
                                <td><input type="text" name="oefractureul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oefracturelr"></td>
                                <td><input type="text" name="oefracturell"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Percussion Pain</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oepercussionpainur"></td>
                                <td><input type="text" name="oepercussionpainul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oepercussionpainlr"></td>
                                <td><input type="text" name="oepercussionpainll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Sharp Tooth / Teeth</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oesharptoothur"></td>
                                <td><input type="text" name="oesharptoothul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oesharptoothlr"></td>
                                <td><input type="text" name="oesharptoothll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>pericoronitis Tooth / Teeth</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oepericoronitistoothur"></td>
                                <td><input type="text" name="oepericoronitistoothul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oepericoronitistoothlr"></td>
                                <td><input type="text" name="oepericoronitistoothll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Impacted  Tooth / Teeth</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="oeimpactedtoothur"></td>
                                <td><input type="text" name="oeimpactedtoothul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="oeimpactedtoothlr"></td>
                                <td><input type="text" name="oeimpactedtoothll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-12">
                        <input type="checkbox" id="Midlinediastema" name="Midlinediastema" value="Midline diastema">
                        <label for="Midlinediastema">Midline diastema</label><br>

                        <input type="checkbox" id="Generalizedspacing" name="Generalizedspacing" value="Generalized spacing">
                        <label for="Generalizedspacing">Generalized spacing</label><br>

                        <input type="checkbox" id="Gingivitis" name="Gingivitis" value="Gingivitis">
                        <label for="Gingivitis">Gingivitis</label><br>

                        <input type="checkbox" id="Periodontitis" name="Periodontitis" value="Periodontitis">
                        <label for="Periodontitis">Periodontitis</label><br>

                        <input type="checkbox" id="Ulcer" name="Ulcer" value="Ulcer">
                        <label for="Ulcer">Ulcer</label>
                        <input type="text" name="UlcerPlace"><br>

                        <input type="checkbox" id="Swellingon" name="Swellingon" value="Swelling on">
                        <label for="Swellingon">Swelling on</label>
                        <input type="text" name="SwellingonPlace"><br>

                        <input type="checkbox" id="Sinuson" name="Sinuson" value="Sinus on">
                        <label for="Sinuson">Sinus on</label>
                        <input type="text" name="SinusonP"><br>

                        <input type="checkbox" id="PusDrainage" name="PusDrainage" value="Pus Drainage">
                        <label for="PusDrainage">Pus Drainage</label>
                        <input type="text" name="PusDrainagePlace"><br>

                        <input type="checkbox" id="staining" name="staining" value="Staining">
                        <label for="staining">Staining</label>
                        <input type="text" name="stainingPlace"><br>

                        <input type="checkbox" id="calculas" name="calculas" value="Calculas">
                        <label for="calculas">Calculas</label>
                        <input type="text" name="calculasPlace"><br>
                    </div>
                    <div class="py-3 col-sm-12">
                        <textarea name="other_oe" id="other_oe" class="form-control"></textarea>
                    </div>
                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <h4>Inv</h4>
                <input type="Checkbox" name="invxrayopg" id="invxrayopg" value="Xray OPG">
                <label for="invxrayopg">Xray OPG</label><br>
                <div class="py-3">
                    <h6>X-ray IOPA</h6>
                    <table border="1" cellpadding="0">
                        <tr>
                            <td><input type="text" name="invxrayiopaur"></td>
                            <td><input type="text" name="invxrayiopaul"></td>
                        </tr>
                        <tr>
                            <td><input type="text" name="invxrayiopalr"></td>
                            <td><input type="text" name="invxrayiopall"></td>
                        </tr>
                    </table>
                </div>
                <div class="py-3">
                    <h6>X-ray RVG</h6>
                    <table border="1" cellpadding="0">
                        <tr>
                            <td><input type="text" name="invxrayrvgur"></td>
                            <td><input type="text" name="invxrayrvgul"></td>
                        </tr>
                        <tr>
                            <td><input type="text" name="invxrayrvglr"></td>
                            <td><input type="text" name="invxrayrvgll"></td>
                        </tr>
                    </table>
                </div>
                <label>Other (If Required)</label>
                <textarea name="otherinv" class="form-control"></textarea>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <h4>Treatment Plan</h4>
                <div class="row">
                    <div class="py-3 col-sm-6">
                        <h6>Filling on</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tpfillingonur"></td>
                                <td><input type="text" name="tpfillingonul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tpfillingonlr"></td>
                                <td><input type="text" name="tpfillingonll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>RCT on</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tprctonur"></td>
                                <td><input type="text" name="tprctonul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tprctonlr"></td>
                                <td><input type="text" name="tprctonll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>PC on</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tppconur"></td>
                                <td><input type="text" name="tppconul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tppconlr"></td>
                                <td><input type="text" name="tppconll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>RPD on</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tprpdonur"></td>
                                <td><input type="text" name="tprpdonul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tprpdonlr"></td>
                                <td><input type="text" name="tprpdonll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Ext on</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tpextonur"></td>
                                <td><input type="text" name="tpextonul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tpextonlr"></td>
                                <td><input type="text" name="tpextonll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Pulpectomy</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tppulpectomyur"></td>
                                <td><input type="text" name="tppulpectomyul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tppulpectomylr"></td>
                                <td><input type="text" name="tppulpectomyll"></td>
                            </tr>
                        </table>
                    </div>
                    <div class="py-3 col-sm-6">
                        <h6>Pulpotomy</h6>
                        <table border="1" cellpadding="0">
                            <tr>
                                <td><input type="text" name="tppulpotomyur"></td>
                                <td><input type="text" name="tppulpotomyul"></td>
                            </tr>
                            <tr>
                                <td><input type="text" name="tppulpotomylr"></td>
                                <td><input type="text" name="tppulpotomyll"></td>
                            </tr>
                        </table>
                    </div>
                    <div>
                        <input type="checkbox" id="scalingandpolishing" name="scalingandpolishing" value="Scaling and Polishing">
                        <label for="scalingandpolishing">Scaling and Polishing</label><br>
                        <input type="checkbox" id="Bridge" name="Bridge" value="Bridge">
                        <label for="Bridge">Bridge</label><br>
                        <input type="checkbox" id="CD" name="CD" value="CD">
                        <label for="CD">CD</label><br>
                        <input type="checkbox" id="Apisectomy" name="Apisectomy" value="Apisectomy">
                        <label for="Apisectomy">Apisectomy</label><br>
                        <input type="checkbox" id="Apexification" name="Apexification" value="Apexification">
                        <label for="Apexification">Apexification</label><br>
                        <input type="checkbox" id="Apexogenesis" name="Apexogenesis" value="Apexogenesis">
                        <label for="Apexogenesis">Apexogenesis</label><br>
                        <input type="checkbox" id="DirectPulpcapping" name="DirectPulpcapping" value="Direct Pulp capping">
                        <label for="DirectPulpcapping">Direct Pulp capping</label><br>
                        <input type="checkbox" id="IndirectPulpcapping" name="IndirectPulpcapping" value="Indirect Pulp capping">
                        <label for="IndirectPulpcapping">Indirect Pulp capping</label><br>
                        <input type="checkbox" id="Midlinediastemacloser" name="Midlinediastemacloser" value="Midline diastema closer">
                        <label for="Midlinediastemacloser">Midline diastema closer</label><br>

                    </div>
                    <div>
                        <textarea name="other_tp" id="other_tp" class="form-control" ></textarea>
                    </div>

                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <div class="row align-items-center">
                    <div class="col-2">
                        <label for="medicine-type">Type:</label>
                        <select id="medicine-type" name="medicine-type" class="form-control">
                            <option value="Tab">Tablet (Tab)</option>
                            <option value="Cap">Capsule (Cap)</option>
                            <option value="Syp">Syrup (Syp)</option>
                            <option value="Inj">Injection (Inj)</option>
                            <option value="Susp">Suspension (Susp)</option>
                            <option value="Elix">Elixir (Elix)</option>
                            <option value="Soln">Solution (Soln)</option>
                            <option value="Emul">Emulsion (Emul)</option>
                            <option value="Oint">Ointment (Oint)</option>
                            <option value="Crm">Cream (Crm)</option>
                            <option value="Gel">Gel (Gel)</option>
                            <option value="Lot">Lotion (Lot)</option>
                            <option value="Drops">Drops (Drops)</option>
                            <option value="Inh">Inhaler (Inh)</option>
                            <option value="Neb">Nebulizer (Neb)</option>
                            <option value="Supp">Suppository (Supp)</option>
                            <option value="Patch">Patch (Patch)</option>
                            <option value="Pwd">Powder (Pwd)</option>
                            <option value="Loz">Lozenge (Loz)</option>
                            <option value="Gran">Granules (Gran)</option>
                            <option value="Spray">Spray (Spray)</option>
                            <option value="TDS">Transdermal System (TDS)</option>
                            <option value="Buccal">Buccal (Buccal)</option>
                            <option value="SL">Sublingual (SL)</option>
                        </select>
                    </div>
                    <div class="col-3">
                        <label for="item">Item</label>
                        <input type="text" class="form-control py-1" id="item" name="item">
                    </div>
                    <div class="col-3">
                        <label for="rule">Rule</label>
                        <input type="text" class="form-control py-1" id="rule" name="rule">
                    </div>
                    <div class="col-2">
                        <label for="period">Period</label>
                        <input type="text" class="form-control py-1" id="period" name="period">
                    </div>
                    <div class="col-2">
                        <button id="addMedicine" class="btn btn-main">Add</button>
                    </div>
                </div>
                <textarea name="medarea" id="medArea" class="my-2 form-control"></textarea>
            </div>
        </div>
        <button type="submit" class="btn btn-main m-2">Process</button>
    </form>
</div>
<script src="https://cdn.ckeditor.com/ckeditor5/41.4.2/classic/ckeditor.js"></script>
<script src="https://code.jquery.com/jquery-3.7.1.slim.min.js"></script>
<script>
       $(document).ready(function() {
  $('#medArea').keydown(function(event) {
    if (event.key === 'Enter' || event.keyCode === 13) {
      event.preventDefault(); // Prevent default behavior (newline)
      let cursorPosition = this.selectionStart; // Get cursor position
      let currentValue = $(this).val(); // Get current value of textarea

      // Insert <br> at the cursor position
      let newValue = currentValue.substring(0, cursorPosition) + '<br>' + currentValue.substring(cursorPosition);

      // Update textarea value with the new value
      $(this).val(newValue);

      // Set the cursor position after the inserted <br>
      this.setSelectionRange(cursorPosition + 4, cursorPosition + 4); // +4 to account for '<br>'.length
    }
  });

  // Function to convert <br> to new lines for display
  function convertBrToNewLine() {
    let textareaValue = $('#medArea').val();
    let newValue = textareaValue.replace(/<br>/g, '\n');
    $('#medArea').val(newValue);
  }

  // Convert <br> tags to new lines initially and on each change
  convertBrToNewLine();
  $('#medArea').on('input', convertBrToNewLine);
    


            // Function to handle adding medicine
            $('#addMedicine').on('click', function(e){
                e.preventDefault();
                // Retrieve values from input fields
                let medVal = $('#medArea').val();
                let medicinetype = $('#medicine-type').val();
                let item = $('#item').val();
                let rule = $('#rule').val();
                let period = $('#period').val();
                // Append medicine details to the medicine textarea
                $('#medArea').val(medVal + medicinetype + ". " + item + " " + rule + " " + period+'<br>');
            });
        });



</script>
<?php
include_once('footer.php');
?>
