<?php
include_once('aside.php');
if ($_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}
?>

<div class="main p-3 overflow-auto">
    <div class="container">
        <h2>All Transactions</h2>
        <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
            <div class="row">
                <div class="form-group col-md-5">
                    <label for="start_date">Start Date</label>
                    <input type="date" id="start_date" name="start_date" class="form-control" required>
                </div>
                <div class="form-group col-md-5">
                    <label for="end_date">End Date</label>
                    <input type="date" id="end_date" name="end_date" class="form-control" required>
                </div>
                <div class="form-group col-md-2 align-self-end">
                    <button type="submit" class="btn btn-primary">Search</button>
                </div>
            </div>
        </form>

        <?php

        // Check connection
        if ($conn->connect_error) {
            die("Connection failed: " . $conn->connect_error);
        }

        // Initialize the base SQL statements
        $sql = "SELECT id, transaction_title, transaction_payment_method, transaction_payer, transaction_amount, created_at FROM transaction";
        $sum_sql = "SELECT SUM(transaction_amount) AS total_amount FROM transaction";

        // Prepare and bind the SQL statements
        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            $start_date = $_POST['start_date'];
            $end_date = $_POST['end_date'];
            if (!empty($start_date) && !empty($end_date)) {
                $sql .= " WHERE created_at BETWEEN ? AND ?";
                $sum_sql .= " WHERE created_at BETWEEN ? AND ?";
                echo $start_date.'    '.$end_date;
            }
        }

        $stmt = $conn->prepare($sql);
        $sum_stmt = $conn->prepare($sum_sql);

        if ($_SERVER["REQUEST_METHOD"] == "POST" && !empty($start_date) && !empty($end_date)) {
            $stmt->bind_param("ss", $start_date, $end_date);
            $sum_stmt->bind_param("ss", $start_date, $end_date);
        }

        // Execute the queries
        $stmt->execute();
        $result = $stmt->get_result();

        $sum_stmt->execute();
        $sum_result = $sum_stmt->get_result();
        $total_amount = $sum_result->fetch_assoc()['total_amount'];

        // Display the results
        if ($result->num_rows > 0) {
            echo "<table class='table table-bordered'><thead><tr>
                <th>ID</th>
                <th>Title</th>
                <th>Payment Method</th>
                <th>Payer/Receiver</th>
                <th>Amount</th>
                <th>Created At</th>
                </tr></thead><tbody>";
            $sl = 1;
            while ($row = $result->fetch_assoc()) {
                echo "<tr>
                        <td>" . htmlspecialchars($sl) . "</td>
                        <td>" . htmlspecialchars($row["transaction_title"]) . "</td>
                        <td>" . htmlspecialchars($row["transaction_payment_method"]) . "</td>
                        <td>" . htmlspecialchars($row["transaction_payer"]) . "</td>
                        <td>" . htmlspecialchars($row["transaction_amount"]) . "</td>
                        <td>" . htmlspecialchars($row["created_at"]) . "</td>
                        <td>
                            <a href='delete_transection.php?id=" . htmlspecialchars($row["id"]) . "' title='Delete' class='btn btn-danger'><i class='fas fa-trash'></i></a>
                        </td>
                    </tr>";
                $sl++;
            }
            echo "</tbody><tfoot><tr><td colspan='4'>Total</td><td colspan='2'>" . number_format($total_amount, 2) . "</td></tr></tfoot></table>";
        } else {
            echo "<p>No records found</p>";
        }

        // Close the connection
        $stmt->close();
        $sum_stmt->close();
        $conn->close();
        ?>
    </div>
</div>

<?php
include_once('footer.php');
?>
