<?php
include_once('aside.php');
if (isset($_GET['punique'])) {
    $id = $_GET['punique'];

    if (isset($_POST['headCont'])) {
        $date = $_POST['date'];
        $content = $_POST['headCont']."<br>";

        // Ensure fields are not empty before building content
        if (!empty($_POST['work1']) || 
            !empty($_POST['work2']) || 
            !empty($_POST['work3']) || 
            !empty($_POST['work4'])) {
                
            $content = '
            <h4>' . htmlspecialchars($_POST['headCont']) . '</h4>
            <table class="table" style="border: 1px solid black;">
                <tr>
                    <td style="border: 1px solid black;">' . htmlspecialchars($_POST['work1']) . '</td>
                    <td style="border: 1px solid black;">' . htmlspecialchars($_POST['work2']) . '</td>
                </tr>
                <tr>
                    <td style="border: 1px solid black;">' . htmlspecialchars($_POST['work3']) . '</td>
                    <td style="border: 1px solid black;">' . htmlspecialchars($_POST['work4']) . '</td>
                </tr>
            </table>';
        }

        // Prepare and execute SQL query to prevent SQL injection
        $stmt = $conn->prepare("INSERT INTO cards (punique, content, Entrydate) VALUES (?, ?, ?)");
        $stmt->bind_param("sss", $id, $content, $date); // Changed to "sss" for string types
        
        if ($stmt->execute()) {
            // Optionally handle successful insert (e.g., redirect or show message)
        }

        $stmt->close();
    }
?>

<div class="main p-3 overflow-auto">
    <style>
        .modal {
            display: none;
            position: fixed;
            z-index: 1;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
        }

        .modal-content {
            background-color: white;
            margin: 15% auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
            max-width: 700px;
        }

        .close {
            color: #aaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }

        .modal table {
            max-width: 100%;
        }

        .modal table td {
            max-width: 50%;
        }
        input{
            border : 1px solid #000 !important;
        }
    </style>
    <div class="container">
        <h3>Cards</h3>

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">
            Add a card <i class="fas fa-plus"></i>
        </button>
        <a type="button" class="btn btn-primary" href="print-cards.php?punique=<?php echo htmlspecialchars($id); ?>">
            <i class="fas fa-print"></i>
        </a>

        <!-- Modal structure -->
        <div id="myModal" class="modal overflow-auto">
            <div class="modal-content">
                <span class="close">&times;</span>
                <h2>Add Card</h2>
                <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF'] . '?punique=' . $id); ?>" method="post">
                    <input type="date" class="form-control" name="date" required>
                    <br>
                    <input type="text" class="form-control" list="tplist" name="headCont" required>
                    <datalist id="tplist">
                        <option value="Filling on">
                        <option value="RCT on">
                        <option value="PC on">
                        <option value="RPD on">
                        <option value="Ext on">
                        <option value="Pulpectomy">
                        <option value="Pulpotomy">
                        <option value="Scaling and Polishing">
                        <option value="Bridge">
                        <option value="CD">
                        <option value="Apisectomy">
                        <option value="Apexification">
                        <option value="Apexogenesis">
                        <option value="Direct Pulp capping">
                        <option value="Indirect Pulp capping">
                        <option value="Midline diastema closer">
                    </datalist>
                    <br>
                    <table>
                        <tr>
                            <td><input type="text" name="work1"></td>
                            <td><input type="text" name="work2"></td>
                        </tr>
                        <tr>
                            <td><input type="text" name="work3"></td>
                            <td><input type="text" name="work4"></td>
                        </tr>
                    </table>
                    <br>
                    <button class="btn btn-primary">Add</button>
                </form>
            </div>
        </div>

        <table class="table" border="1">
            <thead>
                <tr>
                    <th style="border : 1px solid black">Punique</th>
                    <th style="border : 1px solid black">Content</th>
                    <th style="border : 1px solid black">Entry Date</th>
                    <th style="border : 1px solid black">Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php
                // Fetch all data from the cards table
                $query = "SELECT punique, content, Entrydate, cardid FROM cards WHERE punique = ?";
                $stmt = $conn->prepare($query);
                $stmt->bind_param("s", $id);
                $stmt->execute();
                $result = $stmt->get_result();

                // Display each row of data
                while ($row = $result->fetch_assoc()) {
                    echo "<tr>";
                    echo "<td style='border : 1px solid black'>" . htmlspecialchars($row['punique']) . "</td>";
                    echo "<td style='border : 1px solid black'>" . $row['content'] . "</td>";
                    echo "<td style='border : 1px solid black'>" . htmlspecialchars($row['Entrydate']) . "</td>";
                    echo "<td style='border: 1px solid black'><a href='trashcards.php?id=" . htmlspecialchars($row['cardid']) . "&punique=" . htmlspecialchars($row['punique']) . "'>trash</a></td>";
                    echo "</tr>";
                }

                $stmt->close();
                ?>
            </tbody>
        </table>
    </div>
</div>

<?php
} else {
?>
<div class="main p-3">
    <div class="container">
        <h3>No Patient ID provided</h3>
    </div>
</div>
<?php 
}
ob_end_flush();
?>

<script>
    const modal = document.getElementById("myModal");
    const openModalBtn = document.querySelectorAll("[data-target='#myModal']");
    const closeModalSpan = document.getElementsByClassName("close")[0];

    // Open modal on button click
    openModalBtn.forEach(btn => btn.onclick = function () {
        modal.style.display = "block";
    });

    // Close modal on close span click
    closeModalSpan.onclick = function () {
        modal.style.display = "none";
    };

    // Close modal on outside click
    window.onclick = function (event) {
        if (event.target === modal) {
            modal.style.display = "none";
        }
    };
</script>

<script src="vendor/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script src="vendor/jquery-3.7.1.min.js"></script>
<script src="script.js"></script>
</body>
</html>
