<?php
    include_once('aside.php');
session_start(); // Ensure the session is started before accessing session variables

if ($_SESSION['type'] == "staff") {
    ?>
    <h3>YOU cannot delete a transaction</h3>
    <?php
} else {
    ob_start(); // Start output bufferin

    if (isset($_GET['id'])) {
        // Use prepared statements to prevent SQL injection
        $tid = intval($_GET['id']); // Make sure id is an integer

        // Assuming $conn is your database connection
        $stmt = $conn->prepare("DELETE FROM payment WHERE id = ?");
        if ($stmt) {
            $stmt->bind_param("i", $tid); // "i" specifies the type as integer

            if ($stmt->execute()) {
                // Check if 'timestamp' is passed and sanitize it
                if (isset($_GET['timestamp'])) {
                    $timestamp = htmlspecialchars($_GET['timestamp'], ENT_QUOTES, 'UTF-8'); // Sanitize the input
                    header('Location: list_of_payment.php?timestamp=' . urlencode($timestamp));
                } else {
                    header('Location: list_of_payment.php');
                }
                exit(); // Ensure the script stops after redirection
            } else {
                echo "<p>Error deleting record: " . $stmt->error . "</p>"; // Handle SQL execution error
            }

            $stmt->close(); // Close the prepared statement
        } else {
            echo "<p>Error preparing statement: " . $conn->error . "</p>"; // Handle statement preparation error
        }
    } else {
        echo "<p>Invalid ID provided.</p>"; // Handle case where ID is not set
    }

    include_once('footer.php');
    ob_end_flush(); // Flush the output buffer and send output
}
?>
