<?php
// Database configuration
require_once('config.php');

// Start output buffering
ob_start();

// Get all tables
$sql = 'SHOW TABLES';
$result = mysqli_query($conn, $sql);

// Create backup file name
$backup_file = 'database_backup_' . date('Y-m-d_H-i-s') . '.sql';

// Add header to indicate this is a SQL file
header('Content-Type: application/sql');
header('Content-Disposition: attachment; filename=' . $backup_file);

// Iterate through tables
while ($row = mysqli_fetch_row($result)) {
    $table_name = $row[0];

    // Get table structure
    $sql = "SHOW CREATE TABLE $table_name";
    $result2 = mysqli_query($conn, $sql);
    $row2 = mysqli_fetch_row($result2);

    // Write table structure to output buffer
    echo "\n" . $row2[1] . ";\n\n";

    // Get table data
    $sql = "SELECT * FROM $table_name";
    $result3 = mysqli_query($conn, $sql);

    // Write table data to output buffer
    $fields = mysqli_num_fields($result3);

    // Output table name
    while ($row3 = mysqli_fetch_row($result3)) {
        echo "INSERT INTO $table_name VALUES (";
        for ($i = 0; $i < $fields; $i++) {
            echo "'" . mysqli_real_escape_string($conn, $row3[$i]) . "'";
            if ($i < $fields - 1) {
                echo ",";
            }
        }
        echo ");\n";
    }

    // Free result sets
    mysqli_free_result($result3);
}

// Free result set
mysqli_free_result($result);

// Close database connection
mysqli_close($conn);

// Flush the output buffer
ob_end_flush();
?>