<?php
$folder = 'patients_upload';
$zip_file = 'patients_upload_' . date('Y-m-d_H-i-s') . '.zip';

// Initialize archive object
$zip = new ZipArchive();
if ($zip->open($zip_file, ZipArchive::CREATE | ZipArchive::OVERWRITE) !== TRUE) {
    exit("Cannot open <$zip_file>\n");
}

// Create recursive directory iterator
$files = new RecursiveIteratorIterator(
    new RecursiveDirectoryIterator($folder),
    RecursiveIteratorIterator::LEAVES_ONLY
);

foreach ($files as $name => $file) {
    // Skip directories (they would be added automatically)
    if (!$file->isDir()) {
        // Get real and relative path for current file
        $filePath = $file->getRealPath();
        $relativePath = substr($filePath, strlen($folder) + 1);

        // Add file to zip archive
        $zip->addFile($filePath, $relativePath);
    }
}

// Close the archive
$zip->close();

// Send the file to the browser as a download
header('Content-Type: application/zip');
header('Content-Disposition: attachment; filename=' . basename($zip_file));
header('Content-Length: ' . filesize($zip_file));
header('Pragma: no-cache');
header('Expires: 0');
readfile($zip_file);

// Clean up the file after download
unlink($zip_file);
?>
