<?php
require_once('aside.php');

// Ensure $conn is defined and connected properly
if (!isset($conn) || !$conn) {
    die("Database connection error");
}

if (isset($_GET['timeStamp']) && isset($_GET['prevpage'])) {
    $timeStamp = mysqli_real_escape_string($conn, $_GET['timeStamp']);
    $prevPage = mysqli_real_escape_string($conn, $_GET['prevpage']);

    // Prepared statement to delete the record safely
    $stmt = $conn->prepare("DELETE FROM prescription WHERE timeStamp = ?");
    $stmt->bind_param('s', $timeStamp);

    if ($stmt->execute()) {
        // Record deleted successfully
        $stmt->close();
        header("Location: list_of_prescription.php?punique=$prevpage");
        exit();
    } else {
        // Error deleting record
        $stmt->close();
        echo "Error deleting record: " . $conn->error;
    }
} else {
    echo "Invalid request.";
}

require_once('footer.php');
?>
