<?php
include_once('aside.php');

if(isset($_GET['id'])){
    $getid = $_GET['id'];
    // Preventing SQL injection using prepared statements
    $sql = "SELECT * FROM patients WHERE id = ?";
    $stmt = mysqli_prepare($conn, $sql);
    mysqli_stmt_bind_param($stmt, "i", $getid); // Assuming id is an integer, change "i" if it's another type
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);

    if($result){
        while($data = mysqli_fetch_assoc($result)){
            $pname = $data['P_Name']; // Assuming column name is P_Name, change accordingly
            $pphone = $data['P_Phone']; // Assuming column name is P_Phone, change accordingly
        }
    }
?>
<div class="main p-3">
    <div class="container">
        <div class="msg m-2"></div>
        <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" class="m-2" id="edit-form">
            <!-- Assigning values to input fields -->
            <label for="pname" class="my-2">Patients Name</label>
            <input type="text" id="pname" name="pname" class="form-control" value="<?php echo $pname; ?>">
            <label for="pnum" class="my-2">Phone Number</label>
            <input type="text" id="pnum" name="pnum" class="form-control" value="<?php echo $pphone; ?>">
            <button type="submit" class="btn btn-primary my-2">Update</button>
        </form>
    </div>
</div>
    <script src="vendor/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
    <!-- jquery -->
    <script src="vendor/jquery-3.7.1.min.js"></script>
    <!-- js -->
    <script>
         $(document).ready(function() {
            $('#edit-form').on('submit', function (e) {
                e.preventDefault();
                var pname= $('#pname').val();
                var pnum= $('#pnum').val();
                var pid=<?php echo $getid; ?>;
                $.ajax({
                    url: 'edit_patients_ajax.php',
                    method: 'post',
                    data: {
                        pname: pname,
                        pnum: pnum,
                        pid:pid
                    },
                    success: function(response) {
                        $('.msg').html(response);
                    }
                });
            });
         });
    </script>
  </body>
</html>
<?php } else {
    echo '<div class="container">Something went Wrong</div>';
}
?>
