
<?php
include_once('aside.php');
?>
<?php

// Check connection (assuming $conn is defined elsewhere)
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

// Handle file uploads
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $targetDir = "patients_upload/"; // Replace with your desired upload directory

    $files = $_FILES['files'];
    $fileCount = count($files['name']);

    for ($i = 0; $i < $fileCount; $i++) {
        $fileName = $files['name'][$i];
        $tmpFile = $files['tmp_name'][$i];
        $error = $files['error'][$i];

        // Basic file validation (you can add more checks)
        if ($error === UPLOAD_ERR_OK && $fileName != "") {
            $targetFile = $targetDir . $fileName;

            // Check if file already exists (consider renaming if needed)
            if (file_exists($targetFile)) {
                // Optionally: generate a unique filename to avoid overwriting
                $fileName = generateUniqueFilename($targetDir, $fileName);
                $targetFile = $targetDir . $fileName;
            }

            if (move_uploaded_file($tmpFile, $targetFile)) {
                // Insert file information into database
                $sql = "INSERT INTO files (files, file_path, punique) VALUES (?, ?, ?)";
                $stmt = $conn->prepare($sql);
                $stmt->bind_param("sss", $fileName, $targetFile, $_GET['punique']);

                if ($stmt->execute()) {
                   
                } else {
                    echo "Error inserting file information into database: " . $stmt->error . "<br>";
                }
                $stmt->close();
            } else {
                echo "Error uploading file " . $fileName . "<br>";
            }
        } else {
            echo "Error uploading file " . $fileName . ": " . $files['error'][$i] . "<br>";
        }
    }
}

function generateUniqueFilename($dir, $filename) {
    $info = pathinfo($filename);
    $extension = $info['extension'] ? '.' . $info['extension'] : '';
    $baseFilename = basename($filename, $extension);
    $i = 1;

    while (file_exists($dir . '/' . $baseFilename . '_' . $i . $extension)) {
        $i++;
    }

    return $baseFilename . '_' . $i . $extension;
}

?>


<div class="main p-3">
    <div class="div">
        <a class="btn btn-primary" href="list_of_patients.php"><i class="fas fa-arrow-left"></i> Back</a>
    </div>
    <form action="<?php echo $_SERVER['PHP_SELF'].'?punique='.$_GET['punique']; ?>" method="post" enctype="multipart/form-data" class="my-3">
        <input type="file" name="files[]" multiple>
        <input type="submit" value="Upload" class ="btn btn-primary">
    </form>
        <div class="row justify-content-around">
            <?php

            $puniique = mysqli_real_escape_string($conn, $_GET['punique']);


            $sql1="SELECT * FROM files WHERE `punique` = '$puniique'";
            // Prepare the SQL statement
            $query = mysqli_query($conn, $sql1);

            if (!$query) {
                die("Query failed: " . mysqli_error($conn));
            }


            // Fetch and print the data
            $first_item = true;
            $i=1;
            while ($row = $query->fetch_assoc()) {
                if($i==1){
                    $var= 'data-active';
                }

                ?>
                <div class="col-5 m-2">
                    <!-- <button class="btn btn-danger"><i class="fas fa-trash"></i></button> -->
                    <img src="<?php echo $row['file_path'] ?>" alt="" width="100%">
                </div>
                <?php
                $i= $i+1;
            }

            // Close the result
            mysqli_free_result($query);
            ?>
        </div>
</div>
<?php
include_once('footer.php');
?>