<?php
$data = [];
$jsonFile = 'drinfo.json';

// Check if the JSON file exists and read data from it
if (file_exists($jsonFile)) {
    $jsonData = file_get_contents($jsonFile);
    $data = json_decode($jsonData, true);
}
?>
<table class="top">
    <tr style="padding:0 10px;">
        <td style="text-align:left; padding-left:40px; padding-top:20px; padding-bottom:20px;">
            <h3><?php echo isset($data['drname']) ? htmlspecialchars($data['drname']) : ''; ?></h3>
            <p class="designation-primary"><b><?php echo isset($data['pdesignation']) ? htmlspecialchars($data['pdesignation']) : ''; ?></b></p>
            <p><?php echo isset($data['designation1']) ? htmlspecialchars($data['designation1']) : ''; ?></p>
            <p><?php echo isset($data['designation2']) ? htmlspecialchars($data['designation2']) : ''; ?></p>
            <p><?php echo isset($data['designation3']) ? htmlspecialchars($data['designation3']) : ''; ?></p>
            <p><?php echo isset($data['designation4']) ? htmlspecialchars($data['designation4']) : ''; ?></p>
        </td>
        <td>
            <div class="text-end"  style="padding-right:40px; padding-top:20px; padding-bottom:20px;">
                <p><b>Chamber:</b></p>
                <h4><?php echo isset($data['chembername']) ? htmlspecialchars($data['chembername']) : ''; ?></h4>
                <p><?php echo isset($data['chemberaddress']) ? htmlspecialchars($data['chemberaddress']) : ''; ?></p>
                <p><?php echo isset($data['contractinfo']) ? htmlspecialchars($data['contractinfo']) : ''; ?></p>
                <div class="schedule d-flex justify-content-end">
                    <div class="icon"><p><i class="far fa-clock"></i></p></div>
                    <div class="time">
                        <p><?php echo isset($data['schedule1']) ? htmlspecialchars($data['schedule1']) : ''; ?></p>
                        <p><?php echo isset($data['schedule2']) ? htmlspecialchars($data['schedule2']) : ''; ?></p>
                    </div>
                </div>
            </div>
        </td>
    </tr>
</table>