<?php
include_once('aside.php');
?>
<div class="main p-3 overflow-auto">
<div class="container">
    <table class="table my-2" id="patientsTable">
        <thead class="table-light">
            <th>Title</th>
            <th>Patients Name</th>
            <th>Ammount</th>
            <th>Deals Date</th>
            <th>Action</th>
        </thead>
        <tbody>
            <?php
            $title = $ammount = $todaypaid = $timestamp = $punique = $date = $name = '';

            if (isset($_GET['punique'])) {
                $getid = $_GET['punique'];
                
                // Use prepared statement to prevent SQL injection
                $stmt = $conn->prepare("SELECT title, ammount, todaypaid, timestamp, punique, date, name FROM deal WHERE punique = ?");
                $stmt->bind_param("s", $getid);
                $stmt->execute();
                $result = $stmt->get_result();
                
                // Check if any results are found
                if ($result->num_rows > 0) {
                    // Output data of each row
                    while ($row = $result->fetch_assoc()) {
                        $title = $row['title'];
                        $ammount = $row['ammount'];
                        $todaypaid = $row['todaypaid'];
                        $timestamp = $row['timestamp'];
                        $punique = $row['punique'];
                        $date = $row['date'];
                        $name = $row['name'];
                        
                        // Output each row in the table
                        echo "<tr>";
                        echo "<td>$title</td>";
                        echo "<td>$name</td>";
                        echo "<td>$ammount</td>";
                        echo "<td>$date</td>";
                       ?>
                       <td>
                       <a href="print_deal.php?timestamp=<?php echo $timestamp?>" title="Print" class="btn btn-info"><i class="fas fa-print"></i></a >
                       <a href="add_deal_payment.php?timestamp=<?php echo $timestamp?>" title="Add Payment" class="btn btn-primary">Add Payment</i></a >
                       <a href="list_of_payment.php?timestamp=<?php echo $timestamp?>" title="List of Payment" class="btn btn-warning"><i class="fas fa-clipboard-list"></i></a >
                       </td>
                       <?php
                        echo "</tr>";
                    }
                } else {
                    echo "No deals found for the patient.";
                }
                
                $stmt->close();
            } else {
                echo "No P_Unique provided.";
            }
            ?>
        </tbody>
    </table>
</div>
</div>

<script src="vendor/jquery-3.7.1.min.js"></script>
<?php

include_once('footer.php')
?>
