<?php
include_once('aside.php');
if ($_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}
$limit = 10; // Number of entries to show per page
if (isset($_GET["page"])) {
    $page  = $_GET["page"]; 
} else { 
    $page = 1; 
};  
$start_from = ($page-1) * $limit;

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get form data
    $ename = $_POST["ename"];
    $epdate = $_POST["epdate"];
    $eqty = $_POST["eqty"];

    // Create insert statement using prepared statements
    $stmt = $conn->prepare("INSERT INTO equipment (name, purchase_date, quantity) VALUES (?, ?, ?)");
    $stmt->bind_param("ssi", $ename, $epdate, $eqty);

    // Execute query and handle success/failure
    if ($stmt->execute() === TRUE) {
        header('Location: ' . $_SERVER['PHP_SELF']);
        exit();
    } else {
        echo "Error adding equipment: " . $stmt->error;
    }

    // Close the statement
    $stmt->close();
}
?>

<div class="main p-3">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post">
        <div class="row">
            <div class="col-md-6">
                <label for="ename">Equipment name</label>
                <input type="text" id="ename" name="ename" class="form-control" required>
            </div>
            <div class="col-md-6">
                <label for="epdate">Purchase date</label>
                <input type="date" id="epdate" name="epdate" class="form-control" required>
            </div>
            <div class="col-md-12">
                <label for="eqty">Qty</label>
                <input type="number" id="eqty" name="eqty" class="form-control" required>
            </div>
        </div>
        <button type="submit" class="btn btn-main mt-2">Add Equipment</button>
    </form>

    <?php
    // Fetch and display equipment data with pagination
    $sql = "SELECT name, purchase_date, quantity FROM equipment LIMIT $start_from, $limit";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        echo "<table class='table mt-4'>";
        echo "<thead><tr><th>SL</th><th>Name</th><th>Purchase Date</th><th>Quantity</th></tr></thead><tbody>";
        $sl = $start_from + 1; // Serial number starts from the correct number for the page
        while($row = $result->fetch_assoc()) {
            echo "<tr><td>" . $sl. "</td><td>" . $row["name"]. "</td><td>" . $row["purchase_date"]. "</td><td>" . $row["quantity"]. "</td></tr>";
            $sl++;
        }
        echo "</tbody></table>";

        // Pagination logic
        $sql_total = "SELECT COUNT(id) FROM equipment";
        $result_total = $conn->query($sql_total);
        $row_total = $result_total->fetch_row();
        $total_records = $row_total[0];
        $total_pages = ceil($total_records / $limit);

        echo "<nav aria-label='Page navigation'>";
        echo "<ul class='pagination'>";
        for ($i=1; $i<=$total_pages; $i++) { 
            echo "<li class='page-item";
            if ($page == $i) echo " active";
            echo "'><a class='page-link' href='".$_SERVER['PHP_SELF']."?page=".$i."'>".$i."</a></li>"; 
        };
        echo "</ul>";
        echo "</nav>";
    } else {
        echo "No equipment found.";
    }
    ?>
</div>

<?php
include_once('footer.php');
?>
