<?php
include_once('aside.php');
?>
<div class="main p-lg-3 overflow-auto">
<div class="container">
    <form id="searchpatients">
        <div class="row">
            <div class="col-12"><input type="text" id="sbox" class="form-control my-2" placeholder="search by Name or Phone Number"></div>
        </div>
    </form>
    <table class="table my-2 overflow-auto" id="patientsTable">
        <thead class="table-light">
            <th>sl</th>
            <th>Patients Name</th>
            <th>Phone Number</th>
            <th>Action</th>
        </thead>
        <tbody>
        </tbody>
    </table>
</div>
</div>


<script src="vendor/jquery-3.7.1.min.js"></script></script>
<script>
    var isLoading = false;

    function loadPatientsData(searchStr, offset) {
        isLoading = true;
        $.ajax({
            url: 'load_patients.php',
            method: 'post',
            data: {
                searchStr: searchStr,
                offset: offset
            },
            success: function(response) {
                $('#patientsTable tbody').append(response);
                isLoading = false;
            }
        })
    }

    loadPatientsData('', 0);

    $(document).ready(function() {
        $(window).scroll(function() {
            if ($(window).scrollTop() + $(window).height() >= $(document).height() - 100 && !isLoading) {
                var offset = $('#patientsTable tbody tr').length;
                loadPatientsData($('#sbox').val(), offset);
            }
        });

        $('#sbox').on('input', function() {
            $('#patientsTable tbody').empty(); // Clear existing table body
            loadPatientsData($(this).val(), 0);
        });
    });
</script>
