<?php
include_once('aside.php');
$sl = 0; // Initialize the serial number counter
$total_ammount = 0; // Initialize the total amount

if (isset($_GET['timestamp'])) {
    $getid = $_GET['timestamp'];
}
?>
<div class="main p-3 overflow-auto">
    <h3>Payments</h3>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>sl</th>
                <th>Title</th>
                <th>Amount</th>
                <th>Date</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $ammount = 0; // Initialize the amount from the deal table

            // Fetch and display data from the deal table
            $sql = "SELECT * FROM deal WHERE timestamp = ?";
            $stmt1 = $conn->prepare($sql);
            $stmt1->bind_param("s", $getid);
            $stmt1->execute();
            $results1 = $stmt1->get_result();

            if ($results1->num_rows > 0) {
                while ($row = $results1->fetch_assoc()) {
                    $sl++;
                    echo "<tr>";
                    echo "<td>" . htmlspecialchars($sl) . "</td>";
                    echo "<td>" . htmlspecialchars($row['todaypaid']) . "</td>";
                    echo "<td>" . htmlspecialchars($row['date']) . "</td>";
                    echo "</tr>";
                    $ammount = $row['ammount'];
                    $total_ammount += $row['todaypaid']; // Summing paid amounts
                }
            }

            // Fetch and display data from the payment table
            $fetch_query = "SELECT * FROM payment WHERE parent_timestamp = ?"; // Corrected query
            $stmt2 = $conn->prepare($fetch_query);
            $stmt2->bind_param("s", $getid);
            $stmt2->execute();
            $result2 = $stmt2->get_result();

            if ($result2->num_rows > 0) {
                while ($row = $result2->fetch_assoc()) {
                    $sl++;
                    echo "<tr>";
                    echo "<td>" . htmlspecialchars($sl) . "</td>";
                    echo "<td>" . htmlspecialchars($row['payment_title']) . "</td>";
                    echo "<td>" . htmlspecialchars($row['ammount']) . "</td>";
                    echo "<td>" . htmlspecialchars($row['date']) . "</td>";
                    echo "<td>
                            <a href='delete_payment.php?id=" . htmlspecialchars($row["id"]) . "&timestamp=" . $getid . "' title='Delete' class='btn btn-danger'><i class='fas fa-trash'></i></a>
                        </td>";
                    echo "</tr>";

                    $total_ammount += $row['ammount']; // Summing payment amounts
                }
            } else {
                echo "<tr><td colspan='5'>No payments found.</td></tr>"; // Adjusted colspan to match columns
            }

            // Display the total amount
            echo "<tr>";
            echo "<td colspan='1'><strong>Total</strong></td>";
            echo "<td colspan='4'><strong>" . htmlspecialchars($total_ammount) . "</strong></td>"; // Adjusted colspan to match columns
            echo "</tr>";

            // Display the due amount
            echo "<tr>";
            echo "<td colspan='1'><strong>Due</strong></td>";
            echo "<td colspan='4'><strong>" . htmlspecialchars($ammount - $total_ammount) . "</strong></td>"; // Adjusted colspan to match columns
            echo "</tr>";

            $stmt1->close();
            $stmt2->close();
            ?>
        </tbody>
    </table>
</div>

<?php
include_once('footer.php');
?>
