<?php
include_once('aside.php');
if ($_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}
?>
<div class="main p-lg-3 overflow-auto">
<div class="container staff-page">
    <form id="searchstaff">
        <div class="row">
            <div class="col-12">
                <input type="text" id="sbox" class="form-control my-2" placeholder="Search by Name or Phone Number">
            </div>
        </div>
    </form>
    <table class="table my-2 overflow-auto" id="staffTable">
        <thead class="table-light">
            <tr>
                <th>SL</th>
                <th>Staff Name</th>
                <th>Phone Number</th>
                <th>Date of Birth</th>
                <th>Email</th>
                <th>Salary</th>
                <th>Type</th>
                <th>Address</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
</div>
</div>

<!-- Ensure jQuery is included before your custom script -->
<script src="vendor/jquery-3.7.1.min.js"></script>
<script>
    jQuery(document).ready(function($) {
        var isLoading = false;
        var debounceTimeout = null;

        function loadStaffData(searchStr, offset) {
            if (isLoading) return;
            isLoading = true;
            $.ajax({
                url: 'load_staff.php',
                method: 'post',
                data: {
                    searchStr: searchStr,
                    offset: offset
                },
                success: function(response) {
                    if (offset === 0) {
                        $('#staffTable tbody').empty(); // Clear existing table body on new search
                    }
                    $('#staffTable tbody').append(response);
                    isLoading = false;
                },
                error: function() {
                    isLoading = false;
                    alert('An error occurred while loading data.');
                }
            });
        }

        function debounceLoadStaffData(searchStr, offset) {
            clearTimeout(debounceTimeout);
            debounceTimeout = setTimeout(function() {
                loadStaffData(searchStr, offset);
            }, 300);
        }

        loadStaffData('', 0); // Initial load

        $(window).scroll(function() {
            if ($(window).scrollTop() + $(window).height() >= $(document).height() - 100 && !isLoading) {
                var offset = $('#staffTable tbody tr').length;
                loadStaffData($('#sbox').val(), offset);
            }
        });

        $('#sbox').on('input', function() {
            debounceLoadStaffData($(this).val(), 0);
        });
    });
</script>
<?php
include_once('footer.php');
?>
