<?php
include_once('config.php');

if (isset($_POST['searchStr'])) {
    $searchStr = $_POST['searchStr'];
    $offset = isset($_POST['offset']) ? intval($_POST['offset']) : 0; // Offset for pagination

    if (empty($searchStr)) {
        $sql = 'SELECT * FROM patients LIMIT ?, 15'; // Fetch 15 records with an offset
        $stmt = mysqli_prepare($conn, $sql);
        mysqli_stmt_bind_param($stmt, "i", $offset);
        mysqli_stmt_execute($stmt);
        $query = mysqli_stmt_get_result($stmt);
    } else {
        $searchParam = "%$searchStr%";
        $sql = 'SELECT * FROM patients WHERE P_Phone LIKE ? OR P_Name LIKE ? LIMIT ?, 15'; // Fetch 15 records with an offset
        $stmt = mysqli_prepare($conn, $sql);
        mysqli_stmt_bind_param($stmt, "ssi", $searchParam, $searchParam, $offset);
        mysqli_stmt_execute($stmt);
        $query = mysqli_stmt_get_result($stmt);
    }

    $sl = $offset + 1; // Counter for displaying serial numbers

    while ($data = mysqli_fetch_assoc($query)) {
        $Pname = $data['P_Name'];
        $Pnum = $data['P_Phone'];
        $P_id = $data['id'];
        $punique=$data['P_Unique'];
        ?>
        <tr>
            <td><?php echo $sl; ?></td>
            <td><?php echo $Pname; ?></td>
            <td><?php echo $Pnum; ?></td>
            <td>
                <a href="edit_patients.php?id=<?php echo $P_id ?>" title="edit" class="btn btn-warning"><i class="fas fa-pen"></i></a >
                <a href="new_add_prescription.php?pid=<?php echo $P_id ?>" title="Add Prescription" class="btn btn-danger"><i class="fas fa-plus"></i></a >
                <a href="list_of_prescription.php?punique=<?php echo $punique?>" title="List of Prescription" class="btn btn-success"><i class="fas fa-list"></i></a >
                <a href="files.php?punique=<?php echo $punique?>" title="file" class="btn btn-dark"><i class="fas fa-image"></i></a >
                <a href="new_deal.php?punique=<?php echo $punique?>" title="New Deal" class="btn btn-primary"><i class="fas fa-money-bill"></i></a >
                <a href="list_of_deals.php?punique=<?php echo $punique?>" title="List of Prescription" class="btn btn-info"><i class="fas fa-clipboard-list"></i></a >
                <a href="cards.php?punique=<?php echo $punique?>" title="cards" class="btn btn-dark"><i class="far fa-address-card"></i></a >
            </td>
        </tr>
        <?php
        $sl++;
    }
}
?>
