<?php
include_once('config.php');
session_start();
if ($_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}
if (isset($_POST['searchStr'])) {
    $searchStr = $_POST['searchStr'];
    $offset = isset($_POST['offset']) ? intval($_POST['offset']) : 0; // Offset for pagination

    if (empty($searchStr)) {
        $sql = 'SELECT * FROM staff LIMIT ?, 15'; // Fetch 15 records with an offset
        $stmt = mysqli_prepare($conn, $sql);
        mysqli_stmt_bind_param($stmt, "i", $offset);
        mysqli_stmt_execute($stmt);
        $query = mysqli_stmt_get_result($stmt);
    } else {
        $searchParam = "%$searchStr%";
        $sql = 'SELECT * FROM staff WHERE stuf_phone LIKE ? OR stuf_name LIKE ? LIMIT ?, 15'; // Fetch 15 records with an offset
        $stmt = mysqli_prepare($conn, $sql);
        mysqli_stmt_bind_param($stmt, "ssi", $searchParam, $searchParam, $offset);
        mysqli_stmt_execute($stmt);
        $query = mysqli_stmt_get_result($stmt);
    }

    $sl = $offset + 1; // Counter for displaying serial numbers

    while ($data = mysqli_fetch_assoc($query)) {
        $name = $data['stuf_name'];
        $dob = $data['stuf_dob'];
        $email = $data['stuf_email'];
        $phone = $data['stuf_phone'];
        $salary = $data['stuf_salary'].'&#2547;';
        $type = $data['stuf_type'];
        $address = $data['stuf_address'];
        $s_id = $data['stuf_id'];
        ?>
        <tr>
            <td><?php echo $sl; ?></td>
            <td><?php echo $name; ?></td>
            <td><?php echo $phone; ?></td>
            <td><?php echo $dob ?></td>
            <td><?php echo $email ?></td>
            <td><?php echo $salary ?></td>
            <td><?php echo $type ?></td>
            <td><?php echo $address ?></td>
            <td>
                <a href="edit_staff.php?id=<?php echo $s_id ?>" title="Edit" class="btn btn-warning"><i class="fas fa-pen"></i></a>
                <a href="delete_staff.php?id=<?php echo $s_id ?>" title="Delete" class="btn btn-danger" onclick="return confirm('Are you sure you want to delete this staff member?');"><i class="fas fa-trash"></i></a>
            </td>
        </tr>
        <?php
        $sl++;
    }
}
?>
