<?php
include_once('aside.php');

// Redirect if user is of type 'staff'
if (isset($_SESSION['type']) && $_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}

$msg = "";
if (isset($_POST['pass'])) {
    $pass = $_POST['pass'];
    $confpass = $_POST['confpass'];

    // Ensure both fields are filled
    if (!empty($pass) && !empty($confpass)) {
        // Check if passwords match
        if ($pass === $confpass) {
            // Hash the new password
            $newhashPass = password_hash($pass, PASSWORD_BCRYPT);

            // Update password for user with unique ID (adjust 'admin' if needed)
            $update_stmt = $conn->prepare("UPDATE users SET user_pass = ? WHERE user_unique = ?");
            $user_unique = 'admin'; // Change this to a dynamic user identifier if necessary
            $update_stmt->bind_param("ss", $newhashPass, $user_unique);

            if ($update_stmt->execute()) {
                $msg = "Password updated successfully.";
            } else {
                $msg = "Error updating password.";
            }
            $update_stmt->close();
        } else {
            $msg = "Passwords do not match.";
        }
    } else {
        $msg = "Both fields are required.";
    }
}
?>
<div class="main p-3">
    <div class="container">
        <?php echo $msg; ?>
        <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post">
            <input type="password" class="form-control mb-2" placeholder="Enter Password" name="pass" required>
            <input type="password" class="form-control mb-2" placeholder="Confirm Password" name="confpass" required>
            <button class="btn btn-primary" type="submit">Update</button>
        </form>
    </div>
</div>

<?php
include_once('footer.php');
?>
