<?php
// Start the session
session_start();

// Include the database configuration file
require_once('config.php');
$msg ="";
if (isset($_SESSION['username'])) {
  header("Location: index.php"); // Redirect to login page if not logged in
  exit();
}
// Handle the form submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = mysqli_real_escape_string($conn, $_POST['username']);
    $password = mysqli_real_escape_string($conn, $_POST['password']);

    // Query the database for the user
    $sql = "SELECT * FROM users WHERE user_unique='$username'";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        $row = $result->fetch_assoc();

        // Verify the password using password_verify
        if (password_verify($password, $row['user_pass'])) {
            // Set session variables
            $_SESSION['username'] = $username;
            $_SESSION['type'] = $row['user_type'];
            header("Location: index.php");  // Redirect to dashboard after login
        } else {
            $msg = "<div class='alert alert-danger'>Invalid password.</div>";
        }
    } else {
        $msg = "<div class='alert alert-danger'>Invalid Phone Number.</div>";
    }
}
else {
  $msg = "";
}
?>

<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Log in - DontoMukta</title>
    <link rel="stylesheet" href="vendor/all.min.css">
    <link rel="stylesheet" href="vendor/fontawesome.min.css">
    <link href="vendor/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <link rel="stylesheet" href="style_login.css">
    <link rel="icon" type="image/x-icon" href="/images/favicon.ico">
  </head>
  <body>
    <div class="overlay"></div>
    <div class="container-fluid">
      <!-- Login form -->
      <form class="mx-auto" method="POST" action="">
        <h4 class="text-center">Login</h4>
        <p><?php echo $msg; ?></p>
        <div class="mb-3 mt-5">
          <label for="username" class="form-label">Phone Number</label>
          <input type="text" class="form-control" id="username" name="username" required>
        </div>
        <div class="mb-3">
          <label for="password" class="form-label">Password</label>
          <input type="password" class="form-control" id="password" name="password" required>
        </div>
        <button type="submit" class="btn btn-primary mt-5">Login</button>
      </form>
    </div>
  </body>
</html>
