<?php
include_once('aside.php');
$name = ''; // Initialize $name to avoid undefined variable notice
$currentDate = date("Y-m-d"); // Get the current date in YYYY-MM-DD format

if (isset($_GET['pid'])) {
    $getid = $_GET['pid'];
    // Use prepared statements to prevent SQL injection
    $stmt = $conn->prepare("SELECT P_Name , P_Unique  FROM patients WHERE id = ?");
    $stmt->bind_param("i", $getid);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();
        $name = htmlspecialchars($data['P_Name']);
        $P_Unique = htmlspecialchars($data['P_Unique']); // Escape output to prevent XSS
    } else {
        echo "No patient found with the provided ID.";
    }

    $stmt->close();
}
function generateTables($topic,$title){
    echo "<div class='py-lg-3 col-sm-6'>
    <h6>$title</h6>
    <table border='1' cellpadding='0'>
        <tr>
            <td><input type='text' name='".$topic."ur'></td>
            <td><input type='text' name='".$topic."ul'></td>
        </tr>
        <tr>
            <td><input type='text' name='".$topic."lr'></td>
            <td><input type='text' name='".$topic."ll'></td>
        </tr>
    </table>
</div>";
}
function generatecboxcc($topic,$title){
    echo "<div class='py-3 col-sm-6'>
    <b>$title</b>
    <table border='1' cellpadding='5'>
        <tr>
            <td style='border: 1px solid;'><input type='checkbox' name='".$topic."ur' value='Q'></td>
            <td style='border: 1px solid;'><input type='checkbox' name='".$topic."ul' value='Q'></td>
        </tr>
        <tr>
            <td style='border: 1px solid;'><input type='checkbox' name='".$topic."lr' value='Q'></td>
            <td style='border: 1px solid;'><input type='checkbox' name='".$topic."ll' value='Q'></td>
        </tr>
    </table>
</div>";
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $date = new DateTime();
    // Get the current time with microseconds
    $timestamp = $date->format("Y-m-d-H-i-s-u");

    // Convert microseconds to milliseconds by taking the first three digits
    $milliseconds = substr($timestamp, -6, 3);

    // Construct the final timestamp with milliseconds
    $final_timestamp = $date->format("Y-m-d-H-i-s") . '-' . $milliseconds;

    function checkIfBlank($oneVar, $midtext, $oneVarP) {
        if(isset($_POST[$oneVar]) && isset($_POST[$oneVarP])) {
            if (!empty($_POST[$oneVar])) {
                return $_POST[$oneVar] . " " . $midtext . " " . $_POST[$oneVarP] . "<br>";
            }
        }
        return "";
    }
    function generatecboxresults2($Topic, $Title){
        if ($_POST[$Topic."ur"] == "" && $_POST[$Topic."ul"] == "" && $_POST[$Topic."lr"] == "" && $_POST[$Topic."ll"] == "") {
            return ""; // If all fields are empty, return an empty string or handle it as needed
        }
        else{
            return "<div class='py-3 col-sm-6'>
                        <b>$Title</b>
                        <table border='1' cellpadding='4' style='border-collapse: collapse;'>
                            <tr>
                                <td style='border: 1px solid;'>" . (isset($_POST[$Topic."ur"]) ? $_POST[$Topic."ur"] : '') . "</td>
                                <td style='border: 1px solid;'>" . (isset($_POST[$Topic."ul"]) ? $_POST[$Topic."ul"] : '') . "</td>
                            </tr>
                            <tr>
                                <td style='border: 1px solid;'>" . (isset($_POST[$Topic."lr"]) ? $_POST[$Topic."lr"] : '') . "</td>
                                <td style='border: 1px solid;'>" . (isset($_POST[$Topic."ll"]) ? $_POST[$Topic."ll"] : '') . "</td>
                            </tr>
                        </table>
                    </div>";
        }
    }
    
    
    
    $pname=$name;
    $age=$_POST['p_age'];
    $date=$_POST['cdate'];
    $P_Unique=$P_Unique;


    $otherho = 
    checkIfBlank('htrauma', 'for', 'htraumap') .
    checkIfBlank('hdm', 'for', 'hdmp') .
    checkIfBlank('hpregnancy', 'for', 'hpregnancyp') .
    checkIfBlank('hhtn', 'for', 'hhtnp') .
    checkIfBlank('hhemophilia', 'for', 'hhemophiliap') .
    checkIfBlank('hthalassemia', 'for', 'hthalassemiap') .
    checkIfBlank('hleukemia', 'for', 'hleukemiap') .
    checkIfBlank('hthyroid', 'for', 'hthyroidp') .
    checkIfBlank('hhepatitis', 'for', 'hhepatitisp') .
    checkIfBlank('haids', 'for', 'haidsp') .
    (isset($_POST['other_ho']) ? $_POST['other_ho'] : '');


    $ccpain=generatecboxresults2('ccpainon','Pain On');
    $ccsensitivity=generatecboxresults2('ccsensitivity','Sensitivity on');
    $othercc1=generatecboxresults2('othercc1',$_POST['othercc1']);
    $othercc2=generatecboxresults2('othercc2',$_POST['othercc2']);

    $othercc = $_POST['ccgumbleeding'] .(isset($_POST['other_cc']) ? $_POST['other_cc'] : '');

    //On Examination

    $oegcaries = generatecboxresults2('oegcaries','G. Caries');
    $oecaries = generatecboxresults2('oecaries','Caries');
    $oebdr = generatecboxresults2('oebdr','BDR');
    $oebdc = generatecboxresults2('oebdc','BDC');
    $oemissingtooth = generatecboxresults2('oemissingtooth','Missing Tooth/Teeth');
    $oemobiletooth = generatecboxresults2('oemobiletooth','Mobile Tooth/Teeth');
    $oeattrition = generatecboxresults2('oeattrition','Attrition');
    $oecervicalabrasion = generatecboxresults2('oecervicalabrasion','Cervical Abrasion');
    $oeerosion = generatecboxresults2('oeerosion','Erosion');
    $oeabfraction = generatecboxresults2('oeabfraction','Abfraction');
    $oefracture = generatecboxresults2('oefracture','Fracture');
    $oepercussionpain = generatecboxresults2('oepercussionpain','Percussion Pain');
    $oesharptooth = generatecboxresults2('oesharptooth','Sharp Tooth / Teeth');
    $oepericoronitistooth = generatecboxresults2('oepericoronitistooth','Pericoronitis Tooth / Teeth');
    $oeimpactedtooth = generatecboxresults2('oeimpactedtooth','Impacted Tooth / Teeth');

    $otheroe1=generatecboxresults2('otheroe1',$_POST['otheroe1']);
    $otheroe2=generatecboxresults2('otheroe1',$_POST['otheroe2']);



    $keys = ['Midlinediastema', 'Generalizedspacing', 'Gingivitis', 'Periodontitis'];
    $otheroe = '';
    
    foreach ($keys as $key) {
        if (isset($_POST[$key])) {
            $otheroe .= $_POST[$key].' <br>';
        }
    }
    
    $otheroe .= 
    checkIfBlank('Ulcer', ' ', 'UlcerPlace') .
    checkIfBlank('Swellingon', ' ', 'SwellingonPlace') .
    checkIfBlank('Sinuson', ' ', 'SinusonP') .
    checkIfBlank('PusDrainage', ' ', 'PusDrainagePlace') .
    checkIfBlank('staining', 'on', 'stainingPlace') .
    checkIfBlank('calculas', ' ', 'calculasPlace') .
    (isset($_POST['other_oe']) ? $_POST['other_oe'] : '');

    $otherinv="";
    if (isset($_POST['invxrayopg'])) {
        $otherinv .= $_POST['invxrayopg'].' <br>';
    }

    $invxrayiopa=generatecboxresults2('invxrayiopa','X-ray IOPA');
    $invxrayrvg=generatecboxresults2('invxrayrvg','X-ray RVG');
    $otherinv1=generatecboxresults2('otherinv1',$_POST['otherinv1']);
    $otherinv2=generatecboxresults2('otherinv2',$_POST['otherinv2']);

    $otherinv .= $_POST['otherinv'];

    //tp

    $tpfilling = generatecboxresults2('tpfilling', 'Filling on');
    $tprct = generatecboxresults2('tprct', 'RCT on');
    $tppc = generatecboxresults2('tppc', 'PC on');
    $tprpd = generatecboxresults2('tprpd', 'RPD on');
    $tpext = generatecboxresults2('tpext', 'Ext on');
    $tppulpectomy = generatecboxresults2('tppulpectomy', 'Pulpectomy');
    $tppulpotomy = generatecboxresults2('tppulpotomy', 'Pulpotomy');

    $othertp1=generatecboxresults2('othertp1',$_POST['othertp1']);
    $othertp2=generatecboxresults2('othertp2',isset($_POST['othertp2']) ? $_POST['othertp2'] : '');

    $keysFortp = ['scalingandpolishing', 'Bridge', 'CD', 'Apisectomy','Apexification','Apexogenesis','DirectPulpcapping','IndirectPulpcapping','Midlinediastemacloser'];
    $othertp = '';
    
    foreach ($keysFortp as $key) {
        if (isset($_POST[$key])) {
            $othertp .= $_POST[$key].' <br>';
        }
    }

    $othertp .=isset($_POST['other_tp']) ? $_POST['other_tp'] : '';


    $medarea=$_POST['medarea'];

    $lines = [];

    // Loop through each $_POST['up'] index from 1 to 10
    for ($i = 1; $i <= 10; $i++) {
        $key = 'up' . $i;
        // Check if the value exists and is not empty
        if (isset($_POST[$key]) && !empty($_POST[$key])) {
            $lines[] = $_POST[$key];  // Add the value to the array
        }
    }

    // Join the values with <br> and assign to $upodesh
    $upodesh = implode('<br>', $lines);

    $pname = mysqli_real_escape_string($conn, $pname);
    $age = mysqli_real_escape_string($conn, $age);
    $date = mysqli_real_escape_string($conn, $date);
    $otherho = mysqli_real_escape_string($conn, $otherho);
    $othercc = mysqli_real_escape_string($conn, $othercc);
    $ccpain = mysqli_real_escape_string($conn, $ccpain);
    $ccsensitivity = mysqli_real_escape_string($conn, $ccsensitivity);
    $othercc1 = mysqli_real_escape_string($conn, $othercc1);
    $othercc2 = mysqli_real_escape_string($conn, $othercc2);
    $otherinv = mysqli_real_escape_string($conn, $otherinv);
    $otheroe = mysqli_real_escape_string($conn, $otheroe);
    $othertp = mysqli_real_escape_string($conn, $othertp);
    $oegcaries = mysqli_real_escape_string($conn, $oegcaries);
    $oecaries = mysqli_real_escape_string($conn, $oecaries);
    $oebdr = mysqli_real_escape_string($conn, $oebdr);
    $oebdc = mysqli_real_escape_string($conn, $oebdc);
    $oemissingtooth = mysqli_real_escape_string($conn, $oemissingtooth);
    $oemobiletooth = mysqli_real_escape_string($conn, $oemobiletooth);
    $oeattrition = mysqli_real_escape_string($conn, $oeattrition);
    $oecervicalabrasion = mysqli_real_escape_string($conn, $oecervicalabrasion);
    $oeerosion = mysqli_real_escape_string($conn, $oeerosion);
    $oeabfraction = mysqli_real_escape_string($conn, $oeabfraction);
    $oefracture = mysqli_real_escape_string($conn, $oefracture);
    $oepercussionpain = mysqli_real_escape_string($conn, $oepercussionpain);
    $oesharptooth = mysqli_real_escape_string($conn, $oesharptooth);
    $oepericoronitistooth = mysqli_real_escape_string($conn, $oepericoronitistooth);
    $oeimpactedtooth = mysqli_real_escape_string($conn, $oeimpactedtooth);
    $otheroe1 = mysqli_real_escape_string($conn, $otheroe1);
    $otheroe2 = mysqli_real_escape_string($conn, $otheroe2);
    $invxrayiopa = mysqli_real_escape_string($conn, $invxrayiopa);
    $invxrayrvg = mysqli_real_escape_string($conn, $invxrayrvg);
    $otherinv1 = mysqli_real_escape_string($conn, $otherinv1);
    $otherinv2 = mysqli_real_escape_string($conn, $otherinv2);
    $tpfilling = mysqli_real_escape_string($conn, $tpfilling);
    $tprct = mysqli_real_escape_string($conn, $tprct);
    $tppc = mysqli_real_escape_string($conn, $tppc);
    $tprpd = mysqli_real_escape_string($conn, $tprpd);
    $tpext = mysqli_real_escape_string($conn, $tpext);
    $tppulpectomy = mysqli_real_escape_string($conn, $tppulpectomy);
    $tppulpotomy = mysqli_real_escape_string($conn, $tppulpotomy);
    $othertp1 = mysqli_real_escape_string($conn, $othertp1);
    $othertp2 = mysqli_real_escape_string($conn, $othertp2);
    $upodesh = mysqli_real_escape_string($conn, $upodesh);
    $medarea = mysqli_real_escape_string($conn, $medarea);
    $P_Unique = mysqli_real_escape_string($conn, $P_Unique);
    $final_timestamp = mysqli_real_escape_string($conn, $final_timestamp);


    $sql = "INSERT INTO prescription_new (
        pname, age, date, other_ho, other_cc, ccpain, ccsensitivity, othercc1, othercc2, otherinv, other_oe, other_tp,
        oegcaries, oecaries, oebdr, oebdc, oemissingtooth, oemobiletooth, oeattrition, oecervicalabrasion, oeerosion,
        oeabfraction, oefracture, oepercussionpain, oesharptooth, oepericoronitistooth, oeimpactedtooth, otheroe1, otheroe2,
        invxrayiopa, invxrayrvg, otherinv1, otherinv2, tpfillingon, tprcton, tppcon, tprpdon, tpexton, tppulpectomy,
        tppulpotomy, othertp1, othertp2, upodesh, medicine, punique, timestamp
    ) VALUES (
        '$pname', '$age', '$date', '$otherho', '$othercc', '$ccpain', '$ccsensitivity', '$othercc1', '$othercc2',
        '$otherinv', '$otheroe', '$othertp', '$oegcaries', '$oecaries', '$oebdr', '$oebdc', '$oemissingtooth', '$oemobiletooth',
        '$oeattrition', '$oecervicalabrasion', '$oeerosion', '$oeabfraction', '$oefracture', '$oepercussionpain', '$oesharptooth',
        '$oepericoronitistooth', '$oeimpactedtooth', '$otheroe1', '$otheroe2', '$invxrayiopa', '$invxrayrvg', '$otherinv1',
        '$otherinv2', '$tpfilling', '$tprct', '$tppc', '$tprpd', '$tpext', '$tppulpectomy', '$tppulpotomy', '$othertp1', 
        '$othertp2', '$upodesh', '$medarea', '$P_Unique', '$final_timestamp'
    );";
    
    if (mysqli_query($conn, $sql)) {
        header('Location: view_prescription.php?timestamp=' . $final_timestamp);
        exit();
    } else {
        echo "Error: " . mysqli_error($conn);
    }
    
    // Close the connection
    mysqli_close($conn);
}
?>
<style>
    input,textarea{
        border : 1px solid #000 !important;
    }'
    .row{
        width:100%
    }
</style>
<div class="main  overflow-auto">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF'] . '?pid=' . $getid); ?>" method="post" class="p-2">
        <input type="text" value="<?php echo $P_Unique ?>" name="punique" hidden>
        <div class="row">
            <div class="col-md-12">
                <label for="pname">Name</label>
                <input type="text" id="pname" name="name" value="<?php echo $name; ?>" disabled class="form-control">
            </div>
            <div class="col-md-6">
                <label for="p_age">Age</label>
                <input type="text" id="p_age" name="p_age" class="form-control">
            </div>
            <div class="col-md-6">
                <label for="cdate">Date</label>
                <input type="date" id="cdate" name="cdate" value="<?php echo $currentDate; ?>" class="form-control">
            </div>
        </div>
        <hr class="my-lg-3">
        <div class="row">
            <div class="col-lg-6">
                <h4>H/O:</h4>
                <div>
                    <input type="checkbox" name="htrauma" id="htrauma" value="Trauma">
                    <label for="htrauma">Trauma</label>
                    <input type="text" name="htraumap">
                </div>
                <div>
                    <input type="checkbox" name="hdm" id="hdm" value="DM">
                    <label for="hdm">DM</label>
                    <input type="text" name="hdmp">
                </div>
                <div>
                    <input type="checkbox" name="hpregnancy" id="hpregnancy" value="Pregnancy">
                    <label for="hpregnancy">Pregnancy</label>
                    <input type="text" name="hpregnancyp">
                </div>
                <div>
                    <input type="checkbox" name="hhtn" id="hhtn" value="HTN">
                    <label for="hhtn">HTN</label>
                    <input type="text" name="hhtnp">
                </div>
                <div>
                    <input type="checkbox" name="hhemophilia" id="hhemophilia" value="Hemophilia">
                    <label for="hhemophilia">Hemophilia</label>
                    <input type="text" name="hhemophiliap">
                </div>
                <div>
                    <input type="checkbox" name="hthalassemia" id="hthalassemia" value="Thalassemia">
                    <label for="hthalassemia">Thalassemia</label>
                    <input type="text" name="hthalassemiap">
                </div>
                <div>
                    <input type="checkbox" name="hleukemia" id="hleukemia" value="Leukemia">
                    <label for="hleukemia">Leukemia</label>
                    <input type="text" name="hleukemiap">
                </div>
                <div>
                    <input type="checkbox" name="hthyroid" id="hthyroid" value="Thyroid">
                    <label for="hthyroid">Thyroid</label>
                    <input type="text" name="hthyroidp">
                </div>
                <div>
                    <input type="checkbox" name="hhepatitis" id="hhepatitis" value="Hepatitis">
                    <label for="hhepatitis">Hepatitis</label>
                    <input type="text" name="hhepatitisp">
                </div>
                <div>
                    <input type="checkbox" name="haids" id="haids" value="AIDS">
                    <label for="haids">AIDS</label>
                    <input type="text" name="haidsp">
                </div>
                <div>
                    <label for="other_ho">Other</label>
                    <textarea name="other_ho" class="form-control"></textarea>
                </div>
            </div>
            <div class="col-lg-6">
                <h4>C/C:</h4>
                <div>
                    <?php
                        generatecboxcc('ccpainon','Pain on');
                    ?>                    
                </div>
                <div>
                    <?php
                        generatecboxcc('ccsensitivity','Sensitivity on');
                    ?>  
                </div>
                <div class='py-3 col-sm-6'>
                    <b><input type="text" name="othercc1"></b>
                    <table border='1' cellpadding='5'>
                        <tr>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc1ur' value='Q'></td>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc1ul' value='Q'></td>
                        </tr>
                        <tr>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc1lr' value='Q'></td>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc1ll' value='Q'></td>
                        </tr>
                    </table>
                </div>
                <div class='py-3 col-sm-6'>
                    <b><input type="text" name="othercc2"></b>
                    <table border='1' cellpadding='5'>
                        <tr>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc2ur' value='Q'></td>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc2ul' value='Q'></td>
                        </tr>
                        <tr>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc2lr' value='Q'></td>
                            <td border='1' style='border: 1px solid;'><input type='checkbox' name='othercc2ll' value='Q'></td>
                        </tr>
                    </table>
                </div>
                <div>
                    <input type="checkbox" name="ccgumbleeding" id="ccgumbleeding" value="Gum bleeding">
                    <label for="ccgumbleeding">Gum bleeding</label>
                </div>
                <div>
                    <label for="other_cc">Other</label>
                    <textarea name="other_cc" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <hr class="my-lg-3">
        <div class="row">
            <h4>O/E</h4>
            <?php 
            generateTables('oegcaries',"G. Caries");
            generateTables('oecaries',"Caries");
            generateTables('oebdr',"BDR");
            generateTables('oebdc',"BDC");
            generateTables('oemissingtooth',"Missing Tooth/Teeth");
            generateTables('oemobiletooth',"Mobile Tooth/Teeth");
            generateTables('oeattrition',"Attrition");
            generateTables('oecervicalabrasion',"Cervical Abrasion");
            generateTables('oeerosion',"Erosion");
            generateTables('oeabfraction',"Abfraction");
            generateTables('oefracture',"Fracture");
            generateTables('oepercussionpain',"Percussion Pain");
            generateTables('oesharptooth',"Sharp Tooth / Teeth");
            generateTables('oepericoronitistooth',"pericoronitis Tooth / Teeth");
            generateTables('oeimpactedtooth',"Impacted  Tooth / Teeth");
            ?>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="otheroe1"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='otheroe1ur'></td>
                        <td><input type='text' name='otheroe1ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='otheroe1lr'></td>
                        <td><input type='text' name='otheroe1ll'></td>
                    </tr>
                </table>
            </div>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="otheroe2"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='otheroe2ur'></td>
                        <td><input type='text' name='otheroe2ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='otheroe2lr'></td>
                        <td><input type='text' name='otheroe2ll'></td>
                    </tr>
                </table>
            </div>
            <div class="py-3 col-sm-12">
                        <input type="checkbox" id="Midlinediastema" name="Midlinediastema" value="Midline diastema">
                        <label for="Midlinediastema">Midline diastema</label><br>

                        <input type="checkbox" id="Generalizedspacing" name="Generalizedspacing" value="Generalized spacing">
                        <label for="Generalizedspacing">Generalized spacing</label><br>

                        <input type="checkbox" id="Gingivitis" name="Gingivitis" value="Gingivitis">
                        <label for="Gingivitis">Gingivitis</label><br>

                        <input type="checkbox" id="Periodontitis" name="Periodontitis" value="Periodontitis">
                        <label for="Periodontitis">Periodontitis</label><br>

                        <input type="checkbox" id="Ulcer" name="Ulcer" value="Ulcer">
                        <label for="Ulcer">Ulcer</label>
                        <input type="text" name="UlcerPlace"><br>

                        <input type="checkbox" id="Swellingon" name="Swellingon" value="Swelling on">
                        <label for="Swellingon">Swelling on</label>
                        <input type="text" name="SwellingonPlace"><br>

                        <input type="checkbox" id="Sinuson" name="Sinuson" value="Sinus on">
                        <label for="Sinuson">Sinus on</label>
                        <input type="text" name="SinusonP"><br>

                        <input type="checkbox" id="PusDrainage" name="PusDrainage" value="Pus Drainage">
                        <label for="PusDrainage">Pus Drainage</label>
                        <input type="text" name="PusDrainagePlace"><br>

                        <input type="checkbox" id="staining" name="staining" value="Staining">
                        <label for="staining">Staining</label>
                        <input type="text" name="stainingPlace"><br>

                        <input type="checkbox" id="calculas" name="calculas" value="Calculas">
                        <label for="calculas">Calculas</label>
                        <input type="text" name="calculasPlace"><br>
                    </div>
                    <div class="py-3 col-sm-12">
                        <textarea name="other_oe" id="other_oe" class="form-control"></textarea>
                    </div>
        </div>
        <hr class="my-lg-3">
        <div class="row">
            <h4>INV:</h4>
            <div class="col-12">
                <input type="Checkbox" name="invxrayopg" id="invxrayopg" value="Xray OPG">
                <label for="invxrayopg">Xray OPG</label><br>
            </div>
            <?php
                generateTables('invxrayiopa',"X-ray IOPA");
                generateTables('invxrayrvg',"X-ray RVG");
            ?>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="otherinv1"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='otherinv1ur'></td>
                        <td><input type='text' name='otherinv1ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='otherinv1lr'></td>
                        <td><input type='text' name='otherinv1ll'></td>
                    </tr>
                </table>
            </div>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="otherinv2"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='otherinv2ur'></td>
                        <td><input type='text' name='otherinv2ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='otherinv2lr'></td>
                        <td><input type='text' name='otherinv2ll'></td>
                    </tr>
                </table>
            </div>
            <div class="col-12">
                <label>Other (If Required)</label>
                <textarea name="otherinv" class="form-control"></textarea>
            </div>
        </div>
        <hr class="my-lg-3">
        <div class="row">
            <h4>Treatment Plan</h4>
            <?php
            generateTables('tpfilling', 'Filling on');
            generateTables('tprct', 'RCT on');
            generateTables('tppc', 'PC on');
            generateTables('tprpd', 'RPD on');
            generateTables('tpext', 'Ext on');
            generateTables('tppulpectomy', 'Pulpectomy');
            generateTables('tppulpotomy', 'Pulpotomy');
            ?>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="othertp1"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='othertp1ur'></td>
                        <td><input type='text' name='othertp1ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='othertp1lr'></td>
                        <td><input type='text' name='othertp1ll'></td>
                    </tr>
                </table>
            </div>
            <div class='py-3 col-sm-6'>
                <h6><input type="text" name="otherinv2"></h6>
                <table border='1' cellpadding='0'>
                    <tr>
                        <td><input type='text' name='othertp2ur'></td>
                        <td><input type='text' name='othertp2ul'></td>
                    </tr>
                    <tr>
                        <td><input type='text' name='othertp2lr'></td>
                        <td><input type='text' name='othertp2ll'></td>
                    </tr>
                </table>
            </div>
            <div>
                <input type="checkbox" id="scalingandpolishing" name="scalingandpolishing" value="Scaling and Polishing">
                <label for="scalingandpolishing">Scaling and Polishing</label><br>
                <input type="checkbox" id="Bridge" name="Bridge" value="Bridge">
                <label for="Bridge">Bridge</label><br>
                <input type="checkbox" id="CD" name="CD" value="CD">
                <label for="CD">CD</label><br>
                <input type="checkbox" id="Apisectomy" name="Apisectomy" value="Apisectomy">
                <label for="Apisectomy">Apisectomy</label><br>
                <input type="checkbox" id="Apexification" name="Apexification" value="Apexification">
                <label for="Apexification">Apexification</label><br>
                <input type="checkbox" id="Apexogenesis" name="Apexogenesis" value="Apexogenesis">
                <label for="Apexogenesis">Apexogenesis</label><br>
                <input type="checkbox" id="DirectPulpcapping" name="DirectPulpcapping" value="Direct Pulp capping">
                <label for="DirectPulpcapping">Direct Pulp capping</label><br>
                <input type="checkbox" id="IndirectPulpcapping" name="IndirectPulpcapping" value="Indirect Pulp capping">
                <label for="IndirectPulpcapping">Indirect Pulp capping</label><br>
                <input type="checkbox" id="Midlinediastemacloser" name="Midlinediastemacloser" value="Midline diastema closer">
                <label for="Midlinediastemacloser">Midline diastema closer</label><br>

            </div>
            <div>
                <textarea name="other_tp" id="other_tp" class="form-control" ></textarea>
            </div>
        </div>
        <hr class="my-lg-3">
        <div class="row">
            <div class="col-lg-2">
                <label for="medicine-type">Type:</label>
                <select id="medicine-type" name="medicine-type" class="form-control">
                    <option value="">From Drug database</option>
                    <option value="Tab">Tablet (Tab)</option>
                    <option value="Cap">Capsule (Cap)</option>
                    <option value="Syp">Syrup (Syp)</option>
                    <option value="Inj">Injection (Inj)</option>
                    <option value="Susp">Suspension (Susp)</option>
                    <option value="Elix">Elixir (Elix)</option>
                    <option value="Soln">Solution (Soln)</option>
                    <option value="Emul">Emulsion (Emul)</option>
                    <option value="Oint">Ointment (Oint)</option>
                    <option value="Crm">Cream (Crm)</option>
                    <option value="Gel">Gel (Gel)</option>
                    <option value="Lot">Lotion (Lot)</option>
                    <option value="Drops">Drops (Drops)</option>
                    <option value="Inh">Inhaler (Inh)</option>
                    <option value="Neb">Nebulizer (Neb)</option>
                    <option value="Supp">Suppository (Supp)</option>
                    <option value="Patch">Patch (Patch)</option>
                    <option value="Pwd">Powder (Pwd)</option>
                    <option value="Loz">Lozenge (Loz)</option>
                    <option value="Gran">Granules (Gran)</option>
                    <option value="Spray">Spray (Spray)</option>
                    <option value="TDS">Transdermal System (TDS)</option>
                    <option value="Buccal">Buccal (Buccal)</option>
                    <option value="SL">Sublingual (SL)</option>
                </select>
            </div>
            <div class="col-lg-3 autocomplete">
                <label for="item">Item</label>
                <input type="text" class="form-control py-1" id="item" name="item" list="itemlist">
                <datalist id="itemlist">
                    <?php
                    $sql = "SELECT type, item FROM drugs";
                    $result = $conn->query($sql);

                    if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                            ?>
                            <option value="<?php echo $row['type'] . ' ' . $row['item']; ?>"></option>
                            <?php
                        }
                    }
                    ?>
                </datalist>

            </div>
            <div class="col-lg-4">
                <label for="rule">Rule</label>
                <input type="text" class="form-control py-1" id="rule" name="rule" list="rulelist">
                <datalist id="rulelist">
                    <option value="খাওয়ার আগে"></option>
                    <option value="খাওয়ার পরে"></option>
                    <option value="রাতে ঘুমানোর ১ ঘণ্টা আগে">
                    <option value="হাফ চামচ"></option>
                    <option value="পায়খানার রাস্তায় দেবেন"></option>
                    <option value="১ চামচ">
                    <option value="১ টি ট্যাবলেট">
                    <option value="১/২ টি ট্যাবলেট">
                    <option value="দেড় চামচ"></option>
                    <option value="আড়াই চামচ"></option>
                    <option value="বাথা হলে">     
                </datalist>
            </div>
            <div class="col-lg-3">
                <label for="period">Period</label>
                <input type="text" class="form-control py-1" id="period" name="period" list="perlist">
                <datalist id="perlist">
                    <option value="১+১+১">
                    <option value="১+০+১">
                    <option value="০+১+১">
                    <option value="১+১+০">
                    <option value="০+০+১">
                    <option value="০+১+০">
                    <option value="১+০+০">
                    <option value="সকালে">
                    <option value="দুপুরে">
                    <option value="রাতে">
                    <option value="দিনে ১ বার">
                    <option value="দিনে ২ বার">
                    <option value="দিনে ৩ বার">
                    <option value="দিনে ৪ বার">
                </datalist>
            </div>
            <div class="col-10">
                <label for="duration">Duration</label>
                <input type="text" class="form-control py-1" id="duration" name="duration" list="durlist">
                <datalist id="durlist">
                    <option value="০১ দিন">
                    <option value="০৩ দিন">
                    <option value="০৫ দিন">
                    <option value="১০ দিন">
                    <option value="১৪ দিন">
                    <option value="১৫ দিন">
                    <option value="১ সপ্তাহ">
                    <option value="২ সপ্তাহ">
                    <option value="৩ সপ্তাহ">
                    <option value="৪ সপ্তাহ">
                    <option value="৫ সপ্তাহ">
                    <option value="৬ সপ্তাহ">
                    <option value="২৮ দিন">
                    <option value="২১ দিন">
                    <option value="১ মাস">
                    <option value="২ মাস">
                    <option value="৩ মাস">
                    <option value="৪ মাস">
                    <option value="৬ মাস">
                    <option value="১ বছর">
                    <option value="১ম দিন এবং ৭ম দিন">
                    <option value="চলবে">
                    <option value="পরবর্তী নির্দেশনা না দেয়া পর্যন্ত">
                    <option value="০৩ দিন">
                </datalist>
            </div>
            <div class="col-2">
                <button id="addMedicine" class="btn btn-main">Add</button>
            </div>
            <textarea name="medarea" id="medArea" class="my-lg-2 form-control"></textarea>
        </div>
        <br>
        <hr>
        <div class="row">
            <div class="col-12">
                <?php
                $jsonFile = 'upodesh.json';
                if (file_exists($jsonFile)) {
                    $jsonData = file_get_contents($jsonFile);
                    $data = json_decode($jsonData, true);
                }
                ?>
                <h4>উপদেশ</h4>
                <input type="text" name="up1" class="form-control" value="<?php echo isset($data['v1']) ? htmlspecialchars($data['v1']) : ''; ?>">
                <input type="text" name="up2" class="form-control" value="<?php echo isset($data['v2']) ? htmlspecialchars($data['v2']) : ''; ?>">
                <input type="text" name="up3" class="form-control" value="<?php echo isset($data['v3']) ? htmlspecialchars($data['v3']) : ''; ?>">
                <input type="text" name="up4" class="form-control" value="<?php echo isset($data['v4']) ? htmlspecialchars($data['v4']) : ''; ?>">
                <input type="text" name="up5" class="form-control" value="<?php echo isset($data['v5']) ? htmlspecialchars($data['v5']) : ''; ?>">
              <input type="text" name="up6" class="form-control" value="<?php echo isset($data['v6']) ? htmlspecialchars($data['v6']) : ''; ?>">
              <input type="text" name="up7" class="form-control" value="<?php echo isset($data['v7']) ? htmlspecialchars($data['v7']) : ''; ?>">
                <input type="text" name="up8" class="form-control" value="<?php echo isset($data['v8']) ? htmlspecialchars($data['v8']) : ''; ?>">
                <input type="text" name="up9" class="form-control" value="<?php echo isset($data['v9']) ? htmlspecialchars($data['v9']) : ''; ?>">
               <input type="text" name="up10" class="form-control" value="<?php echo isset($data['v10']) ? htmlspecialchars($data['v10']) : ''; ?>">
            </div>
        </div>
        <button type="submit" class="btn btn-main">Process</button>
</div>
<script src="vendor/jquery-3.7.1.min.js"></script>
<script>
    $(document).ready(function() {
        $.noConflict();
        $('#medArea').keydown(function(event) {
            if (event.key === 'Enter' || event.keyCode === 13) {
                event.preventDefault(); // Prevent default behavior (newline)
                let cursorPosition = this.selectionStart; // Get cursor position
                let currentValue = $(this).val(); // Get current value of textarea

                // Insert newline at the cursor position
                let newValue = currentValue.substring(0, cursorPosition) + '\n' + currentValue.substring(cursorPosition);

                // Update textarea value with the new value
                $(this).val(newValue);

                // Set the cursor position after the inserted newline
                this.setSelectionRange(cursorPosition + 1, cursorPosition + 1); // +1 to account for '\n'.length
            }
        });

        // Function to convert <br> to new lines for display
        function convertBrToNewLine() {
            let textareaValue = $('#medArea').val();
            let newValue = textareaValue.replace(/<br>/g, '\n');
            $('#medArea').val(newValue);
        }

        // Convert <br> tags to new lines initially and on each change
        convertBrToNewLine();
        $('#medArea').on('input', convertBrToNewLine);

        // Function to handle adding medicine
        $('#addMedicine').on('click', function(e){
            e.preventDefault();
            // Retrieve values from input fields
            let medVal = $('#medArea').val();
            let medicinetype = $('#medicine-type').val();
            if (medicinetype !== "") {
                medicinetype = medicinetype + ". "
            }
            let duration =$('#duration').val()
            if (duration !== "") {
                duration = '<b>'+duration + "</b><br>\n"
            }
            let item = $('#item').val();
            let rule = $('#rule').val();
            let period = $('#period').val();
            // Append medicine details to the medicine textarea
            $('#medArea').val(medVal + medicinetype + item + " " + rule + " " + period + '<br>\n'+ duration);
            $('#item').val("");
            $('#rule').val("");
            $('#period').val("");
            $('#duration').val("");
        });
        
    });
</script>
<?php
include_once('footer.php');
?>
