<?php
include_once('config.php');
$sl = 0; // Initialize the serial number counter
$total_ammount = 0; // Initialize the total amount

if (isset($_GET['timestamp'])) {
    $getid = $_GET['timestamp'];
}

// Fetch and display data from the deal table
$sql = "SELECT * FROM deal WHERE timestamp = ?";
$stmt1 = $conn->prepare($sql);
$stmt1->bind_param("s", $getid);
$stmt1->execute();
$results1 = $stmt1->get_result();

$deal_info = null; // Initialize variable to hold deal info
if ($results1->num_rows > 0) {
    $deal_info = $results1->fetch_assoc();
    $ammount = $deal_info['ammount']; // Get total amount from deal info
    $punique = $deal_info['punique']; // Store the unique identifier
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Invoice of Deals</title>
    <link rel="stylesheet" href="vendor/all.min.css">
    <link rel="stylesheet" href="vendor/fontawesome.min.css">
    <link href="vendor/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="main p-3">
        <?php include_once('header_prescription.php'); ?>
        <h3>Invoice of Deals</h3>
        
        <!-- Display Deal Information -->
        <div>
            <div class="row">
                <div class="col-6"><b>Title:</b></div>
                <div class="col-6"><?php echo htmlspecialchars($deal_info['title']); ?></div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-6"><b>Total Amount:</b></div>
                <div class="col-6"><?php echo htmlspecialchars($deal_info['ammount']); ?></div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-6"><b>Patient's Name:</b></div>
                <div class="col-6"><?php echo htmlspecialchars($deal_info['name']); ?></div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-6"><b>Deal Signed At:</b></div>
                <div class="col-6"><?php echo htmlspecialchars($deal_info['date']); ?></div>
            </div>
        </div>

        <!-- Table for Payments -->
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>sl</th>
                    <th>Title</th>
                    <th>Amount</th>
                    <th>Date</th>
                </tr>
            </thead>
            <tbody>
                <?php
                // Fetch and display payment data
                $fetch_query = "SELECT * FROM payment WHERE parent_timestamp = ?";
                $stmt2 = $conn->prepare($fetch_query);
                $stmt2->bind_param("s", $getid);
                $stmt2->execute();
                $result2 = $stmt2->get_result();

                if ($result2->num_rows > 0) {
                    while ($row = $result2->fetch_assoc()) {
                        $sl++;
                        echo "<tr>";
                        echo "<td>" . htmlspecialchars($sl) . "</td>";
                        echo "<td>" . htmlspecialchars($row['payment_title']) . "</td>";
                        echo "<td>" . htmlspecialchars($row['ammount']) . "</td>";
                        echo "<td>" . htmlspecialchars($row['date']) . "</td>";
                        echo "</tr>";

                        // Summing up the total amount for payments
                        $total_ammount += $row['ammount'];
                    }
                } else {
                    echo "<tr><td colspan='4'>No payments found.</td></tr>";
                }

                // Display the total amount
                echo "<tr>";
                echo "<td colspan='1'><strong>Total</strong></td>";
                echo "<td colspan='3'><strong>" . htmlspecialchars($total_ammount) . "</strong></td>";
                echo "</tr>";

                // Display the due amount
                echo "<tr>";
                echo "<td colspan='1'><strong>Due</strong></td>";
                echo "<td colspan='3'><strong>" . htmlspecialchars($ammount - $total_ammount) . "</strong></td>";
                echo "</tr>";

                // Closing the statements
                $stmt1->close();
                $stmt2->close();
                ?>
            </tbody>
        </table>
    </div>

    <script>
        // Trigger print and redirect after print
        window.print();
        window.addEventListener('afterprint', function() {
            window.location.href = 'list_of_deals.php?punique=<?php echo $punique; ?>';
        });
    </script>

    <?php include_once('footer.php'); ?>
</body>

</html>
