<?php
include_once('aside.php');
if ($_SESSION['type'] == "staff") {
    header("Location: 404.php");
    exit();
}
$data = [];
$jsonFile = 'drinfo.json';

// Check if the JSON file exists and read data from it
if (file_exists($jsonFile)) {
    $jsonData = file_get_contents($jsonFile);
    $data = json_decode($jsonData, true);
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $data = [
        'drname' => $_POST['drname'],
        'pdesignation' => $_POST['pdesignation'],
        'designation1' => $_POST['designation1'],
        'designation2' => $_POST['designation2'],
        'designation3' => $_POST['designation3'],
        'designation4' => $_POST['designation4'],
        'chembername' => $_POST['chembername'],
        'chemberaddress' => $_POST['chemberaddress'],
        'contractinfo' => $_POST['contractinfo'],
        'schedule1' => $_POST['schedule1'],
        'schedule2' => $_POST['schedule2'],
        'footer' => $_POST['footer']
    ];

    $json_data = json_encode($data, JSON_PRETTY_PRINT);

    if (file_put_contents($jsonFile, $json_data)) {
        $message = "Data Updated successfully!";
    } else {
        $message = "Failed to update data!";
    }

    // File upload handling
    $filename = $_FILES['logo']['name'];
    $tmp_loc = $_FILES['logo']['tmp_name'];
    $uploc = 'images/';

    if (!empty($filename)) {
        move_uploaded_file($tmp_loc, $uploc . 'drlogo.png');
    }
}
?>
<div class="main p-3">
    <?php if (isset($message)) { echo "<p>$message</p>"; } ?>
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF'] . '?pid=' . (isset($getid) ? $getid : '')); ?>" method="post" class="container" enctype="multipart/form-data">
        <div class="row">
            <div class="col-12">
                <label for="drname">Your Name</label>
                <input type="text" name="drname" id="drname" value="<?php echo isset($data['drname']) ? htmlspecialchars($data['drname']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="pdesignation">Primary Designation</label>
                <input type="text" name="pdesignation" id="pdesignation" value="<?php echo isset($data['pdesignation']) ? htmlspecialchars($data['pdesignation']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="designation1">Designation 1</label>
                <input type="text" name="designation1" id="designation1" value="<?php echo isset($data['designation1']) ? htmlspecialchars($data['designation1']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="designation2">Designation 2</label>
                <input type="text" name="designation2" id="designation2" value="<?php echo isset($data['designation2']) ? htmlspecialchars($data['designation2']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="designation3">Designation 3</label>
                <input type="text" name="designation3" id="designation3" value="<?php echo isset($data['designation3']) ? htmlspecialchars($data['designation3']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="designation4">Designation 4</label>
                <input type="text" name="designation4" id="designation4" value="<?php echo isset($data['designation4']) ? htmlspecialchars($data['designation4']) : ''; ?>" class="form-control">
            </div>

            <div class="col-12">
                <br><br><br>
                <h2>Chamber Information</h2>
                <br><br><br>
            </div>

            <div class="col-12">
                <label for="chembername">Chamber Name</label>
                <input type="text" name="chembername" id="chembername" value="<?php echo isset($data['chembername']) ? htmlspecialchars($data['chembername']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="chemberaddress">Chamber Address</label>
                <input type="text" name="chemberaddress" id="chemberaddress" value="<?php echo isset($data['chemberaddress']) ? htmlspecialchars($data['chemberaddress']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="contractinfo">Contact Info</label>
                <input type="text" name="contractinfo" id="contractinfo" value="<?php echo isset($data['contractinfo']) ? htmlspecialchars($data['contractinfo']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="schedule1">Schedule 1</label>
                <input type="text" name="schedule1" id="schedule1" value="<?php echo isset($data['schedule1']) ? htmlspecialchars($data['schedule1']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                <label for="schedule2">Schedule 2</label>
                <input type="text" name="schedule2" id="schedule2" value="<?php echo isset($data['schedule2']) ? htmlspecialchars($data['schedule2']) : ''; ?>" class="form-control">
            </div>
            <div class="col-12">
                 <label for="footer">Footer</label>
                <input type="text" name="footer" id="footer" value="<?php echo isset($data['footer']) ? htmlspecialchars($data['footer']) : ''; ?>" class="form-control">
            
            </div>
            <div class="col-12">
                <label for="logo">Upload Logo</label>
                <input type="file" name="logo" id="logo" class="form-control">
            </div>
        </div>
        <br>
        <button type="submit" class="btn btn-main">Update</button>
    </form>
</div>


<?php
include_once('footer.php');
?>
