<?php
include_once('aside.php');

if (isset($_GET['id']) && isset($_GET['punique'])) {
    $tid = intval($_GET['id']); // Convert id to integer for safety
    $punique = htmlspecialchars($_GET['punique']); // Sanitize the punique parameter

    // Use prepared statements to avoid SQL injection
    $stmt = $conn->prepare("DELETE FROM cards WHERE cardid = ?");
    $stmt->bind_param("i", $tid); // 'i' indicates the variable is an integer

    if ($stmt->execute()) {
        // Redirect after successful deletion
        header('Location: cards.php?punique=' . urlencode($punique));
        exit();
    } else {
        // Handle the error if the query fails
        echo "Error deleting record: " . $conn->error;
    }

    $stmt->close(); // Close the prepared statement

} else {
    echo "Invalid request or missing parameters.";
}

include_once('footer.php');
?>
