<?php
include_once('aside.php');?>
<?php
if (isset($_GET['timestamp'])) {
    $timestamp = $_GET['timestamp'];

    // Prepare the SQL statement
    $stmt = $conn->prepare("SELECT * FROM prescription_new WHERE timestamp = ?");
    if ($stmt === false) {
        die("Error preparing statement: " . $conn->error);
    }

    // Bind the parameter
    $stmt->bind_param("s", $timestamp);

    // Execute the statement
    if ($stmt->execute() === false) {
        die("Error executing statement: " . $stmt->error);
    }

    // Get the result
    $result = $stmt->get_result();

    // Fetch the data
    $data = $result->fetch_assoc();

    // Print the fetched data
    $name=$data['pname'];
    $age=$data['age'];
    $date=$data['date'];
    $ho=$data['other_ho'];
    $cc=$data['other_cc'];
    $inv=$data['otherinv'];
    $oe=$data['other_oe'];
    $tp=$data['other_tp'];
    $medicine=$data['medicine'];


    $ccpain=$data['ccpain'];
    $ccsensitivity=$data['ccsensitivity'];
    $othercc1=$data['othercc1'];
    $othercc2=$data['othercc2'];

    $oegcaries = $data['oegcaries'];

    $oecaries = $data['oecaries'];

    $oebdr = $data['oebdr'];

    $oebdc = $data['oebdc'];

    $oemissingtooth = $data['oemissingtooth'];

    $oemobiletooth = $data['oemobiletooth'];

    $oeattrition = $data['oeattrition'];

    $oecervicalabrasion = $data['oecervicalabrasion'];

    $oeerosion = $data['oeerosion'];

    $oeabfraction = $data['oeabfraction'];

    $oefracture = $data['oefracture'];

    $oepercussionpain = $data['oepercussionpain'];

    $oesharptooth = $data['oesharptooth'];

    $oepericoronitistooth = $data['oepericoronitistooth'];

    $oeimpactedtooth = $data['oeimpactedtooth'];

    $otheroe1=$data['otheroe1'];

    $otheroe2=$data['otheroe2'];

    $invxrayiopa = $data['invxrayiopa'];

    $invxrayrvg = $data['invxrayrvg'];

    $otherinv1=$data['otherinv1'];

    $otherinv2=$data['otherinv2'];

    $tpfillingon = $data['tpfillingon'];

    $tprcton = $data['tprcton'];

    $tppcon = $data['tppcon'];

    $tprpdon = $data['tprpdon'];

    $tpexton = $data['tpexton'];

    $tppulpectomy = $data['tppulpectomy'];

    $tppulpotomy = $data['tppulpotomy'];

    $othertp1=$data['othertp1'];

    $othertp2=$data['othertp2'];

    $upodesh=$data['upodesh'];

    if (substr_count($ho, '<br>') > 4) {
        $ho = str_replace('<br>', ', ', $ho);
    }
    if (substr_count($oe, '<br>') > 4) {
        $oe = str_replace('<br>', ', ', $oe);
    }
    if (substr_count($tp, '<br>') > 4) {
        $tp = str_replace('<br>', ', ', $tp);
    }

    function showTable(string $title, string $var): void {
        // Define the specific HTML table structure to search for
        $needle = "<table border='1' cellpadding='4' style='border-collapse: collapse;'>
                       <tr><td style='border: 1px solid;'></td><td style='border: 1px solid;'></td></tr>
                       <tr><td style='border: 1px solid;'></td><td style='border: 1px solid;'></td></tr>
                   </table>";
    
        // Search for the HTML table structure within $var
        $position = strpos($var, $needle);
    
        // If the specific table structure is found
        if ($position == false) {
            echo $var;
        } else {
            // Action or message when the specific table structure is not found
            echo "The specified table structure was not found in the provided content.";
        }
    }

    // echo $oegcaries;

    // showTable('G. Caries' ,$oecaries);

    // Close the statement
    $stmt->close();
}

// Close the connection
$conn->close();
?>
<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="main">
                <?php
                    include_once('header_prescription.php');
                ?>
                <div class="name-bar">
                    <table>
                        <tr>
                            <td>Name: <span class="name"><?php echo $name; ?></span></td>
                            <td>Age: <span class="age"><?php echo $age; ?></span></td>
                            <td>Date: <span class="date"><?php echo $date; ?></span></td>
                        </tr>
                    </table>
                </div>
                <div class="middle">
                    <div class="row">
                        <div class="col-5 sa">
                            <div id="sideText">
                                <p class="ho">
                                    <h4><b>H/O :</b></h4>
                                    <p style="font-size:xxx-small;"><?php echo $ho ; ?></p>
                                </p>
                                <p class="cc">
                                    <h4><b>C/C :</b></h4>
                                    <div class="row">
                                        <div class="col-6">
                                            <p><?php echo $ccpain ?></p>
                                        </div>
                                        <div class="col-6">
                                            <p><?php echo $ccsensitivity ?></p>
                                        </div>
                                        <div class="col-6">
                                            <p><?php echo $othercc1 ?></p>
                                        </div>
                                        <div class="col-6">
                                            <p><?php echo $othercc2 ?></p>
                                        </div>
                                        <p><?php echo $cc ?></p>
                                    </div>

                                </p>
                                <p class="oe">
                                    <h4><b>O/E :</b></h4>
                                    <div class="row">
                                        <?php showTable('G. Caries' ,$oegcaries) ;?>
                                        <?php showTable('Caries' ,$oecaries) ;?>
                                        <?php showTable('BDC' ,$oebdc) ;?>
                                        <?php showTable('BDR' ,$oebdr) ;?>
                                        <?php showTable('Missing Tooth / Teeth' ,$oemissingtooth) ;?>
                                        <?php showTable('Mobile Tooth / Teeth' ,$oemobiletooth) ;?>
                                        <?php showTable('Attrition' ,$oeattrition) ;?>
                                        <?php showTable('Cervical Abrassion' ,$oecervicalabrasion) ;?>
                                        <?php showTable('AbFraction' ,$oeabfraction) ;?>
                                        <?php showTable('Errosion' ,$oeerosion) ;?>
                                        <?php showTable('Fracture' ,$oefracture) ;?>
                                        <?php showTable('Percission Pain' ,$oepercussionpain) ;?>
                                        <?php showTable('Sharp Tooth / Teeth' ,$oesharptooth) ;?>
                                        <?php showTable('Pericoronitis Tooth / Teeth' ,$oepericoronitistooth) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$oeimpactedtooth) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$otheroe1) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$otheroe2) ;?>
                                    </div>
                                    <p style="font-size:xxx-small;"><?php echo $oe ; ?></p>
                                </p>
                                <p class="inv">
                                    <h4><b>INV :</b></h4>
                                    <div class="row">
                                        <?php showTable('X-ray IOPA' ,$invxrayiopa) ;?>
                                        <?php showTable('X-ray RVG' ,$invxrayrvg) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$otherinv1) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$otherinv2) ;?>
                                    </div>
                                    <p style="font-size:xxx-small;"><?php echo $inv ; ?></p>
                                </p>
                                <p class="tp">
                                    <h4><b>Treatment Plan :</b></h4>
                                    <div class="row">
                                        <?php showTable('Filling on' ,$tpfillingon) ;?>
                                        <?php showTable('RCT on' ,$tprcton) ;?>
                                        <?php showTable('PC on' ,$tppcon) ;?>
                                        <?php showTable('RPD on' ,$tprpdon) ;?>
                                        <?php showTable('Ext on' ,$tpexton) ;?>
                                        <?php showTable('Pulpectomy' ,$tppulpectomy) ;?>
                                        <?php showTable('Pulpotomy' ,$tppulpotomy) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$othertp1) ;?>
                                        <?php showTable('Impacted Tooth / Teeth' ,$othertp2) ;?>
                                    </div>
                                    <p style="font-size:xxx-small;"><?php echo $tp ; ?></p>
                                </p>
                            </div>
                        </div>
                        <div class="col-7 mare">
                            <h3>Rx</h3>
                            <p>
                                <?php echo $medicine; ?>
                                <br><br><br>
                            </p>
                            <p>
                                <h4>উপদেশ </h4>
                                <?php
                                    echo $upodesh;
                                ?>
                            </p>
                            <p class="text-end">
                                <p>Made With</p>
                                <img src="images/Dontomukta-transparent.png">
                            </p>
                        </div>
                    </div>
                </div>
            </div>
    </div>
        </div>
        <div class="col-3">
        <a class="btn btn-warning" href="print_prescription.php?timestamp=<?php echo $timestamp; ?>">Print</a>
        </div>
    </div>
</div>
<script>
    let link = document.createElement('link');
    link.rel = 'stylesheet';
    link.type = 'text/css';
    link.href = 'print.css'; // Ensure you have a valid CSS file at this location
    document.head.appendChild(link);
</script>
<?
include_once('footer.php');
?>