<?php
include_once('aside.php');
$name = ''; // Initialize $name to avoid undefined variable notice
$currentDate = date("Y-m-d"); // Get the current date in YYYY-MM-DD format

if (isset($_GET['pid'])) {
    $getid = $_GET['pid'];

    // Use prepared statements to prevent SQL injection
    $stmt = $conn->prepare("SELECT P_Name FROM patients WHERE id = ?");
    $stmt->bind_param("i", $getid);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();
        $name = htmlspecialchars($data['P_Name']); // Escape output to prevent XSS
    } else {
        echo "No patient found with the provided ID.";
    }

    $stmt->close();
}
if(isset($_POST['htrauma'])){
    print_r("Gcarrriestooth[]");
}
?>
<div class="main p-3">
    <form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post" class="container">
        <div class="row">
            <div class="col-md-12">
                <label for="pname">Name</label>
                <input type="text" id="pname" name="pname" value="<?php echo $name; ?>" disabled class="form-control">
            </div>
            <div class="col-md-6">
                <label for="p_age">Age</label>
                <input type="text" id="p_age" name="p_age" class="form-control">
            </div>
            <div class="col-md-6">
                <label for="cdate">Date</label>
                <input type="date" id="cdate" name="cdate" value="<?php echo $currentDate; ?>" class="form-control">
            </div>
            <hr class="my-3">
            <div class="col md-12">
                <h4>H/O:</h4>
                <div>
                    <input type="checkbox" name="htrauma" id="htrauma">
                    <label for="htrauma">Trauma</label>
                    <input type="text" name="htraumap">
                </div>
                <div>
                    <input type="checkbox" name="hdm" id="hdm">
                    <label for="hdm">DM</label>
                    <input type="text" name="hdmp">
                </div>
                <div>
                    <input type="checkbox" name="hpregnancy" id="hpregnancy">
                    <label for="hpregnancy">Pregnancy</label>
                    <input type="text" name="hpregnancyp">
                </div>
                <div>
                    <input type="checkbox" name="hhtn" id="hhtn">
                    <label for="hhtn">HTN</label>
                    <input type="text" name="hhtnp">
                </div>
                <div>
                    <input type="checkbox" name="hhemophilia" id="hhemophilia">
                    <label for="hhemophilia">Hemophilia</label>
                    <input type="text" name="hhemophiliap">
                </div>
                <div>
                    <input type="checkbox" name="hthalassemia" id="hthalassemia">
                    <label for="hthalassemia">Thalassemia</label>
                    <input type="text" name="hthalassemiayp">
                </div>
                <div>
                    <input type="checkbox" name="hleukemia" id="hleukemia">
                    <label for="hleukemia">Leukemia</label>
                    <input type="text" name="hleukemiap">
                </div>
                <div>
                    <input type="checkbox" name="hhthyroid" id="hthyroid">
                    <label for="hthyroid">Thyroid</label>
                    <input type="text" name="hthyroidp">
                </div>
                <div>
                    <input type="checkbox" name="hhepatitis" id="hhepatitis">
                    <label for="hhepatitis">Hepatitis</label>
                    <input type="text" name="hhepatitisp">
                </div>
                <div>
                    <input type="checkbox" name="haids" id="haids">
                    <label for="haids">AIDS</label>
                    <input type="text" name="haidsp">
                </div>
                <div>
                    <textarea name="other" class="form-control"></textarea>
                </div>
            </div>
            <div class="col md-12">
                <h4>C/C:</h4>
                <div>
                    <input type="checkbox" name="ccpainm" id="ccpainm">
                    <label for="ccpainm">Pain On</label>
                </div>
                <div>
                    <input type="checkbox" name="ccsensitivity" id="ccsensitivity">
                    <label for="ccsensitivity">Sensitivity on</label>
                </div>
                <div>
                    <input type="checkbox" name="ccgumbleeding" id="ccgumbleeding">
                    <label for="ccgumbleeding">Gum bleeding</label>
                </div>
                <div>
                    <label for="">other</label>
                    <textarea name="other" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-md-12">
                <h4>O/E:</h4>
                <div class="columns-chart"></div>
                <div>
                    <h6>G. caries</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Gcarrriestoothur1">1</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur1" value="Gcarrriestoothur1">
                                <label for="Gcarrriestoothur2">2</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur2" value="Gcarrriestoothur2">
                                <label for="Gcarrriestoothur3">3</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur3" value="Gcarrriestoothur3">
                                <label for="Gcarrriestoothur4">4</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur14" value="Gcarrriestoothur4">
                                <label for="Gcarrriestoothur5">5</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur5"  value="Gcarrriestoothur5">
                                <label for="Gcarrriestoothur6">6</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur6"  value="Gcarrriestoothur6">
                                <label for="Gcarrriestoothur7">7</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur7" value="Gcarrriestoothur7">
                                <label for="Gcarrriestoothur8">8</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothur8" value="Gcarrriestoothur8">
                            </td>
                            <td>
                                <label for="Gcarrriestoothul1">1</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul1" value="Gcarrriestoothul1">
                                <label for="Gcarrriestoothul2">2</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul2" value="Gcarrriestoothul2">
                                <label for="Gcarrriestoothul3">3</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul3" value="Gcarrriestoothul3">
                                <label for="Gcarrriestoothul4">4</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul14" value="Gcarrriestoothul4">
                                <label for="Gcarrriestoothul5">5</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul5" value="Gcarrriestoothul5">
                                <label for="Gcarrriestoothul6">6</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul6" value="Gcarrriestoothul6">
                                <label for="Gcarrriestoothul7">7</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul7" value="Gcarrriestoothul7">
                                <label for="Gcarrriestoothul8">8</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothul8" value="Gcarrriestoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Gcarrriestoothlr1">1</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr1" values="Gcarrriestoothlr1">
                                <label for="Gcarrriestoothlr2">2</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr2" values="Gcarrriestoothlr2">
                                <label for="Gcarrriestoothlr3">3</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr3" values="Gcarrriestoothlr3">
                                <label for="Gcarrriestoothlr4">4</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr14" values="Gcarrriestoothlr4">
                                <label for="Gcarrriestoothlr5">5</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr5" values="Gcarrriestoothlr5">
                                <label for="Gcarrriestoothlr6">6</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr6" values="Gcarrriestoothlr6">
                                <label for="Gcarrriestoothlr7">7</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr7" values="Gcarrriestoothlr7">
                                <label for="Gcarrriestoothlr8">8</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlr8" values="Gcarrriestoothlr8">
                            </td>
                            <td>
                                <label for="Gcarrriestoothll1">1</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll1" values="Gcarrriestoothll1">
                                <label for="Gcarrriestoothll2">2</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll2" values="Gcarrriestoothll2">
                                <label for="Gcarrriestoothll3">3</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll3" values="Gcarrriestoothll3">
                                <label for="Gcarrriestoothll4">4</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll14" values="Gcarrriestoothll4">
                                <label for="Gcarrriestoothll5">5</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll5" values="Gcarrriestoothll5">
                                <label for="Gcarrriestoothll6">6</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll6" values="Gcarrriestoothll6">
                                <label for="Gcarrriestoothll7">7</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll7" values="Gcarrriestoothll7">
                                <label for="Gcarrriestoothll8">8</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothll8" values="Gcarrriestoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Gcarrriestoothura">A</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothura" value="GcarrriestoothurA">
                                <label for="Gcarrriestoothurb">B</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothurb" value="GcarrriestoothurB">
                                <label for="Gcarrriestoothurc">C</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothurc" value="GcarrriestoothurC">
                                <label for="Gcarrriestoothurd">D</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothurad" value="GcarrriestoothurD">
                                <label for="Gcarrriestoothure">E</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothure"  value="GcarrriestoothurE">
                            </td>
                            <td>
                                <label for="Gcarrriestoothula">A</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothula" value="GcarrriestoothulA">
                                <label for="Gcarrriestoothulb">B</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothulb" value="GcarrriestoothulB">
                                <label for="Gcarrriestoothulc">C</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothulc" value="GcarrriestoothulC">
                                <label for="Gcarrriestoothuld">D</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothulad" value="GcarrriestoothulD">
                                <label for="Gcarrriestoothule">E</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothule" value="GcarrriestoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Gcarrriestoothlra">A</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlra" values="GcarrriestoothlrA">
                                <label for="Gcarrriestoothlrb">B</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlrb" values="GcarrriestoothlrB">
                                <label for="Gcarrriestoothlrc">C</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlrc" values="GcarrriestoothlrC">
                                <label for="Gcarrriestoothlrd">D</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlrad" values="GcarrriestoothlrD">
                                <label for="Gcarrriestoothlre">E</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlre" values="GcarrriestoothlrE">
                            </td>
                            <td>
                                <label for="Gcarrriestoothlla">A</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothlla" values="GcarrriestoothllA">
                                <label for="Gcarrriestoothllb">B</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothllb" values="GcarrriestoothllB">
                                <label for="Gcarrriestoothllc">C</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothllc" values="GcarrriestoothllC">
                                <label for="Gcarrriestoothlld">D</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothllad" values="GcarrriestoothllD">
                                <label for="Gcarrriestoothlle">E</label>
                                <input type="checkbox" name="Gcarrriestooth[]" id="Gcarrriestoothllad" values="GcarrriestoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>caries</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="cariestoothur1">1</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur1" value="cariestoothur1">
                                <label for="cariestoothur2">2</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur2" value="cariestoothur2">
                                <label for="cariestoothur3">3</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur3" value="cariestoothur3">
                                <label for="cariestoothur4">4</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur14" value="cariestoothur4">
                                <label for="cariestoothur5">5</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur5"  value="cariestoothur5">
                                <label for="cariestoothur6">6</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur6"  value="cariestoothur6">
                                <label for="cariestoothur7">7</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur7" value="cariestoothur7">
                                <label for="cariestoothur8">8</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothur8" value="cariestoothur8">
                            </td>
                            <td>
                                <label for="cariestoothul1">1</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul1" value="cariestoothul1">
                                <label for="cariestoothul2">2</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul2" value="cariestoothul2">
                                <label for="cariestoothul3">3</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul3" value="cariestoothul3">
                                <label for="cariestoothul4">4</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul14" value="cariestoothul4">
                                <label for="cariestoothul5">5</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul5" value="cariestoothul5">
                                <label for="cariestoothul6">6</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul6" value="cariestoothul6">
                                <label for="cariestoothul7">7</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul7" value="cariestoothul7">
                                <label for="cariestoothul8">8</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothul8" value="cariestoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="cariestoothlr1">1</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr1" values="cariestoothlr1">
                                <label for="cariestoothlr2">2</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr2" values="cariestoothlr2">
                                <label for="cariestoothlr3">3</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr3" values="cariestoothlr3">
                                <label for="cariestoothlr4">4</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr14" values="cariestoothlr4">
                                <label for="cariestoothlr5">5</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr5" values="cariestoothlr5">
                                <label for="cariestoothlr6">6</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr6" values="cariestoothlr6">
                                <label for="cariestoothlr7">7</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr7" values="cariestoothlr7">
                                <label for="cariestoothlr8">8</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlr8" values="cariestoothlr8">
                            </td>
                            <td>
                                <label for="cariestoothll1">1</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll1" values="cariestoothll1">
                                <label for="cariestoothll2">2</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll2" values="cariestoothll2">
                                <label for="cariestoothll3">3</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll3" values="cariestoothll3">
                                <label for="cariestoothll4">4</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll14" values="cariestoothll4">
                                <label for="cariestoothll5">5</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll5" values="cariestoothll5">
                                <label for="cariestoothll6">6</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll6" values="cariestoothll6">
                                <label for="cariestoothll7">7</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll7" values="cariestoothll7">
                                <label for="cariestoothll8">8</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothll8" values="cariestoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="cariestoothura">A</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothura" value="cariestoothurA">
                                <label for="cariestoothurb">B</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothurb" value="cariestoothurB">
                                <label for="cariestoothurc">C</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothurc" value="cariestoothurC">
                                <label for="cariestoothurd">D</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothurad" value="cariestoothurD">
                                <label for="cariestoothure">E</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothure"  value="cariestoothurE">
                            </td>
                            <td>
                                <label for="cariestoothula">A</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothula" value="cariestoothulA">
                                <label for="cariestoothulb">B</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothulb" value="cariestoothulB">
                                <label for="cariestoothulc">C</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothulc" value="cariestoothulC">
                                <label for="cariestoothuld">D</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothulad" value="cariestoothulD">
                                <label for="cariestoothule">E</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothule" value="cariestoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="cariestoothlra">A</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlra" values="cariestoothlrA">
                                <label for="cariestoothlrb">B</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlrb" values="cariestoothlrB">
                                <label for="cariestoothlrc">C</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlrc" values="cariestoothlrC">
                                <label for="cariestoothlrd">D</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlrad" values="cariestoothlrD">
                                <label for="cariestoothlre">E</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlre" values="cariestoothlrE">
                            </td>
                            <td>
                                <label for="cariestoothlla">A</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothlla" values="cariestoothllA">
                                <label for="cariestoothllb">B</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothllb" values="cariestoothllB">
                                <label for="cariestoothllc">C</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothllc" values="cariestoothllC">
                                <label for="cariestoothlld">D</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothllad" values="cariestoothllD">
                                <label for="cariestoothlle">E</label>
                                <input type="checkbox" name="cariestooth[]" id="cariestoothllad" values="cariestoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>BDR</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="BDRtoothur1">1</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur1" value="BDRtoothur1">
                                <label for="BDRtoothur2">2</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur2" value="BDRtoothur2">
                                <label for="BDRtoothur3">3</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur3" value="BDRtoothur3">
                                <label for="BDRtoothur4">4</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur14" value="BDRtoothur4">
                                <label for="BDRtoothur5">5</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur5"  value="BDRtoothur5">
                                <label for="BDRtoothur6">6</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur6"  value="BDRtoothur6">
                                <label for="BDRtoothur7">7</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur7" value="BDRtoothur7">
                                <label for="BDRtoothur8">8</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothur8" value="BDRtoothur8">
                            </td>
                            <td>
                                <label for="BDRtoothul1">1</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul1" value="BDRtoothul1">
                                <label for="BDRtoothul2">2</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul2" value="BDRtoothul2">
                                <label for="BDRtoothul3">3</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul3" value="BDRtoothul3">
                                <label for="BDRtoothul4">4</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul14" value="BDRtoothul4">
                                <label for="BDRtoothul5">5</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul5" value="BDRtoothul5">
                                <label for="BDRtoothul6">6</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul6" value="BDRtoothul6">
                                <label for="BDRtoothul7">7</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul7" value="BDRtoothul7">
                                <label for="BDRtoothul8">8</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothul8" value="BDRtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="BDRtoothlr1">1</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr1" values="BDRtoothlr1">
                                <label for="BDRtoothlr2">2</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr2" values="BDRtoothlr2">
                                <label for="BDRtoothlr3">3</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr3" values="BDRtoothlr3">
                                <label for="BDRtoothlr4">4</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr14" values="BDRtoothlr4">
                                <label for="BDRtoothlr5">5</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr5" values="BDRtoothlr5">
                                <label for="BDRtoothlr6">6</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr6" values="BDRtoothlr6">
                                <label for="BDRtoothlr7">7</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr7" values="BDRtoothlr7">
                                <label for="BDRtoothlr8">8</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlr8" values="BDRtoothlr8">
                            </td>
                            <td>
                                <label for="BDRtoothll1">1</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll1" values="BDRtoothll1">
                                <label for="BDRtoothll2">2</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll2" values="BDRtoothll2">
                                <label for="BDRtoothll3">3</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll3" values="BDRtoothll3">
                                <label for="BDRtoothll4">4</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll14" values="BDRtoothll4">
                                <label for="BDRtoothll5">5</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll5" values="BDRtoothll5">
                                <label for="BDRtoothll6">6</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll6" values="BDRtoothll6">
                                <label for="BDRtoothll7">7</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll7" values="BDRtoothll7">
                                <label for="BDRtoothll8">8</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothll8" values="BDRtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="BDRtoothura">A</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothura" value="BDRtoothurA">
                                <label for="BDRtoothurb">B</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothurb" value="BDRtoothurB">
                                <label for="BDRtoothurc">C</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothurc" value="BDRtoothurC">
                                <label for="BDRtoothurd">D</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothurad" value="BDRtoothurD">
                                <label for="BDRtoothure">E</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothure"  value="BDRtoothurE">
                            </td>
                            <td>
                                <label for="BDRtoothula">A</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothula" value="BDRtoothulA">
                                <label for="BDRtoothulb">B</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothulb" value="BDRtoothulB">
                                <label for="BDRtoothulc">C</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothulc" value="BDRtoothulC">
                                <label for="BDRtoothuld">D</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothulad" value="BDRtoothulD">
                                <label for="BDRtoothule">E</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothule" value="BDRtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="BDRtoothlra">A</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlra" values="BDRtoothlrA">
                                <label for="BDRtoothlrb">B</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlrb" values="BDRtoothlrB">
                                <label for="BDRtoothlrc">C</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlrc" values="BDRtoothlrC">
                                <label for="BDRtoothlrd">D</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlrad" values="BDRtoothlrD">
                                <label for="BDRtoothlre">E</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlre" values="BDRtoothlrE">
                            </td>
                            <td>
                                <label for="BDRtoothlla">A</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothlla" values="BDRtoothllA">
                                <label for="BDRtoothllb">B</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothllb" values="BDRtoothllB">
                                <label for="BDRtoothllc">C</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothllc" values="BDRtoothllC">
                                <label for="BDRtoothlld">D</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothllad" values="BDRtoothllD">
                                <label for="BDRtoothlle">E</label>
                                <input type="checkbox" name="BDRtooth[]" id="BDRtoothllad" values="BDRtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>BDC</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="BDCtoothur1">1</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur1" value="BDCtoothur1">
                                <label for="BDCtoothur2">2</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur2" value="BDCtoothur2">
                                <label for="BDCtoothur3">3</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur3" value="BDCtoothur3">
                                <label for="BDCtoothur4">4</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur14" value="BDCtoothur4">
                                <label for="BDCtoothur5">5</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur5"  value="BDCtoothur5">
                                <label for="BDCtoothur6">6</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur6"  value="BDCtoothur6">
                                <label for="BDCtoothur7">7</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur7" value="BDCtoothur7">
                                <label for="BDCtoothur8">8</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothur8" value="BDCtoothur8">
                            </td>
                            <td>
                                <label for="BDCtoothul1">1</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul1" value="BDCtoothul1">
                                <label for="BDCtoothul2">2</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul2" value="BDCtoothul2">
                                <label for="BDCtoothul3">3</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul3" value="BDCtoothul3">
                                <label for="BDCtoothul4">4</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul14" value="BDCtoothul4">
                                <label for="BDCtoothul5">5</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul5" value="BDCtoothul5">
                                <label for="BDCtoothul6">6</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul6" value="BDCtoothul6">
                                <label for="BDCtoothul7">7</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul7" value="BDCtoothul7">
                                <label for="BDCtoothul8">8</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothul8" value="BDCtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="BDCtoothlr1">1</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr1" values="BDCtoothlr1">
                                <label for="BDCtoothlr2">2</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr2" values="BDCtoothlr2">
                                <label for="BDCtoothlr3">3</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr3" values="BDCtoothlr3">
                                <label for="BDCtoothlr4">4</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr14" values="BDCtoothlr4">
                                <label for="BDCtoothlr5">5</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr5" values="BDCtoothlr5">
                                <label for="BDCtoothlr6">6</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr6" values="BDCtoothlr6">
                                <label for="BDCtoothlr7">7</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr7" values="BDCtoothlr7">
                                <label for="BDCtoothlr8">8</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlr8" values="BDCtoothlr8">
                            </td>
                            <td>
                                <label for="BDCtoothll1">1</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll1" values="BDCtoothll1">
                                <label for="BDCtoothll2">2</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll2" values="BDCtoothll2">
                                <label for="BDCtoothll3">3</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll3" values="BDCtoothll3">
                                <label for="BDCtoothll4">4</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll14" values="BDCtoothll4">
                                <label for="BDCtoothll5">5</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll5" values="BDCtoothll5">
                                <label for="BDCtoothll6">6</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll6" values="BDCtoothll6">
                                <label for="BDCtoothll7">7</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll7" values="BDCtoothll7">
                                <label for="BDCtoothll8">8</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothll8" values="BDCtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="BDCtoothura">A</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothura" value="BDCtoothurA">
                                <label for="BDCtoothurb">B</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothurb" value="BDCtoothurB">
                                <label for="BDCtoothurc">C</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothurc" value="BDCtoothurC">
                                <label for="BDCtoothurd">D</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothurad" value="BDCtoothurD">
                                <label for="BDCtoothure">E</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothure"  value="BDCtoothurE">
                            </td>
                            <td>
                                <label for="BDCtoothula">A</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothula" value="BDCtoothulA">
                                <label for="BDCtoothulb">B</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothulb" value="BDCtoothulB">
                                <label for="BDCtoothulc">C</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothulc" value="BDCtoothulC">
                                <label for="BDCtoothuld">D</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothulad" value="BDCtoothulD">
                                <label for="BDCtoothule">E</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothule" value="BDCtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="BDCtoothlra">A</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlra" values="BDCtoothlrA">
                                <label for="BDCtoothlrb">B</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlrb" values="BDCtoothlrB">
                                <label for="BDCtoothlrc">C</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlrc" values="BDCtoothlrC">
                                <label for="BDCtoothlrd">D</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlrad" values="BDCtoothlrD">
                                <label for="BDCtoothlre">E</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlre" values="BDCtoothlrE">
                            </td>
                            <td>
                                <label for="BDCtoothlla">A</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothlla" values="BDCtoothllA">
                                <label for="BDCtoothllb">B</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothllb" values="BDCtoothllB">
                                <label for="BDCtoothllc">C</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothllc" values="BDCtoothllC">
                                <label for="BDCtoothlld">D</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothllad" values="BDCtoothllD">
                                <label for="BDCtoothlle">E</label>
                                <input type="checkbox" name="BDCtooth[]" id="BDCtoothllad" values="BDCtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Missing teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="mteethtoothur1">1</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur1" value="mteethtoothur1">
                                <label for="mteethtoothur2">2</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur2" value="mteethtoothur2">
                                <label for="mteethtoothur3">3</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur3" value="mteethtoothur3">
                                <label for="mteethtoothur4">4</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur14" value="mteethtoothur4">
                                <label for="mteethtoothur5">5</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur5"  value="mteethtoothur5">
                                <label for="mteethtoothur6">6</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur6"  value="mteethtoothur6">
                                <label for="mteethtoothur7">7</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur7" value="mteethtoothur7">
                                <label for="mteethtoothur8">8</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothur8" value="mteethtoothur8">
                            </td>
                            <td>
                                <label for="mteethtoothul1">1</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul1" value="mteethtoothul1">
                                <label for="mteethtoothul2">2</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul2" value="mteethtoothul2">
                                <label for="mteethtoothul3">3</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul3" value="mteethtoothul3">
                                <label for="mteethtoothul4">4</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul14" value="mteethtoothul4">
                                <label for="mteethtoothul5">5</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul5" value="mteethtoothul5">
                                <label for="mteethtoothul6">6</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul6" value="mteethtoothul6">
                                <label for="mteethtoothul7">7</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul7" value="mteethtoothul7">
                                <label for="mteethtoothul8">8</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothul8" value="mteethtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="mteethtoothlr1">1</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr1" values="mteethtoothlr1">
                                <label for="mteethtoothlr2">2</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr2" values="mteethtoothlr2">
                                <label for="mteethtoothlr3">3</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr3" values="mteethtoothlr3">
                                <label for="mteethtoothlr4">4</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr14" values="mteethtoothlr4">
                                <label for="mteethtoothlr5">5</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr5" values="mteethtoothlr5">
                                <label for="mteethtoothlr6">6</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr6" values="mteethtoothlr6">
                                <label for="mteethtoothlr7">7</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr7" values="mteethtoothlr7">
                                <label for="mteethtoothlr8">8</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlr8" values="mteethtoothlr8">
                            </td>
                            <td>
                                <label for="mteethtoothll1">1</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll1" values="mteethtoothll1">
                                <label for="mteethtoothll2">2</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll2" values="mteethtoothll2">
                                <label for="mteethtoothll3">3</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll3" values="mteethtoothll3">
                                <label for="mteethtoothll4">4</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll14" values="mteethtoothll4">
                                <label for="mteethtoothll5">5</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll5" values="mteethtoothll5">
                                <label for="mteethtoothll6">6</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll6" values="mteethtoothll6">
                                <label for="mteethtoothll7">7</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll7" values="mteethtoothll7">
                                <label for="mteethtoothll8">8</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothll8" values="mteethtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="mteethtoothura">A</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothura" value="mteethtoothurA">
                                <label for="mteethtoothurb">B</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothurb" value="mteethtoothurB">
                                <label for="mteethtoothurc">C</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothurc" value="mteethtoothurC">
                                <label for="mteethtoothurd">D</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothurad" value="mteethtoothurD">
                                <label for="mteethtoothure">E</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothure"  value="mteethtoothurE">
                            </td>
                            <td>
                                <label for="mteethtoothula">A</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothula" value="mteethtoothulA">
                                <label for="mteethtoothulb">B</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothulb" value="mteethtoothulB">
                                <label for="mteethtoothulc">C</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothulc" value="mteethtoothulC">
                                <label for="mteethtoothuld">D</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothulad" value="mteethtoothulD">
                                <label for="mteethtoothule">E</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothule" value="mteethtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="mteethtoothlra">A</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlra" values="mteethtoothlrA">
                                <label for="mteethtoothlrb">B</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlrb" values="mteethtoothlrB">
                                <label for="mteethtoothlrc">C</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlrc" values="mteethtoothlrC">
                                <label for="mteethtoothlrd">D</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlrad" values="mteethtoothlrD">
                                <label for="mteethtoothlre">E</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlre" values="mteethtoothlrE">
                            </td>
                            <td>
                                <label for="mteethtoothlla">A</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothlla" values="mteethtoothllA">
                                <label for="mteethtoothllb">B</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothllb" values="mteethtoothllB">
                                <label for="mteethtoothllc">C</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothllc" values="mteethtoothllC">
                                <label for="mteethtoothlld">D</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothllad" values="mteethtoothllD">
                                <label for="mteethtoothlle">E</label>
                                <input type="checkbox" name="mteethtooth[]" id="mteethtoothllad" values="mteethtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Mobile teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="mobileteethtoothur1">1</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur1" value="mobileteethtoothur1">
                                <label for="mobileteethtoothur2">2</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur2" value="mobileteethtoothur2">
                                <label for="mobileteethtoothur3">3</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur3" value="mobileteethtoothur3">
                                <label for="mobileteethtoothur4">4</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur14" value="mobileteethtoothur4">
                                <label for="mobileteethtoothur5">5</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur5"  value="mobileteethtoothur5">
                                <label for="mobileteethtoothur6">6</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur6"  value="mobileteethtoothur6">
                                <label for="mobileteethtoothur7">7</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur7" value="mobileteethtoothur7">
                                <label for="mobileteethtoothur8">8</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothur8" value="mobileteethtoothur8">
                            </td>
                            <td>
                                <label for="mobileteethtoothul1">1</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul1" value="mobileteethtoothul1">
                                <label for="mobileteethtoothul2">2</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul2" value="mobileteethtoothul2">
                                <label for="mobileteethtoothul3">3</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul3" value="mobileteethtoothul3">
                                <label for="mobileteethtoothul4">4</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul14" value="mobileteethtoothul4">
                                <label for="mobileteethtoothul5">5</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul5" value="mobileteethtoothul5">
                                <label for="mobileteethtoothul6">6</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul6" value="mobileteethtoothul6">
                                <label for="mobileteethtoothul7">7</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul7" value="mobileteethtoothul7">
                                <label for="mobileteethtoothul8">8</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothul8" value="mobileteethtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="mobileteethtoothlr1">1</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr1" values="mobileteethtoothlr1">
                                <label for="mobileteethtoothlr2">2</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr2" values="mobileteethtoothlr2">
                                <label for="mobileteethtoothlr3">3</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr3" values="mobileteethtoothlr3">
                                <label for="mobileteethtoothlr4">4</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr14" values="mobileteethtoothlr4">
                                <label for="mobileteethtoothlr5">5</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr5" values="mobileteethtoothlr5">
                                <label for="mobileteethtoothlr6">6</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr6" values="mobileteethtoothlr6">
                                <label for="mobileteethtoothlr7">7</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr7" values="mobileteethtoothlr7">
                                <label for="mobileteethtoothlr8">8</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlr8" values="mobileteethtoothlr8">
                            </td>
                            <td>
                                <label for="mobileteethtoothll1">1</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll1" values="mobileteethtoothll1">
                                <label for="mobileteethtoothll2">2</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll2" values="mobileteethtoothll2">
                                <label for="mobileteethtoothll3">3</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll3" values="mobileteethtoothll3">
                                <label for="mobileteethtoothll4">4</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll14" values="mobileteethtoothll4">
                                <label for="mobileteethtoothll5">5</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll5" values="mobileteethtoothll5">
                                <label for="mobileteethtoothll6">6</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll6" values="mobileteethtoothll6">
                                <label for="mobileteethtoothll7">7</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll7" values="mobileteethtoothll7">
                                <label for="mobileteethtoothll8">8</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothll8" values="mobileteethtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="mobileteethtoothura">A</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothura" value="mobileteethtoothurA">
                                <label for="mobileteethtoothurb">B</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothurb" value="mobileteethtoothurB">
                                <label for="mobileteethtoothurc">C</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothurc" value="mobileteethtoothurC">
                                <label for="mobileteethtoothurd">D</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothurad" value="mobileteethtoothurD">
                                <label for="mobileteethtoothure">E</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothure"  value="mobileteethtoothurE">
                            </td>
                            <td>
                                <label for="mobileteethtoothula">A</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothula" value="mobileteethtoothulA">
                                <label for="mobileteethtoothulb">B</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothulb" value="mobileteethtoothulB">
                                <label for="mobileteethtoothulc">C</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothulc" value="mobileteethtoothulC">
                                <label for="mobileteethtoothuld">D</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothulad" value="mobileteethtoothulD">
                                <label for="mobileteethtoothule">E</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothule" value="mobileteethtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="mobileteethtoothlra">A</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlra" values="mobileteethtoothlrA">
                                <label for="mobileteethtoothlrb">B</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlrb" values="mobileteethtoothlrB">
                                <label for="mobileteethtoothlrc">C</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlrc" values="mobileteethtoothlrC">
                                <label for="mobileteethtoothlrd">D</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlrad" values="mobileteethtoothlrD">
                                <label for="mobileteethtoothlre">E</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlre" values="mobileteethtoothlrE">
                            </td>
                            <td>
                                <label for="mobileteethtoothlla">A</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothlla" values="mobileteethtoothllA">
                                <label for="mobileteethtoothllb">B</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothllb" values="mobileteethtoothllB">
                                <label for="mobileteethtoothllc">C</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothllc" values="mobileteethtoothllC">
                                <label for="mobileteethtoothlld">D</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothllad" values="mobileteethtoothllD">
                                <label for="mobileteethtoothlle">E</label>
                                <input type="checkbox" name="mobileteethtooth[]" id="mobileteethtoothllad" values="mobileteethtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Attrition teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Attrteethtoothur1">1</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur1" value="Attrteethtoothur1">
                                <label for="Attrteethtoothur2">2</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur2" value="Attrteethtoothur2">
                                <label for="Attrteethtoothur3">3</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur3" value="Attrteethtoothur3">
                                <label for="Attrteethtoothur4">4</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur14" value="Attrteethtoothur4">
                                <label for="Attrteethtoothur5">5</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur5"  value="Attrteethtoothur5">
                                <label for="Attrteethtoothur6">6</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur6"  value="Attrteethtoothur6">
                                <label for="Attrteethtoothur7">7</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur7" value="Attrteethtoothur7">
                                <label for="Attrteethtoothur8">8</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothur8" value="Attrteethtoothur8">
                            </td>
                            <td>
                                <label for="Attrteethtoothul1">1</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul1" value="Attrteethtoothul1">
                                <label for="Attrteethtoothul2">2</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul2" value="Attrteethtoothul2">
                                <label for="Attrteethtoothul3">3</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul3" value="Attrteethtoothul3">
                                <label for="Attrteethtoothul4">4</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul14" value="Attrteethtoothul4">
                                <label for="Attrteethtoothul5">5</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul5" value="Attrteethtoothul5">
                                <label for="Attrteethtoothul6">6</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul6" value="Attrteethtoothul6">
                                <label for="Attrteethtoothul7">7</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul7" value="Attrteethtoothul7">
                                <label for="Attrteethtoothul8">8</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothul8" value="Attrteethtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Attrteethtoothlr1">1</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr1" values="Attrteethtoothlr1">
                                <label for="Attrteethtoothlr2">2</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr2" values="Attrteethtoothlr2">
                                <label for="Attrteethtoothlr3">3</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr3" values="Attrteethtoothlr3">
                                <label for="Attrteethtoothlr4">4</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr14" values="Attrteethtoothlr4">
                                <label for="Attrteethtoothlr5">5</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr5" values="Attrteethtoothlr5">
                                <label for="Attrteethtoothlr6">6</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr6" values="Attrteethtoothlr6">
                                <label for="Attrteethtoothlr7">7</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr7" values="Attrteethtoothlr7">
                                <label for="Attrteethtoothlr8">8</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlr8" values="Attrteethtoothlr8">
                            </td>
                            <td>
                                <label for="Attrteethtoothll1">1</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll1" values="Attrteethtoothll1">
                                <label for="Attrteethtoothll2">2</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll2" values="Attrteethtoothll2">
                                <label for="Attrteethtoothll3">3</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll3" values="Attrteethtoothll3">
                                <label for="Attrteethtoothll4">4</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll14" values="Attrteethtoothll4">
                                <label for="Attrteethtoothll5">5</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll5" values="Attrteethtoothll5">
                                <label for="Attrteethtoothll6">6</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll6" values="Attrteethtoothll6">
                                <label for="Attrteethtoothll7">7</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll7" values="Attrteethtoothll7">
                                <label for="Attrteethtoothll8">8</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothll8" values="Attrteethtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Attrteethtoothura">A</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothura" value="AttrteethtoothurA">
                                <label for="Attrteethtoothurb">B</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothurb" value="AttrteethtoothurB">
                                <label for="Attrteethtoothurc">C</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothurc" value="AttrteethtoothurC">
                                <label for="Attrteethtoothurd">D</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothurad" value="AttrteethtoothurD">
                                <label for="Attrteethtoothure">E</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothure"  value="AttrteethtoothurE">
                            </td>
                            <td>
                                <label for="Attrteethtoothula">A</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothula" value="AttrteethtoothulA">
                                <label for="Attrteethtoothulb">B</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothulb" value="AttrteethtoothulB">
                                <label for="Attrteethtoothulc">C</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothulc" value="AttrteethtoothulC">
                                <label for="Attrteethtoothuld">D</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothulad" value="AttrteethtoothulD">
                                <label for="Attrteethtoothule">E</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothule" value="AttrteethtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Attrteethtoothlra">A</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlra" values="AttrteethtoothlrA">
                                <label for="Attrteethtoothlrb">B</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlrb" values="AttrteethtoothlrB">
                                <label for="Attrteethtoothlrc">C</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlrc" values="AttrteethtoothlrC">
                                <label for="Attrteethtoothlrd">D</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlrad" values="AttrteethtoothlrD">
                                <label for="Attrteethtoothlre">E</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlre" values="AttrteethtoothlrE">
                            </td>
                            <td>
                                <label for="Attrteethtoothlla">A</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothlla" values="AttrteethtoothllA">
                                <label for="Attrteethtoothllb">B</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothllb" values="AttrteethtoothllB">
                                <label for="Attrteethtoothllc">C</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothllc" values="AttrteethtoothllC">
                                <label for="Attrteethtoothlld">D</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothllad" values="AttrteethtoothllD">
                                <label for="Attrteethtoothlle">E</label>
                                <input type="checkbox" name="Attrteethtooth[]" id="Attrteethtoothllad" values="AttrteethtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Cervical Abrasion teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="cabrassiontoothur1">1</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur1" value="cabrassiontoothur1">
                                <label for="cabrassiontoothur2">2</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur2" value="cabrassiontoothur2">
                                <label for="cabrassiontoothur3">3</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur3" value="cabrassiontoothur3">
                                <label for="cabrassiontoothur4">4</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur14" value="cabrassiontoothur4">
                                <label for="cabrassiontoothur5">5</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur5"  value="cabrassiontoothur5">
                                <label for="cabrassiontoothur6">6</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur6"  value="cabrassiontoothur6">
                                <label for="cabrassiontoothur7">7</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur7" value="cabrassiontoothur7">
                                <label for="cabrassiontoothur8">8</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothur8" value="cabrassiontoothur8">
                            </td>
                            <td>
                                <label for="cabrassiontoothul1">1</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul1" value="cabrassiontoothul1">
                                <label for="cabrassiontoothul2">2</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul2" value="cabrassiontoothul2">
                                <label for="cabrassiontoothul3">3</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul3" value="cabrassiontoothul3">
                                <label for="cabrassiontoothul4">4</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul14" value="cabrassiontoothul4">
                                <label for="cabrassiontoothul5">5</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul5" value="cabrassiontoothul5">
                                <label for="cabrassiontoothul6">6</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul6" value="cabrassiontoothul6">
                                <label for="cabrassiontoothul7">7</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul7" value="cabrassiontoothul7">
                                <label for="cabrassiontoothul8">8</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothul8" value="cabrassiontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="cabrassiontoothlr1">1</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr1" values="cabrassiontoothlr1">
                                <label for="cabrassiontoothlr2">2</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr2" values="cabrassiontoothlr2">
                                <label for="cabrassiontoothlr3">3</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr3" values="cabrassiontoothlr3">
                                <label for="cabrassiontoothlr4">4</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr14" values="cabrassiontoothlr4">
                                <label for="cabrassiontoothlr5">5</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr5" values="cabrassiontoothlr5">
                                <label for="cabrassiontoothlr6">6</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr6" values="cabrassiontoothlr6">
                                <label for="cabrassiontoothlr7">7</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr7" values="cabrassiontoothlr7">
                                <label for="cabrassiontoothlr8">8</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlr8" values="cabrassiontoothlr8">
                            </td>
                            <td>
                                <label for="cabrassiontoothll1">1</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll1" values="cabrassiontoothll1">
                                <label for="cabrassiontoothll2">2</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll2" values="cabrassiontoothll2">
                                <label for="cabrassiontoothll3">3</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll3" values="cabrassiontoothll3">
                                <label for="cabrassiontoothll4">4</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll14" values="cabrassiontoothll4">
                                <label for="cabrassiontoothll5">5</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll5" values="cabrassiontoothll5">
                                <label for="cabrassiontoothll6">6</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll6" values="cabrassiontoothll6">
                                <label for="cabrassiontoothll7">7</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll7" values="cabrassiontoothll7">
                                <label for="cabrassiontoothll8">8</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothll8" values="cabrassiontoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="cabrassiontoothura">A</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothura" value="cabrassiontoothurA">
                                <label for="cabrassiontoothurb">B</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothurb" value="cabrassiontoothurB">
                                <label for="cabrassiontoothurc">C</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothurc" value="cabrassiontoothurC">
                                <label for="cabrassiontoothurd">D</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothurad" value="cabrassiontoothurD">
                                <label for="cabrassiontoothure">E</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothure"  value="cabrassiontoothurE">
                            </td>
                            <td>
                                <label for="cabrassiontoothula">A</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothula" value="cabrassiontoothulA">
                                <label for="cabrassiontoothulb">B</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothulb" value="cabrassiontoothulB">
                                <label for="cabrassiontoothulc">C</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothulc" value="cabrassiontoothulC">
                                <label for="cabrassiontoothuld">D</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothulad" value="cabrassiontoothulD">
                                <label for="cabrassiontoothule">E</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothule" value="cabrassiontoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="cabrassiontoothlra">A</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlra" values="cabrassiontoothlrA">
                                <label for="cabrassiontoothlrb">B</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlrb" values="cabrassiontoothlrB">
                                <label for="cabrassiontoothlrc">C</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlrc" values="cabrassiontoothlrC">
                                <label for="cabrassiontoothlrd">D</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlrad" values="cabrassiontoothlrD">
                                <label for="cabrassiontoothlre">E</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlre" values="cabrassiontoothlrE">
                            </td>
                            <td>
                                <label for="cabrassiontoothlla">A</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothlla" values="cabrassiontoothllA">
                                <label for="cabrassiontoothllb">B</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothllb" values="cabrassiontoothllB">
                                <label for="cabrassiontoothllc">C</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothllc" values="cabrassiontoothllC">
                                <label for="cabrassiontoothlld">D</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothllad" values="cabrassiontoothllD">
                                <label for="cabrassiontoothlle">E</label>
                                <input type="checkbox" name="cabrassiontooth[]" id="cabrassiontoothllad" values="cabrassiontoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Erosion teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Erosiontoothur1">1</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur1" value="Erosiontoothur1">
                                <label for="Erosiontoothur2">2</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur2" value="Erosiontoothur2">
                                <label for="Erosiontoothur3">3</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur3" value="Erosiontoothur3">
                                <label for="Erosiontoothur4">4</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur14" value="Erosiontoothur4">
                                <label for="Erosiontoothur5">5</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur5"  value="Erosiontoothur5">
                                <label for="Erosiontoothur6">6</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur6"  value="Erosiontoothur6">
                                <label for="Erosiontoothur7">7</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur7" value="Erosiontoothur7">
                                <label for="Erosiontoothur8">8</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothur8" value="Erosiontoothur8">
                            </td>
                            <td>
                                <label for="Erosiontoothul1">1</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul1" value="Erosiontoothul1">
                                <label for="Erosiontoothul2">2</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul2" value="Erosiontoothul2">
                                <label for="Erosiontoothul3">3</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul3" value="Erosiontoothul3">
                                <label for="Erosiontoothul4">4</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul14" value="Erosiontoothul4">
                                <label for="Erosiontoothul5">5</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul5" value="Erosiontoothul5">
                                <label for="Erosiontoothul6">6</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul6" value="Erosiontoothul6">
                                <label for="Erosiontoothul7">7</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul7" value="Erosiontoothul7">
                                <label for="Erosiontoothul8">8</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothul8" value="Erosiontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Erosiontoothlr1">1</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr1" values="Erosiontoothlr1">
                                <label for="Erosiontoothlr2">2</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr2" values="Erosiontoothlr2">
                                <label for="Erosiontoothlr3">3</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr3" values="Erosiontoothlr3">
                                <label for="Erosiontoothlr4">4</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr14" values="Erosiontoothlr4">
                                <label for="Erosiontoothlr5">5</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr5" values="Erosiontoothlr5">
                                <label for="Erosiontoothlr6">6</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr6" values="Erosiontoothlr6">
                                <label for="Erosiontoothlr7">7</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr7" values="Erosiontoothlr7">
                                <label for="Erosiontoothlr8">8</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlr8" values="Erosiontoothlr8">
                            </td>
                            <td>
                                <label for="Erosiontoothll1">1</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll1" values="Erosiontoothll1">
                                <label for="Erosiontoothll2">2</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll2" values="Erosiontoothll2">
                                <label for="Erosiontoothll3">3</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll3" values="Erosiontoothll3">
                                <label for="Erosiontoothll4">4</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll14" values="Erosiontoothll4">
                                <label for="Erosiontoothll5">5</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll5" values="Erosiontoothll5">
                                <label for="Erosiontoothll6">6</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll6" values="Erosiontoothll6">
                                <label for="Erosiontoothll7">7</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll7" values="Erosiontoothll7">
                                <label for="Erosiontoothll8">8</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothll8" values="Erosiontoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Erosiontoothura">A</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothura" value="ErosiontoothurA">
                                <label for="Erosiontoothurb">B</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothurb" value="ErosiontoothurB">
                                <label for="Erosiontoothurc">C</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothurc" value="ErosiontoothurC">
                                <label for="Erosiontoothurd">D</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothurad" value="ErosiontoothurD">
                                <label for="Erosiontoothure">E</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothure"  value="ErosiontoothurE">
                            </td>
                            <td>
                                <label for="Erosiontoothula">A</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothula" value="ErosiontoothulA">
                                <label for="Erosiontoothulb">B</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothulb" value="ErosiontoothulB">
                                <label for="Erosiontoothulc">C</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothulc" value="ErosiontoothulC">
                                <label for="Erosiontoothuld">D</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothulad" value="ErosiontoothulD">
                                <label for="Erosiontoothule">E</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothule" value="ErosiontoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Erosiontoothlra">A</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlra" values="ErosiontoothlrA">
                                <label for="Erosiontoothlrb">B</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlrb" values="ErosiontoothlrB">
                                <label for="Erosiontoothlrc">C</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlrc" values="ErosiontoothlrC">
                                <label for="Erosiontoothlrd">D</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlrad" values="ErosiontoothlrD">
                                <label for="Erosiontoothlre">E</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlre" values="ErosiontoothlrE">
                            </td>
                            <td>
                                <label for="Erosiontoothlla">A</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothlla" values="ErosiontoothllA">
                                <label for="Erosiontoothllb">B</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothllb" values="ErosiontoothllB">
                                <label for="Erosiontoothllc">C</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothllc" values="ErosiontoothllC">
                                <label for="Erosiontoothlld">D</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothllad" values="ErosiontoothllD">
                                <label for="Erosiontoothlle">E</label>
                                <input type="checkbox" name="Erosiontooth[]" id="Erosiontoothllad" values="ErosiontoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Abfraction teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Abfractiontoothur1">1</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur1" value="Abfractiontoothur1">
                                <label for="Abfractiontoothur2">2</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur2" value="Abfractiontoothur2">
                                <label for="Abfractiontoothur3">3</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur3" value="Abfractiontoothur3">
                                <label for="Abfractiontoothur4">4</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur14" value="Abfractiontoothur4">
                                <label for="Abfractiontoothur5">5</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur5"  value="Abfractiontoothur5">
                                <label for="Abfractiontoothur6">6</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur6"  value="Abfractiontoothur6">
                                <label for="Abfractiontoothur7">7</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur7" value="Abfractiontoothur7">
                                <label for="Abfractiontoothur8">8</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothur8" value="Abfractiontoothur8">
                            </td>
                            <td>
                                <label for="Abfractiontoothul1">1</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul1" value="Abfractiontoothul1">
                                <label for="Abfractiontoothul2">2</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul2" value="Abfractiontoothul2">
                                <label for="Abfractiontoothul3">3</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul3" value="Abfractiontoothul3">
                                <label for="Abfractiontoothul4">4</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul14" value="Abfractiontoothul4">
                                <label for="Abfractiontoothul5">5</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul5" value="Abfractiontoothul5">
                                <label for="Abfractiontoothul6">6</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul6" value="Abfractiontoothul6">
                                <label for="Abfractiontoothul7">7</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul7" value="Abfractiontoothul7">
                                <label for="Abfractiontoothul8">8</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothul8" value="Abfractiontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Abfractiontoothlr1">1</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr1" values="Abfractiontoothlr1">
                                <label for="Abfractiontoothlr2">2</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr2" values="Abfractiontoothlr2">
                                <label for="Abfractiontoothlr3">3</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr3" values="Abfractiontoothlr3">
                                <label for="Abfractiontoothlr4">4</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr14" values="Abfractiontoothlr4">
                                <label for="Abfractiontoothlr5">5</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr5" values="Abfractiontoothlr5">
                                <label for="Abfractiontoothlr6">6</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr6" values="Abfractiontoothlr6">
                                <label for="Abfractiontoothlr7">7</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr7" values="Abfractiontoothlr7">
                                <label for="Abfractiontoothlr8">8</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlr8" values="Abfractiontoothlr8">
                            </td>
                            <td>
                                <label for="Abfractiontoothll1">1</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll1" values="Abfractiontoothll1">
                                <label for="Abfractiontoothll2">2</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll2" values="Abfractiontoothll2">
                                <label for="Abfractiontoothll3">3</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll3" values="Abfractiontoothll3">
                                <label for="Abfractiontoothll4">4</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll14" values="Abfractiontoothll4">
                                <label for="Abfractiontoothll5">5</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll5" values="Abfractiontoothll5">
                                <label for="Abfractiontoothll6">6</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll6" values="Abfractiontoothll6">
                                <label for="Abfractiontoothll7">7</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll7" values="Abfractiontoothll7">
                                <label for="Abfractiontoothll8">8</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothll8" values="Abfractiontoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Abfractiontoothura">A</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothura" value="AbfractiontoothurA">
                                <label for="Abfractiontoothurb">B</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothurb" value="AbfractiontoothurB">
                                <label for="Abfractiontoothurc">C</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothurc" value="AbfractiontoothurC">
                                <label for="Abfractiontoothurd">D</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothurad" value="AbfractiontoothurD">
                                <label for="Abfractiontoothure">E</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothure"  value="AbfractiontoothurE">
                            </td>
                            <td>
                                <label for="Abfractiontoothula">A</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothula" value="AbfractiontoothulA">
                                <label for="Abfractiontoothulb">B</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothulb" value="AbfractiontoothulB">
                                <label for="Abfractiontoothulc">C</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothulc" value="AbfractiontoothulC">
                                <label for="Abfractiontoothuld">D</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothulad" value="AbfractiontoothulD">
                                <label for="Abfractiontoothule">E</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothule" value="AbfractiontoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Abfractiontoothlra">A</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlra" values="AbfractiontoothlrA">
                                <label for="Abfractiontoothlrb">B</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlrb" values="AbfractiontoothlrB">
                                <label for="Abfractiontoothlrc">C</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlrc" values="AbfractiontoothlrC">
                                <label for="Abfractiontoothlrd">D</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlrad" values="AbfractiontoothlrD">
                                <label for="Abfractiontoothlre">E</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlre" values="AbfractiontoothlrE">
                            </td>
                            <td>
                                <label for="Abfractiontoothlla">A</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothlla" values="AbfractiontoothllA">
                                <label for="Abfractiontoothllb">B</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothllb" values="AbfractiontoothllB">
                                <label for="Abfractiontoothllc">C</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothllc" values="AbfractiontoothllC">
                                <label for="Abfractiontoothlld">D</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothllad" values="AbfractiontoothllD">
                                <label for="Abfractiontoothlle">E</label>
                                <input type="checkbox" name="Abfractiontooth[]" id="Abfractiontoothllad" values="AbfractiontoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>fracture teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="fracturetoothur1">1</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur1" value="fracturetoothur1">
                                <label for="fracturetoothur2">2</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur2" value="fracturetoothur2">
                                <label for="fracturetoothur3">3</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur3" value="fracturetoothur3">
                                <label for="fracturetoothur4">4</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur14" value="fracturetoothur4">
                                <label for="fracturetoothur5">5</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur5"  value="fracturetoothur5">
                                <label for="fracturetoothur6">6</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur6"  value="fracturetoothur6">
                                <label for="fracturetoothur7">7</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur7" value="fracturetoothur7">
                                <label for="fracturetoothur8">8</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothur8" value="fracturetoothur8">
                            </td>
                            <td>
                                <label for="fracturetoothul1">1</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul1" value="fracturetoothul1">
                                <label for="fracturetoothul2">2</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul2" value="fracturetoothul2">
                                <label for="fracturetoothul3">3</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul3" value="fracturetoothul3">
                                <label for="fracturetoothul4">4</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul14" value="fracturetoothul4">
                                <label for="fracturetoothul5">5</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul5" value="fracturetoothul5">
                                <label for="fracturetoothul6">6</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul6" value="fracturetoothul6">
                                <label for="fracturetoothul7">7</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul7" value="fracturetoothul7">
                                <label for="fracturetoothul8">8</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothul8" value="fracturetoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="fracturetoothlr1">1</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr1" values="fracturetoothlr1">
                                <label for="fracturetoothlr2">2</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr2" values="fracturetoothlr2">
                                <label for="fracturetoothlr3">3</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr3" values="fracturetoothlr3">
                                <label for="fracturetoothlr4">4</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr14" values="fracturetoothlr4">
                                <label for="fracturetoothlr5">5</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr5" values="fracturetoothlr5">
                                <label for="fracturetoothlr6">6</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr6" values="fracturetoothlr6">
                                <label for="fracturetoothlr7">7</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr7" values="fracturetoothlr7">
                                <label for="fracturetoothlr8">8</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlr8" values="fracturetoothlr8">
                            </td>
                            <td>
                                <label for="fracturetoothll1">1</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll1" values="fracturetoothll1">
                                <label for="fracturetoothll2">2</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll2" values="fracturetoothll2">
                                <label for="fracturetoothll3">3</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll3" values="fracturetoothll3">
                                <label for="fracturetoothll4">4</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll14" values="fracturetoothll4">
                                <label for="fracturetoothll5">5</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll5" values="fracturetoothll5">
                                <label for="fracturetoothll6">6</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll6" values="fracturetoothll6">
                                <label for="fracturetoothll7">7</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll7" values="fracturetoothll7">
                                <label for="fracturetoothll8">8</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothll8" values="fracturetoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="fracturetoothura">A</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothura" value="fracturetoothurA">
                                <label for="fracturetoothurb">B</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothurb" value="fracturetoothurB">
                                <label for="fracturetoothurc">C</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothurc" value="fracturetoothurC">
                                <label for="fracturetoothurd">D</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothurad" value="fracturetoothurD">
                                <label for="fracturetoothure">E</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothure"  value="fracturetoothurE">
                            </td>
                            <td>
                                <label for="fracturetoothula">A</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothula" value="fracturetoothulA">
                                <label for="fracturetoothulb">B</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothulb" value="fracturetoothulB">
                                <label for="fracturetoothulc">C</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothulc" value="fracturetoothulC">
                                <label for="fracturetoothuld">D</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothulad" value="fracturetoothulD">
                                <label for="fracturetoothule">E</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothule" value="fracturetoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="fracturetoothlra">A</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlra" values="fracturetoothlrA">
                                <label for="fracturetoothlrb">B</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlrb" values="fracturetoothlrB">
                                <label for="fracturetoothlrc">C</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlrc" values="fracturetoothlrC">
                                <label for="fracturetoothlrd">D</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlrad" values="fracturetoothlrD">
                                <label for="fracturetoothlre">E</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlre" values="fracturetoothlrE">
                            </td>
                            <td>
                                <label for="fracturetoothlla">A</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothlla" values="fracturetoothllA">
                                <label for="fracturetoothllb">B</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothllb" values="fracturetoothllB">
                                <label for="fracturetoothllc">C</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothllc" values="fracturetoothllC">
                                <label for="fracturetoothlld">D</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothllad" values="fracturetoothllD">
                                <label for="fracturetoothlle">E</label>
                                <input type="checkbox" name="fracturetooth[]" id="fracturetoothllad" values="fracturetoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Percussion Pain teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="ppaintoothur1">1</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur1" value="ppaintoothur1">
                                <label for="ppaintoothur2">2</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur2" value="ppaintoothur2">
                                <label for="ppaintoothur3">3</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur3" value="ppaintoothur3">
                                <label for="ppaintoothur4">4</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur14" value="ppaintoothur4">
                                <label for="ppaintoothur5">5</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur5"  value="ppaintoothur5">
                                <label for="ppaintoothur6">6</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur6"  value="ppaintoothur6">
                                <label for="ppaintoothur7">7</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur7" value="ppaintoothur7">
                                <label for="ppaintoothur8">8</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothur8" value="ppaintoothur8">
                            </td>
                            <td>
                                <label for="ppaintoothul1">1</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul1" value="ppaintoothul1">
                                <label for="ppaintoothul2">2</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul2" value="ppaintoothul2">
                                <label for="ppaintoothul3">3</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul3" value="ppaintoothul3">
                                <label for="ppaintoothul4">4</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul14" value="ppaintoothul4">
                                <label for="ppaintoothul5">5</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul5" value="ppaintoothul5">
                                <label for="ppaintoothul6">6</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul6" value="ppaintoothul6">
                                <label for="ppaintoothul7">7</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul7" value="ppaintoothul7">
                                <label for="ppaintoothul8">8</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothul8" value="ppaintoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="ppaintoothlr1">1</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr1" values="ppaintoothlr1">
                                <label for="ppaintoothlr2">2</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr2" values="ppaintoothlr2">
                                <label for="ppaintoothlr3">3</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr3" values="ppaintoothlr3">
                                <label for="ppaintoothlr4">4</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr14" values="ppaintoothlr4">
                                <label for="ppaintoothlr5">5</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr5" values="ppaintoothlr5">
                                <label for="ppaintoothlr6">6</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr6" values="ppaintoothlr6">
                                <label for="ppaintoothlr7">7</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr7" values="ppaintoothlr7">
                                <label for="ppaintoothlr8">8</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlr8" values="ppaintoothlr8">
                            </td>
                            <td>
                                <label for="ppaintoothll1">1</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll1" values="ppaintoothll1">
                                <label for="ppaintoothll2">2</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll2" values="ppaintoothll2">
                                <label for="ppaintoothll3">3</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll3" values="ppaintoothll3">
                                <label for="ppaintoothll4">4</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll14" values="ppaintoothll4">
                                <label for="ppaintoothll5">5</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll5" values="ppaintoothll5">
                                <label for="ppaintoothll6">6</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll6" values="ppaintoothll6">
                                <label for="ppaintoothll7">7</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll7" values="ppaintoothll7">
                                <label for="ppaintoothll8">8</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothll8" values="ppaintoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="ppaintoothura">A</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothura" value="ppaintoothurA">
                                <label for="ppaintoothurb">B</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothurb" value="ppaintoothurB">
                                <label for="ppaintoothurc">C</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothurc" value="ppaintoothurC">
                                <label for="ppaintoothurd">D</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothurad" value="ppaintoothurD">
                                <label for="ppaintoothure">E</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothure"  value="ppaintoothurE">
                            </td>
                            <td>
                                <label for="ppaintoothula">A</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothula" value="ppaintoothulA">
                                <label for="ppaintoothulb">B</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothulb" value="ppaintoothulB">
                                <label for="ppaintoothulc">C</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothulc" value="ppaintoothulC">
                                <label for="ppaintoothuld">D</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothulad" value="ppaintoothulD">
                                <label for="ppaintoothule">E</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothule" value="ppaintoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="ppaintoothlra">A</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlra" values="ppaintoothlrA">
                                <label for="ppaintoothlrb">B</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlrb" values="ppaintoothlrB">
                                <label for="ppaintoothlrc">C</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlrc" values="ppaintoothlrC">
                                <label for="ppaintoothlrd">D</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlrad" values="ppaintoothlrD">
                                <label for="ppaintoothlre">E</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlre" values="ppaintoothlrE">
                            </td>
                            <td>
                                <label for="ppaintoothlla">A</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothlla" values="ppaintoothllA">
                                <label for="ppaintoothllb">B</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothllb" values="ppaintoothllB">
                                <label for="ppaintoothllc">C</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothllc" values="ppaintoothllC">
                                <label for="ppaintoothlld">D</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothllad" values="ppaintoothllD">
                                <label for="ppaintoothlle">E</label>
                                <input type="checkbox" name="ppaintooth[]" id="ppaintoothllad" values="ppaintoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Sharp teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="steethtoothur1">1</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur1" value="steethtoothur1">
                                <label for="steethtoothur2">2</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur2" value="steethtoothur2">
                                <label for="steethtoothur3">3</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur3" value="steethtoothur3">
                                <label for="steethtoothur4">4</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur14" value="steethtoothur4">
                                <label for="steethtoothur5">5</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur5"  value="steethtoothur5">
                                <label for="steethtoothur6">6</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur6"  value="steethtoothur6">
                                <label for="steethtoothur7">7</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur7" value="steethtoothur7">
                                <label for="steethtoothur8">8</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothur8" value="steethtoothur8">
                            </td>
                            <td>
                                <label for="steethtoothul1">1</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul1" value="steethtoothul1">
                                <label for="steethtoothul2">2</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul2" value="steethtoothul2">
                                <label for="steethtoothul3">3</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul3" value="steethtoothul3">
                                <label for="steethtoothul4">4</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul14" value="steethtoothul4">
                                <label for="steethtoothul5">5</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul5" value="steethtoothul5">
                                <label for="steethtoothul6">6</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul6" value="steethtoothul6">
                                <label for="steethtoothul7">7</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul7" value="steethtoothul7">
                                <label for="steethtoothul8">8</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothul8" value="steethtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="steethtoothlr1">1</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr1" values="steethtoothlr1">
                                <label for="steethtoothlr2">2</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr2" values="steethtoothlr2">
                                <label for="steethtoothlr3">3</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr3" values="steethtoothlr3">
                                <label for="steethtoothlr4">4</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr14" values="steethtoothlr4">
                                <label for="steethtoothlr5">5</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr5" values="steethtoothlr5">
                                <label for="steethtoothlr6">6</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr6" values="steethtoothlr6">
                                <label for="steethtoothlr7">7</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr7" values="steethtoothlr7">
                                <label for="steethtoothlr8">8</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlr8" values="steethtoothlr8">
                            </td>
                            <td>
                                <label for="steethtoothll1">1</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll1" values="steethtoothll1">
                                <label for="steethtoothll2">2</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll2" values="steethtoothll2">
                                <label for="steethtoothll3">3</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll3" values="steethtoothll3">
                                <label for="steethtoothll4">4</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll14" values="steethtoothll4">
                                <label for="steethtoothll5">5</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll5" values="steethtoothll5">
                                <label for="steethtoothll6">6</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll6" values="steethtoothll6">
                                <label for="steethtoothll7">7</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll7" values="steethtoothll7">
                                <label for="steethtoothll8">8</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothll8" values="steethtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="steethtoothura">A</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothura" value="steethtoothurA">
                                <label for="steethtoothurb">B</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothurb" value="steethtoothurB">
                                <label for="steethtoothurc">C</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothurc" value="steethtoothurC">
                                <label for="steethtoothurd">D</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothurad" value="steethtoothurD">
                                <label for="steethtoothure">E</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothure"  value="steethtoothurE">
                            </td>
                            <td>
                                <label for="steethtoothula">A</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothula" value="steethtoothulA">
                                <label for="steethtoothulb">B</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothulb" value="steethtoothulB">
                                <label for="steethtoothulc">C</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothulc" value="steethtoothulC">
                                <label for="steethtoothuld">D</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothulad" value="steethtoothulD">
                                <label for="steethtoothule">E</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothule" value="steethtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="steethtoothlra">A</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlra" values="steethtoothlrA">
                                <label for="steethtoothlrb">B</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlrb" values="steethtoothlrB">
                                <label for="steethtoothlrc">C</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlrc" values="steethtoothlrC">
                                <label for="steethtoothlrd">D</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlrad" values="steethtoothlrD">
                                <label for="steethtoothlre">E</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlre" values="steethtoothlrE">
                            </td>
                            <td>
                                <label for="steethtoothlla">A</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothlla" values="steethtoothllA">
                                <label for="steethtoothllb">B</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothllb" values="steethtoothllB">
                                <label for="steethtoothllc">C</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothllc" values="steethtoothllC">
                                <label for="steethtoothlld">D</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothllad" values="steethtoothllD">
                                <label for="steethtoothlle">E</label>
                                <input type="checkbox" name="steethtooth[]" id="steethtoothllad" values="steethtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>pericoronitis teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="pericoronitistoothur1">1</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur1" value="pericoronitistoothur1">
                                <label for="pericoronitistoothur2">2</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur2" value="pericoronitistoothur2">
                                <label for="pericoronitistoothur3">3</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur3" value="pericoronitistoothur3">
                                <label for="pericoronitistoothur4">4</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur14" value="pericoronitistoothur4">
                                <label for="pericoronitistoothur5">5</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur5"  value="pericoronitistoothur5">
                                <label for="pericoronitistoothur6">6</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur6"  value="pericoronitistoothur6">
                                <label for="pericoronitistoothur7">7</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur7" value="pericoronitistoothur7">
                                <label for="pericoronitistoothur8">8</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothur8" value="pericoronitistoothur8">
                            </td>
                            <td>
                                <label for="pericoronitistoothul1">1</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul1" value="pericoronitistoothul1">
                                <label for="pericoronitistoothul2">2</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul2" value="pericoronitistoothul2">
                                <label for="pericoronitistoothul3">3</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul3" value="pericoronitistoothul3">
                                <label for="pericoronitistoothul4">4</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul14" value="pericoronitistoothul4">
                                <label for="pericoronitistoothul5">5</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul5" value="pericoronitistoothul5">
                                <label for="pericoronitistoothul6">6</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul6" value="pericoronitistoothul6">
                                <label for="pericoronitistoothul7">7</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul7" value="pericoronitistoothul7">
                                <label for="pericoronitistoothul8">8</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothul8" value="pericoronitistoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="pericoronitistoothlr1">1</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr1" values="pericoronitistoothlr1">
                                <label for="pericoronitistoothlr2">2</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr2" values="pericoronitistoothlr2">
                                <label for="pericoronitistoothlr3">3</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr3" values="pericoronitistoothlr3">
                                <label for="pericoronitistoothlr4">4</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr14" values="pericoronitistoothlr4">
                                <label for="pericoronitistoothlr5">5</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr5" values="pericoronitistoothlr5">
                                <label for="pericoronitistoothlr6">6</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr6" values="pericoronitistoothlr6">
                                <label for="pericoronitistoothlr7">7</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr7" values="pericoronitistoothlr7">
                                <label for="pericoronitistoothlr8">8</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlr8" values="pericoronitistoothlr8">
                            </td>
                            <td>
                                <label for="pericoronitistoothll1">1</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll1" values="pericoronitistoothll1">
                                <label for="pericoronitistoothll2">2</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll2" values="pericoronitistoothll2">
                                <label for="pericoronitistoothll3">3</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll3" values="pericoronitistoothll3">
                                <label for="pericoronitistoothll4">4</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll14" values="pericoronitistoothll4">
                                <label for="pericoronitistoothll5">5</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll5" values="pericoronitistoothll5">
                                <label for="pericoronitistoothll6">6</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll6" values="pericoronitistoothll6">
                                <label for="pericoronitistoothll7">7</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll7" values="pericoronitistoothll7">
                                <label for="pericoronitistoothll8">8</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothll8" values="pericoronitistoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="pericoronitistoothura">A</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothura" value="pericoronitistoothurA">
                                <label for="pericoronitistoothurb">B</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothurb" value="pericoronitistoothurB">
                                <label for="pericoronitistoothurc">C</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothurc" value="pericoronitistoothurC">
                                <label for="pericoronitistoothurd">D</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothurad" value="pericoronitistoothurD">
                                <label for="pericoronitistoothure">E</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothure"  value="pericoronitistoothurE">
                            </td>
                            <td>
                                <label for="pericoronitistoothula">A</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothula" value="pericoronitistoothulA">
                                <label for="pericoronitistoothulb">B</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothulb" value="pericoronitistoothulB">
                                <label for="pericoronitistoothulc">C</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothulc" value="pericoronitistoothulC">
                                <label for="pericoronitistoothuld">D</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothulad" value="pericoronitistoothulD">
                                <label for="pericoronitistoothule">E</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothule" value="pericoronitistoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="pericoronitistoothlra">A</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlra" values="pericoronitistoothlrA">
                                <label for="pericoronitistoothlrb">B</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlrb" values="pericoronitistoothlrB">
                                <label for="pericoronitistoothlrc">C</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlrc" values="pericoronitistoothlrC">
                                <label for="pericoronitistoothlrd">D</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlrad" values="pericoronitistoothlrD">
                                <label for="pericoronitistoothlre">E</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlre" values="pericoronitistoothlrE">
                            </td>
                            <td>
                                <label for="pericoronitistoothlla">A</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothlla" values="pericoronitistoothllA">
                                <label for="pericoronitistoothllb">B</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothllb" values="pericoronitistoothllB">
                                <label for="pericoronitistoothllc">C</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothllc" values="pericoronitistoothllC">
                                <label for="pericoronitistoothlld">D</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothllad" values="pericoronitistoothllD">
                                <label for="pericoronitistoothlle">E</label>
                                <input type="checkbox" name="pericoronitistooth[]" id="pericoronitistoothllad" values="pericoronitistoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Impacted teeth / tooth </h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Impctteethtoothur1">1</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur1" value="Impctteethtoothur1">
                                <label for="Impctteethtoothur2">2</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur2" value="Impctteethtoothur2">
                                <label for="Impctteethtoothur3">3</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur3" value="Impctteethtoothur3">
                                <label for="Impctteethtoothur4">4</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur14" value="Impctteethtoothur4">
                                <label for="Impctteethtoothur5">5</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur5"  value="Impctteethtoothur5">
                                <label for="Impctteethtoothur6">6</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur6"  value="Impctteethtoothur6">
                                <label for="Impctteethtoothur7">7</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur7" value="Impctteethtoothur7">
                                <label for="Impctteethtoothur8">8</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothur8" value="Impctteethtoothur8">
                            </td>
                            <td>
                                <label for="Impctteethtoothul1">1</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul1" value="Impctteethtoothul1">
                                <label for="Impctteethtoothul2">2</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul2" value="Impctteethtoothul2">
                                <label for="Impctteethtoothul3">3</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul3" value="Impctteethtoothul3">
                                <label for="Impctteethtoothul4">4</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul14" value="Impctteethtoothul4">
                                <label for="Impctteethtoothul5">5</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul5" value="Impctteethtoothul5">
                                <label for="Impctteethtoothul6">6</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul6" value="Impctteethtoothul6">
                                <label for="Impctteethtoothul7">7</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul7" value="Impctteethtoothul7">
                                <label for="Impctteethtoothul8">8</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothul8" value="Impctteethtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Impctteethtoothlr1">1</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr1" values="Impctteethtoothlr1">
                                <label for="Impctteethtoothlr2">2</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr2" values="Impctteethtoothlr2">
                                <label for="Impctteethtoothlr3">3</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr3" values="Impctteethtoothlr3">
                                <label for="Impctteethtoothlr4">4</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr14" values="Impctteethtoothlr4">
                                <label for="Impctteethtoothlr5">5</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr5" values="Impctteethtoothlr5">
                                <label for="Impctteethtoothlr6">6</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr6" values="Impctteethtoothlr6">
                                <label for="Impctteethtoothlr7">7</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr7" values="Impctteethtoothlr7">
                                <label for="Impctteethtoothlr8">8</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothlr8" values="Impctteethtoothlr8">
                            </td>
                            <td>
                                <label for="Impctteethtoothll1">1</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll1" values="Impctteethtoothll1">
                                <label for="Impctteethtoothll2">2</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll2" values="Impctteethtoothll2">
                                <label for="Impctteethtoothll3">3</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll3" values="Impctteethtoothll3">
                                <label for="Impctteethtoothll4">4</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll14" values="Impctteethtoothll4">
                                <label for="Impctteethtoothll5">5</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll5" values="Impctteethtoothll5">
                                <label for="Impctteethtoothll6">6</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll6" values="Impctteethtoothll6">
                                <label for="Impctteethtoothll7">7</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll7" values="Impctteethtoothll7">
                                <label for="Impctteethtoothll8">8</label>
                                <input type="checkbox" name="Impctteethtooth[]" id="Impctteethtoothll8" values="Impctteethtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <input type="text" name="impctteethtothtype" class="form-control p-2" placeholder="Write Imapct type">
                </div>
                <hr>
                <div>
                    <input type="checkbox" id="Midlinediastema" name="Midlinediastema">
                    <label for="Midlinediastema">Midline diastema</label><br>
                    <input type="checkbox" id="Generalizedspacing" name="Generalizedspacing">
                    <label for="Generalizedspacing">Generalized spacing</label><br>
                    <input type="checkbox" id="Gingivitis" name="Gingivitis">
                    <label for="Gingivitis">Gingivitis</label><br>
                    <input type="checkbox" id="Periodontitis" name="Periodontitis">
                    <label for="Periodontitis">Periodontitis</label><br>
                    <input type="checkbox" id="Ulcer" name="Ulcer">
                    <label for="Ulcer">Ulcer</label>
                    <input type="text" name="UlcerPlace"><br>
                    <input type="checkbox" id="Swellingon" name="Swellingon">
                    <label for="Swellingon">Swelling on</label>
                    <input type="text" name="SwellingonPlace"><br>
                    <input type="checkbox" id="Sinuson" name="Sinuson">
                    <label for="Sinuson">Sinus on</label>
                    <input type="text" name="SinusonPlace"><br>
                    <input type="checkbox" id="PusDrainage" name="PusDrainage">
                    <label for="PusDrainage">Pus Drainage</label>
                    <input type="text" name="PusDrainagePlace"><br>
                    <input type="checkbox" id="staining" name="staining">
                    <label for="staining">Staining</label>
                    <input type="text" name="stainingPlace"><br>
                    <input type="checkbox" id="calculas" name="calculas">
                    <label for="calculas">Calculas</label>
                    <input type="text" name="calculasPlace"><br>
                </div>
                <div>
                    <label for="otheroe">Other (if required)</label>
                    <textarea name="otheroe" id="otheroe" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-12">
                <h4>Inv</h4>
                <input type="Checkbox" name="inv[]" id="invxrayopg" value="Xray OPG">
                <label for="invxrayopg">Xray OPG</label><br>
                <div>
                    <h6>Xray IOPA</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="xrayiopatoothur1">1</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur1" value="xrayiopatoothur1">
                                <label for="xrayiopatoothur2">2</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur2" value="xrayiopatoothur2">
                                <label for="xrayiopatoothur3">3</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur3" value="xrayiopatoothur3">
                                <label for="xrayiopatoothur4">4</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur14" value="xrayiopatoothur4">
                                <label for="xrayiopatoothur5">5</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur5"  value="xrayiopatoothur5">
                                <label for="xrayiopatoothur6">6</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur6"  value="xrayiopatoothur6">
                                <label for="xrayiopatoothur7">7</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur7" value="xrayiopatoothur7">
                                <label for="xrayiopatoothur8">8</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothur8" value="xrayiopatoothur8">
                            </td>
                            <td>
                                <label for="xrayiopatoothul1">1</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul1" value="xrayiopatoothul1">
                                <label for="xrayiopatoothul2">2</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul2" value="xrayiopatoothul2">
                                <label for="xrayiopatoothul3">3</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul3" value="xrayiopatoothul3">
                                <label for="xrayiopatoothul4">4</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul14" value="xrayiopatoothul4">
                                <label for="xrayiopatoothul5">5</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul5" value="xrayiopatoothul5">
                                <label for="xrayiopatoothul6">6</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul6" value="xrayiopatoothul6">
                                <label for="xrayiopatoothul7">7</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul7" value="xrayiopatoothul7">
                                <label for="xrayiopatoothul8">8</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothul8" value="xrayiopatoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="xrayiopatoothlr1">1</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr1" values="xrayiopatoothlr1">
                                <label for="xrayiopatoothlr2">2</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr2" values="xrayiopatoothlr2">
                                <label for="xrayiopatoothlr3">3</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr3" values="xrayiopatoothlr3">
                                <label for="xrayiopatoothlr4">4</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr14" values="xrayiopatoothlr4">
                                <label for="xrayiopatoothlr5">5</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr5" values="xrayiopatoothlr5">
                                <label for="xrayiopatoothlr6">6</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr6" values="xrayiopatoothlr6">
                                <label for="xrayiopatoothlr7">7</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr7" values="xrayiopatoothlr7">
                                <label for="xrayiopatoothlr8">8</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlr8" values="xrayiopatoothlr8">
                            </td>
                            <td>
                                <label for="xrayiopatoothll1">1</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll1" values="xrayiopatoothll1">
                                <label for="xrayiopatoothll2">2</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll2" values="xrayiopatoothll2">
                                <label for="xrayiopatoothll3">3</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll3" values="xrayiopatoothll3">
                                <label for="xrayiopatoothll4">4</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll14" values="xrayiopatoothll4">
                                <label for="xrayiopatoothll5">5</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll5" values="xrayiopatoothll5">
                                <label for="xrayiopatoothll6">6</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll6" values="xrayiopatoothll6">
                                <label for="xrayiopatoothll7">7</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll7" values="xrayiopatoothll7">
                                <label for="xrayiopatoothll8">8</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothll8" values="xrayiopatoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="xrayiopatoothura">A</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothura" value="xrayiopatoothurA">
                                <label for="xrayiopatoothurb">B</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothurb" value="xrayiopatoothurB">
                                <label for="xrayiopatoothurc">C</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothurc" value="xrayiopatoothurC">
                                <label for="xrayiopatoothurd">D</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothurad" value="xrayiopatoothurD">
                                <label for="xrayiopatoothure">E</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothure"  value="xrayiopatoothurE">
                            </td>
                            <td>
                                <label for="xrayiopatoothula">A</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothula" value="xrayiopatoothulA">
                                <label for="xrayiopatoothulb">B</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothulb" value="xrayiopatoothulB">
                                <label for="xrayiopatoothulc">C</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothulc" value="xrayiopatoothulC">
                                <label for="xrayiopatoothuld">D</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothulad" value="xrayiopatoothulD">
                                <label for="xrayiopatoothule">E</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothule" value="xrayiopatoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="xrayiopatoothlra">A</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlra" values="xrayiopatoothlrA">
                                <label for="xrayiopatoothlrb">B</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlrb" values="xrayiopatoothlrB">
                                <label for="xrayiopatoothlrc">C</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlrc" values="xrayiopatoothlrC">
                                <label for="xrayiopatoothlrd">D</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlrad" values="xrayiopatoothlrD">
                                <label for="xrayiopatoothlre">E</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlre" values="xrayiopatoothlrE">
                            </td>
                            <td>
                                <label for="xrayiopatoothlla">A</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothlla" values="xrayiopatoothllA">
                                <label for="xrayiopatoothllb">B</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothllb" values="xrayiopatoothllB">
                                <label for="xrayiopatoothllc">C</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothllc" values="xrayiopatoothllC">
                                <label for="xrayiopatoothlld">D</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothllad" values="xrayiopatoothllD">
                                <label for="xrayiopatoothlle">E</label>
                                <input type="checkbox" name="xrayiopatooth[]" id="xrayiopatoothllad" values="xrayiopatoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Xray RVG</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="xrayrvgtoothur1">1</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur1" value="xrayrvgtoothur1">
                                <label for="xrayrvgtoothur2">2</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur2" value="xrayrvgtoothur2">
                                <label for="xrayrvgtoothur3">3</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur3" value="xrayrvgtoothur3">
                                <label for="xrayrvgtoothur4">4</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur14" value="xrayrvgtoothur4">
                                <label for="xrayrvgtoothur5">5</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur5"  value="xrayrvgtoothur5">
                                <label for="xrayrvgtoothur6">6</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur6"  value="xrayrvgtoothur6">
                                <label for="xrayrvgtoothur7">7</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur7" value="xrayrvgtoothur7">
                                <label for="xrayrvgtoothur8">8</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothur8" value="xrayrvgtoothur8">
                            </td>
                            <td>
                                <label for="xrayrvgtoothul1">1</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul1" value="xrayrvgtoothul1">
                                <label for="xrayrvgtoothul2">2</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul2" value="xrayrvgtoothul2">
                                <label for="xrayrvgtoothul3">3</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul3" value="xrayrvgtoothul3">
                                <label for="xrayrvgtoothul4">4</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul14" value="xrayrvgtoothul4">
                                <label for="xrayrvgtoothul5">5</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul5" value="xrayrvgtoothul5">
                                <label for="xrayrvgtoothul6">6</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul6" value="xrayrvgtoothul6">
                                <label for="xrayrvgtoothul7">7</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul7" value="xrayrvgtoothul7">
                                <label for="xrayrvgtoothul8">8</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothul8" value="xrayrvgtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="xrayrvgtoothlr1">1</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr1" values="xrayrvgtoothlr1">
                                <label for="xrayrvgtoothlr2">2</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr2" values="xrayrvgtoothlr2">
                                <label for="xrayrvgtoothlr3">3</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr3" values="xrayrvgtoothlr3">
                                <label for="xrayrvgtoothlr4">4</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr14" values="xrayrvgtoothlr4">
                                <label for="xrayrvgtoothlr5">5</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr5" values="xrayrvgtoothlr5">
                                <label for="xrayrvgtoothlr6">6</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr6" values="xrayrvgtoothlr6">
                                <label for="xrayrvgtoothlr7">7</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr7" values="xrayrvgtoothlr7">
                                <label for="xrayrvgtoothlr8">8</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlr8" values="xrayrvgtoothlr8">
                            </td>
                            <td>
                                <label for="xrayrvgtoothll1">1</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll1" values="xrayrvgtoothll1">
                                <label for="xrayrvgtoothll2">2</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll2" values="xrayrvgtoothll2">
                                <label for="xrayrvgtoothll3">3</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll3" values="xrayrvgtoothll3">
                                <label for="xrayrvgtoothll4">4</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll14" values="xrayrvgtoothll4">
                                <label for="xrayrvgtoothll5">5</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll5" values="xrayrvgtoothll5">
                                <label for="xrayrvgtoothll6">6</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll6" values="xrayrvgtoothll6">
                                <label for="xrayrvgtoothll7">7</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll7" values="xrayrvgtoothll7">
                                <label for="xrayrvgtoothll8">8</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothll8" values="xrayrvgtoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="xrayrvgtoothura">A</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothura" value="xrayrvgtoothurA">
                                <label for="xrayrvgtoothurb">B</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothurb" value="xrayrvgtoothurB">
                                <label for="xrayrvgtoothurc">C</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothurc" value="xrayrvgtoothurC">
                                <label for="xrayrvgtoothurd">D</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothurad" value="xrayrvgtoothurD">
                                <label for="xrayrvgtoothure">E</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothure"  value="xrayrvgtoothurE">
                            </td>
                            <td>
                                <label for="xrayrvgtoothula">A</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothula" value="xrayrvgtoothulA">
                                <label for="xrayrvgtoothulb">B</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothulb" value="xrayrvgtoothulB">
                                <label for="xrayrvgtoothulc">C</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothulc" value="xrayrvgtoothulC">
                                <label for="xrayrvgtoothuld">D</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothulad" value="xrayrvgtoothulD">
                                <label for="xrayrvgtoothule">E</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothule" value="xrayrvgtoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="xrayrvgtoothlra">A</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlra" values="xrayrvgtoothlrA">
                                <label for="xrayrvgtoothlrb">B</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlrb" values="xrayrvgtoothlrB">
                                <label for="xrayrvgtoothlrc">C</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlrc" values="xrayrvgtoothlrC">
                                <label for="xrayrvgtoothlrd">D</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlrad" values="xrayrvgtoothlrD">
                                <label for="xrayrvgtoothlre">E</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlre" values="xrayrvgtoothlrE">
                            </td>
                            <td>
                                <label for="xrayrvgtoothlla">A</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothlla" values="xrayrvgtoothllA">
                                <label for="xrayrvgtoothllb">B</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothllb" values="xrayrvgtoothllB">
                                <label for="xrayrvgtoothllc">C</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothllc" values="xrayrvgtoothllC">
                                <label for="xrayrvgtoothlld">D</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothllad" values="xrayrvgtoothllD">
                                <label for="xrayrvgtoothlle">E</label>
                                <input type="checkbox" name="xrayrvgtooth[]" id="xrayrvgtoothllad" values="xrayrvgtoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <label>Other (If Required)</label>
                <textarea name="otherinv" class="form-control"></textarea>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <div class="col-12">
                <h4>Treatment Plan</h4>
                <div>
                    <h6>Filling On</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="fillingontoothur1">1</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur1" value="fillingontoothur1">
                                <label for="fillingontoothur2">2</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur2" value="fillingontoothur2">
                                <label for="fillingontoothur3">3</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur3" value="fillingontoothur3">
                                <label for="fillingontoothur4">4</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur14" value="fillingontoothur4">
                                <label for="fillingontoothur5">5</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur5"  value="fillingontoothur5">
                                <label for="fillingontoothur6">6</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur6"  value="fillingontoothur6">
                                <label for="fillingontoothur7">7</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur7" value="fillingontoothur7">
                                <label for="fillingontoothur8">8</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothur8" value="fillingontoothur8">
                            </td>
                            <td>
                                <label for="fillingontoothul1">1</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul1" value="fillingontoothul1">
                                <label for="fillingontoothul2">2</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul2" value="fillingontoothul2">
                                <label for="fillingontoothul3">3</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul3" value="fillingontoothul3">
                                <label for="fillingontoothul4">4</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul14" value="fillingontoothul4">
                                <label for="fillingontoothul5">5</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul5" value="fillingontoothul5">
                                <label for="fillingontoothul6">6</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul6" value="fillingontoothul6">
                                <label for="fillingontoothul7">7</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul7" value="fillingontoothul7">
                                <label for="fillingontoothul8">8</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothul8" value="fillingontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="fillingontoothlr1">1</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr1" values="fillingontoothlr1">
                                <label for="fillingontoothlr2">2</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr2" values="fillingontoothlr2">
                                <label for="fillingontoothlr3">3</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr3" values="fillingontoothlr3">
                                <label for="fillingontoothlr4">4</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr14" values="fillingontoothlr4">
                                <label for="fillingontoothlr5">5</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr5" values="fillingontoothlr5">
                                <label for="fillingontoothlr6">6</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr6" values="fillingontoothlr6">
                                <label for="fillingontoothlr7">7</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr7" values="fillingontoothlr7">
                                <label for="fillingontoothlr8">8</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlr8" values="fillingontoothlr8">
                            </td>
                            <td>
                                <label for="fillingontoothll1">1</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll1" values="fillingontoothll1">
                                <label for="fillingontoothll2">2</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll2" values="fillingontoothll2">
                                <label for="fillingontoothll3">3</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll3" values="fillingontoothll3">
                                <label for="fillingontoothll4">4</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll14" values="fillingontoothll4">
                                <label for="fillingontoothll5">5</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll5" values="fillingontoothll5">
                                <label for="fillingontoothll6">6</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll6" values="fillingontoothll6">
                                <label for="fillingontoothll7">7</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll7" values="fillingontoothll7">
                                <label for="fillingontoothll8">8</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothll8" values="fillingontoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="fillingontoothura">A</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothura" value="fillingontoothurA">
                                <label for="fillingontoothurb">B</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothurb" value="fillingontoothurB">
                                <label for="fillingontoothurc">C</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothurc" value="fillingontoothurC">
                                <label for="fillingontoothurd">D</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothurad" value="fillingontoothurD">
                                <label for="fillingontoothure">E</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothure"  value="fillingontoothurE">
                            </td>
                            <td>
                                <label for="fillingontoothula">A</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothula" value="fillingontoothulA">
                                <label for="fillingontoothulb">B</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothulb" value="fillingontoothulB">
                                <label for="fillingontoothulc">C</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothulc" value="fillingontoothulC">
                                <label for="fillingontoothuld">D</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothulad" value="fillingontoothulD">
                                <label for="fillingontoothule">E</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothule" value="fillingontoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="fillingontoothlra">A</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlra" values="fillingontoothlrA">
                                <label for="fillingontoothlrb">B</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlrb" values="fillingontoothlrB">
                                <label for="fillingontoothlrc">C</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlrc" values="fillingontoothlrC">
                                <label for="fillingontoothlrd">D</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlrad" values="fillingontoothlrD">
                                <label for="fillingontoothlre">E</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlre" values="fillingontoothlrE">
                            </td>
                            <td>
                                <label for="fillingontoothlla">A</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothlla" values="fillingontoothllA">
                                <label for="fillingontoothllb">B</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothllb" values="fillingontoothllB">
                                <label for="fillingontoothllc">C</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothllc" values="fillingontoothllC">
                                <label for="fillingontoothlld">D</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothllad" values="fillingontoothllD">
                                <label for="fillingontoothlle">E</label>
                                <input type="checkbox" name="fillingontooth[]" id="fillingontoothllad" values="fillingontoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>RCT On</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="rctontoothur1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur1" value="rctontoothur1">
                                <label for="rctontoothur2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur2" value="rctontoothur2">
                                <label for="rctontoothur3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur3" value="rctontoothur3">
                                <label for="rctontoothur4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur14" value="rctontoothur4">
                                <label for="rctontoothur5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur5"  value="rctontoothur5">
                                <label for="rctontoothur6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur6"  value="rctontoothur6">
                                <label for="rctontoothur7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur7" value="rctontoothur7">
                                <label for="rctontoothur8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur8" value="rctontoothur8">
                            </td>
                            <td>
                                <label for="rctontoothul1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul1" value="rctontoothul1">
                                <label for="rctontoothul2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul2" value="rctontoothul2">
                                <label for="rctontoothul3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul3" value="rctontoothul3">
                                <label for="rctontoothul4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul14" value="rctontoothul4">
                                <label for="rctontoothul5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul5" value="rctontoothul5">
                                <label for="rctontoothul6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul6" value="rctontoothul6">
                                <label for="rctontoothul7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul7" value="rctontoothul7">
                                <label for="rctontoothul8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul8" value="rctontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="rctontoothlr1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr1" values="rctontoothlr1">
                                <label for="rctontoothlr2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr2" values="rctontoothlr2">
                                <label for="rctontoothlr3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr3" values="rctontoothlr3">
                                <label for="rctontoothlr4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr14" values="rctontoothlr4">
                                <label for="rctontoothlr5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr5" values="rctontoothlr5">
                                <label for="rctontoothlr6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr6" values="rctontoothlr6">
                                <label for="rctontoothlr7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr7" values="rctontoothlr7">
                                <label for="rctontoothlr8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr8" values="rctontoothlr8">
                            </td>
                            <td>
                                <label for="rctontoothll1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll1" values="rctontoothll1">
                                <label for="rctontoothll2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll2" values="rctontoothll2">
                                <label for="rctontoothll3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll3" values="rctontoothll3">
                                <label for="rctontoothll4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll14" values="rctontoothll4">
                                <label for="rctontoothll5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll5" values="rctontoothll5">
                                <label for="rctontoothll6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll6" values="rctontoothll6">
                                <label for="rctontoothll7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll7" values="rctontoothll7">
                                <label for="rctontoothll8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll8" values="rctontoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="rctontoothura">A</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothura" value="rctontoothurA">
                                <label for="rctontoothurb">B</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothurb" value="rctontoothurB">
                                <label for="rctontoothurc">C</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothurc" value="rctontoothurC">
                                <label for="rctontoothurd">D</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothurad" value="rctontoothurD">
                                <label for="rctontoothure">E</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothure"  value="rctontoothurE">
                            </td>
                            <td>
                                <label for="rctontoothula">A</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothula" value="rctontoothulA">
                                <label for="rctontoothulb">B</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothulb" value="rctontoothulB">
                                <label for="rctontoothulc">C</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothulc" value="rctontoothulC">
                                <label for="rctontoothuld">D</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothulad" value="rctontoothulD">
                                <label for="rctontoothule">E</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothule" value="rctontoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="rctontoothlra">A</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlra" values="rctontoothlrA">
                                <label for="rctontoothlrb">B</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlrb" values="rctontoothlrB">
                                <label for="rctontoothlrc">C</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlrc" values="rctontoothlrC">
                                <label for="rctontoothlrd">D</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlrad" values="rctontoothlrD">
                                <label for="rctontoothlre">E</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlre" values="rctontoothlrE">
                            </td>
                            <td>
                                <label for="rctontoothlla">A</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlla" values="rctontoothllA">
                                <label for="rctontoothllb">B</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothllb" values="rctontoothllB">
                                <label for="rctontoothllc">C</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothllc" values="rctontoothllC">
                                <label for="rctontoothlld">D</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothllad" values="rctontoothllD">
                                <label for="rctontoothlle">E</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothllad" values="rctontoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>PC On</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="rctontoothur1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur1" value="rctontoothur1">
                                <label for="rctontoothur2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur2" value="rctontoothur2">
                                <label for="rctontoothur3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur3" value="rctontoothur3">
                                <label for="rctontoothur4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur14" value="rctontoothur4">
                                <label for="rctontoothur5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur5"  value="rctontoothur5">
                                <label for="rctontoothur6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur6"  value="rctontoothur6">
                                <label for="rctontoothur7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur7" value="rctontoothur7">
                                <label for="rctontoothur8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothur8" value="rctontoothur8">
                            </td>
                            <td>
                                <label for="rctontoothul1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul1" value="rctontoothul1">
                                <label for="rctontoothul2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul2" value="rctontoothul2">
                                <label for="rctontoothul3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul3" value="rctontoothul3">
                                <label for="rctontoothul4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul14" value="rctontoothul4">
                                <label for="rctontoothul5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul5" value="rctontoothul5">
                                <label for="rctontoothul6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul6" value="rctontoothul6">
                                <label for="rctontoothul7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul7" value="rctontoothul7">
                                <label for="rctontoothul8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothul8" value="rctontoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="rctontoothlr1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr1" values="rctontoothlr1">
                                <label for="rctontoothlr2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr2" values="rctontoothlr2">
                                <label for="rctontoothlr3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr3" values="rctontoothlr3">
                                <label for="rctontoothlr4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr14" values="rctontoothlr4">
                                <label for="rctontoothlr5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr5" values="rctontoothlr5">
                                <label for="rctontoothlr6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr6" values="rctontoothlr6">
                                <label for="rctontoothlr7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr7" values="rctontoothlr7">
                                <label for="rctontoothlr8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothlr8" values="rctontoothlr8">
                            </td>
                            <td>
                                <label for="rctontoothll1">1</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll1" values="rctontoothll1">
                                <label for="rctontoothll2">2</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll2" values="rctontoothll2">
                                <label for="rctontoothll3">3</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll3" values="rctontoothll3">
                                <label for="rctontoothll4">4</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll14" values="rctontoothll4">
                                <label for="rctontoothll5">5</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll5" values="rctontoothll5">
                                <label for="rctontoothll6">6</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll6" values="rctontoothll6">
                                <label for="rctontoothll7">7</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll7" values="rctontoothll7">
                                <label for="rctontoothll8">8</label>
                                <input type="checkbox" name="rctontooth[]" id="rctontoothll8" values="rctontoothll8">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>RPD</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="RPDtoothur1">1</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur1" value="RPDtoothur1">
                                <label for="RPDtoothur2">2</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur2" value="RPDtoothur2">
                                <label for="RPDtoothur3">3</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur3" value="RPDtoothur3">
                                <label for="RPDtoothur4">4</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur14" value="RPDtoothur4">
                                <label for="RPDtoothur5">5</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur5"  value="RPDtoothur5">
                                <label for="RPDtoothur6">6</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur6"  value="RPDtoothur6">
                                <label for="RPDtoothur7">7</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur7" value="RPDtoothur7">
                                <label for="RPDtoothur8">8</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothur8" value="RPDtoothur8">
                            </td>
                            <td>
                                <label for="RPDtoothul1">1</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul1" value="RPDtoothul1">
                                <label for="RPDtoothul2">2</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul2" value="RPDtoothul2">
                                <label for="RPDtoothul3">3</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul3" value="RPDtoothul3">
                                <label for="RPDtoothul4">4</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul14" value="RPDtoothul4">
                                <label for="RPDtoothul5">5</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul5" value="RPDtoothul5">
                                <label for="RPDtoothul6">6</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul6" value="RPDtoothul6">
                                <label for="RPDtoothul7">7</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul7" value="RPDtoothul7">
                                <label for="RPDtoothul8">8</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothul8" value="RPDtoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="RPDtoothlr1">1</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr1" values="RPDtoothlr1">
                                <label for="RPDtoothlr2">2</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr2" values="RPDtoothlr2">
                                <label for="RPDtoothlr3">3</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr3" values="RPDtoothlr3">
                                <label for="RPDtoothlr4">4</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr14" values="RPDtoothlr4">
                                <label for="RPDtoothlr5">5</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr5" values="RPDtoothlr5">
                                <label for="RPDtoothlr6">6</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr6" values="RPDtoothlr6">
                                <label for="RPDtoothlr7">7</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr7" values="RPDtoothlr7">
                                <label for="RPDtoothlr8">8</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothlr8" values="RPDtoothlr8">
                            </td>
                            <td>
                                <label for="RPDtoothll1">1</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll1" values="RPDtoothll1">
                                <label for="RPDtoothll2">2</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll2" values="RPDtoothll2">
                                <label for="RPDtoothll3">3</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll3" values="RPDtoothll3">
                                <label for="RPDtoothll4">4</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll14" values="RPDtoothll4">
                                <label for="RPDtoothll5">5</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll5" values="RPDtoothll5">
                                <label for="RPDtoothll6">6</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll6" values="RPDtoothll6">
                                <label for="RPDtoothll7">7</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll7" values="RPDtoothll7">
                                <label for="RPDtoothll8">8</label>
                                <input type="checkbox" name="RPDtooth[]" id="RPDtoothll8" values="RPDtoothll8">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Ext</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Exttoothur1">1</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur1" value="Exttoothur1">
                                <label for="Exttoothur2">2</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur2" value="Exttoothur2">
                                <label for="Exttoothur3">3</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur3" value="Exttoothur3">
                                <label for="Exttoothur4">4</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur14" value="Exttoothur4">
                                <label for="Exttoothur5">5</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur5"  value="Exttoothur5">
                                <label for="Exttoothur6">6</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur6"  value="Exttoothur6">
                                <label for="Exttoothur7">7</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur7" value="Exttoothur7">
                                <label for="Exttoothur8">8</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothur8" value="Exttoothur8">
                            </td>
                            <td>
                                <label for="Exttoothul1">1</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul1" value="Exttoothul1">
                                <label for="Exttoothul2">2</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul2" value="Exttoothul2">
                                <label for="Exttoothul3">3</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul3" value="Exttoothul3">
                                <label for="Exttoothul4">4</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul14" value="Exttoothul4">
                                <label for="Exttoothul5">5</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul5" value="Exttoothul5">
                                <label for="Exttoothul6">6</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul6" value="Exttoothul6">
                                <label for="Exttoothul7">7</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul7" value="Exttoothul7">
                                <label for="Exttoothul8">8</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothul8" value="Exttoothul8">
                            </td>
                        </tr>
                             <td>
                                <label for="Exttoothlr1">1</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr1" values="Exttoothlr1">
                                <label for="Exttoothlr2">2</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr2" values="Exttoothlr2">
                                <label for="Exttoothlr3">3</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr3" values="Exttoothlr3">
                                <label for="Exttoothlr4">4</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr14" values="Exttoothlr4">
                                <label for="Exttoothlr5">5</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr5" values="Exttoothlr5">
                                <label for="Exttoothlr6">6</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr6" values="Exttoothlr6">
                                <label for="Exttoothlr7">7</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr7" values="Exttoothlr7">
                                <label for="Exttoothlr8">8</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlr8" values="Exttoothlr8">
                            </td>
                            <td>
                                <label for="Exttoothll1">1</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll1" values="Exttoothll1">
                                <label for="Exttoothll2">2</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll2" values="Exttoothll2">
                                <label for="Exttoothll3">3</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll3" values="Exttoothll3">
                                <label for="Exttoothll4">4</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll14" values="Exttoothll4">
                                <label for="Exttoothll5">5</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll5" values="Exttoothll5">
                                <label for="Exttoothll6">6</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll6" values="Exttoothll6">
                                <label for="Exttoothll7">7</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll7" values="Exttoothll7">
                                <label for="Exttoothll8">8</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothll8" values="Exttoothll8">
                            </td>
                        </tr>    
                    </table>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Exttoothura">A</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothura" value="ExttoothurA">
                                <label for="Exttoothurb">B</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothurb" value="ExttoothurB">
                                <label for="Exttoothurc">C</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothurc" value="ExttoothurC">
                                <label for="Exttoothurd">D</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothurad" value="ExttoothurD">
                                <label for="Exttoothure">E</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothure"  value="ExttoothurE">
                            </td>
                            <td>
                                <label for="Exttoothula">A</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothula" value="ExttoothulA">
                                <label for="Exttoothulb">B</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothulb" value="ExttoothulB">
                                <label for="Exttoothulc">C</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothulc" value="ExttoothulC">
                                <label for="Exttoothuld">D</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothulad" value="ExttoothulD">
                                <label for="Exttoothule">E</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothule" value="ExttoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Exttoothlra">A</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlra" values="ExttoothlrA">
                                <label for="Exttoothlrb">B</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlrb" values="ExttoothlrB">
                                <label for="Exttoothlrc">C</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlrc" values="ExttoothlrC">
                                <label for="Exttoothlrd">D</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlrad" values="ExttoothlrD">
                                <label for="Exttoothlre">E</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlre" values="ExttoothlrE">
                            </td>
                            <td>
                                <label for="Exttoothlla">A</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothlla" values="ExttoothllA">
                                <label for="Exttoothllb">B</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothllb" values="ExttoothllB">
                                <label for="Exttoothllc">C</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothllc" values="ExttoothllC">
                                <label for="Exttoothlld">D</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothllad" values="ExttoothllD">
                                <label for="Exttoothlle">E</label>
                                <input type="checkbox" name="Exttooth[]" id="Exttoothllad" values="ExttoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Pulpectomy</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Pulpectomytoothura">A</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothura" value="PulpectomytoothurA">
                                <label for="Pulpectomytoothurb">B</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothurb" value="PulpectomytoothurB">
                                <label for="Pulpectomytoothurc">C</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothurc" value="PulpectomytoothurC">
                                <label for="Pulpectomytoothurd">D</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothurad" value="PulpectomytoothurD">
                                <label for="Pulpectomytoothure">E</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothure"  value="PulpectomytoothurE">
                            </td>
                            <td>
                                <label for="Pulpectomytoothula">A</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothula" value="PulpectomytoothulA">
                                <label for="Pulpectomytoothulb">B</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothulb" value="PulpectomytoothulB">
                                <label for="Pulpectomytoothulc">C</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothulc" value="PulpectomytoothulC">
                                <label for="Pulpectomytoothuld">D</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothulad" value="PulpectomytoothulD">
                                <label for="Pulpectomytoothule">E</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothule" value="PulpectomytoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Pulpectomytoothlra">A</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlra" values="PulpectomytoothlrA">
                                <label for="Pulpectomytoothlrb">B</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlrb" values="PulpectomytoothlrB">
                                <label for="Pulpectomytoothlrc">C</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlrc" values="PulpectomytoothlrC">
                                <label for="Pulpectomytoothlrd">D</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlrad" values="PulpectomytoothlrD">
                                <label for="Pulpectomytoothlre">E</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlre" values="PulpectomytoothlrE">
                            </td>
                            <td>
                                <label for="Pulpectomytoothlla">A</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothlla" values="PulpectomytoothllA">
                                <label for="Pulpectomytoothllb">B</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothllb" values="PulpectomytoothllB">
                                <label for="Pulpectomytoothllc">C</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothllc" values="PulpectomytoothllC">
                                <label for="Pulpectomytoothlld">D</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothllad" values="PulpectomytoothllD">
                                <label for="Pulpectomytoothlle">E</label>
                                <input type="checkbox" name="Pulpectomytooth[]" id="Pulpectomytoothllad" values="PulpectomytoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <h6>Pulpotomy</h6>
                    <table class ="table b-5">
                        <tr>
                            <td>
                                <label for="Pulpotomytoothura">A</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothura" value="PulpotomytoothurA">
                                <label for="Pulpotomytoothurb">B</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothurb" value="PulpotomytoothurB">
                                <label for="Pulpotomytoothurc">C</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothurc" value="PulpotomytoothurC">
                                <label for="Pulpotomytoothurd">D</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothurad" value="PulpotomytoothurD">
                                <label for="Pulpotomytoothure">E</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothure"  value="PulpotomytoothurE">
                            </td>
                            <td>
                                <label for="Pulpotomytoothula">A</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothula" value="PulpotomytoothulA">
                                <label for="Pulpotomytoothulb">B</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothulb" value="PulpotomytoothulB">
                                <label for="Pulpotomytoothulc">C</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothulc" value="PulpotomytoothulC">
                                <label for="Pulpotomytoothuld">D</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothulad" value="PulpotomytoothulD">
                                <label for="Pulpotomytoothule">E</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothule" value="PulpotomytoothulE">
                            </td>
                        </tr>
                             <td>
                                <label for="Pulpotomytoothlra">A</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlra" values="PulpotomytoothlrA">
                                <label for="Pulpotomytoothlrb">B</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlrb" values="PulpotomytoothlrB">
                                <label for="Pulpotomytoothlrc">C</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlrc" values="PulpotomytoothlrC">
                                <label for="Pulpotomytoothlrd">D</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlrad" values="PulpotomytoothlrD">
                                <label for="Pulpotomytoothlre">E</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlre" values="PulpotomytoothlrE">
                            </td>
                            <td>
                                <label for="Pulpotomytoothlla">A</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothlla" values="PulpotomytoothllA">
                                <label for="Pulpotomytoothllb">B</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothllb" values="PulpotomytoothllB">
                                <label for="Pulpotomytoothllc">C</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothllc" values="PulpotomytoothllC">
                                <label for="Pulpotomytoothlld">D</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothllad" values="PulpotomytoothllD">
                                <label for="Pulpotomytoothlle">E</label>
                                <input type="checkbox" name="Pulpotomytooth[]" id="Pulpotomytoothllad" values="PulpotomytoothllE">
                            </td>
                        </tr>    
                    </table>
                </div>
                <div>
                    <input type="checkbox" id="scalingandpolishing" name="scalingandpolishing">
                    <label for="scalingandpolishing">Scaling and Polishing</label><br>
                    <input type="checkbox" id="Bridge" name="Bridge">
                    <label for="Bridge">Bridge</label><br>
                    <input type="checkbox" id="CD" name="CD">
                    <label for="CD">CD</label><br>
                    <input type="checkbox" id="Apisectomy" name="Apisectomy">
                    <label for="Apisectomy">Apisectomy</label><br>
                    <input type="checkbox" id="Apexification" name="Apexification">
                    <label for="Apexification">Apexification</label><br>
                    <input type="checkbox" id="scalingandpolishing" name="Apexogenesis">
                    <label for="Apexogenesis">Apexogenesis</label><br>
                    <input type="checkbox" id="DirectPulpcapping" name="DirectPulpcapping">
                    <label for="DirectPulpcapping">Direct Pulp capping</label><br>
                    <input type="checkbox" id="IndirectPulpcapping" name="IndirectPulpcapping">
                    <label for="IndirectPulpcapping">Indirect Pulp capping</label><br>
                    <input type="checkbox" id="Midlinediastemacloser" name="Midlinediastemacloser">
                    <label for="Midlinediastemacloser">Midline diastema closer</label><br>
                </div>
            </div>
        </div>
        <hr class="my-3">
        <div class="row">
            <h4>Medicine</h4>
            <div class="container">
    <!-- Set 1 -->
    <div class="row">
        <div class="col-3">
            <label for="t1">Type</label>
            <select id="t1" class="form-control py-1" data-t="1" name="t1">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i1">Item</label>
            <input type="text" class="form-control py-1" id="i1" data-i="1" name="i1">
        </div>
        <div class="col-3">
            <label for="r1">Rule</label>
            <input type="text" class="form-control py-1" id="r1" data-r="1" name="r1">
        </div>
        <div class="col-3">
            <label for="p1">Period</label>
            <input type="text" class="form-control py-1" id="p1" data-p="1" name="p1">
        </div>
    </div>
    
    <!-- Set 2 -->
    <div class="row">
        <div class="col-3">
            <label for="t2">Type</label>
            <select id="t2" class="form-control py-1" data-t="2" name="t2">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i2">Item</label>
            <input type="text" class="form-control py-1" id="i2" data-i="2" name="i2">
        </div>
        <div class="col-3">
            <label for="r2">Rule</label>
            <input type="text" class="form-control py-1" id="r2" data-r="2" name="r2">
        </div>
        <div class="col-3">
            <label for="p2">Period</label>
            <input type="text" class="form-control py-1" id="p2" data-p="2" name="p2">
        </div>
    </div>

    <!-- Repeat similar structure for sets 3 to 8 -->

    <!-- Set 3 -->
    <div class="row">
        <div class="col-3">
            <label for="t3">Type</label>
            <select id="t3" class="form-control py-1" data-t="3" name="t3">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i3">Item</label>
            <input type="text" class="form-control py-1" id="i3" data-i="3" name="i3">
        </div>
        <div class="col-3">
            <label for="r3">Rule</label>
            <input type="text" class="form-control py-1" id="r3" data-r="3" name="r3">
        </div>
        <div class="col-3">
            <label for="p3">Period</label>
            <input type="text" class="form-control py-1" id="p3" data-p="3" name="p3">
        </div>
    </div>

    <!-- Set 4 -->
    <div class="row">
        <div class="col-3">
            <label for="t4">Type</label>
            <select id="t4" class="form-control py-1" data-t="4" name="t4">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i4">Item</label>
            <input type="text" class="form-control py-1" id="i4" data-i="4" name="i4">
        </div>
        <div class="col-3">
            <label for="r4">Rule</label>
            <input type="text" class="form-control py-1" id="r4" data-r="4" name="r4">
        </div>
        <div class="col-3">
            <label for="p4">Period</label>
            <input type="text" class="form-control py-1" id="p4" data-p="4" name="p4">
        </div>
    </div>

    <!-- Set 5 -->
    <div class="row">
        <div class="col-3">
            <label for="t5">Type</label>
            <select id="t5" class="form-control py-1" data-t="5" name="t5">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i5">Item</label>
            <input type="text" class="form-control py-1" id="i5" data-i="5" name="i5">
        </div>
        <div class="col-3">
            <label for="r5">Rule</label>
            <input type="text" class="form-control py-1" id="r5" data-r="5" name="r5">
        </div>
        <div class="col-3">
            <label for="p5">Period</label>
            <input type="text" class="form-control py-1" id="p5" data-p="5" name="p5">
        </div>
    </div>

    <!-- Set 6 -->
    <div class="row">
        <div class="col-3">
            <label for="t6">Type</label>
            <select id="t6" class="form-control py-1" data-t="6" name="t6">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i6">Item</label>
            <input type="text" class="form-control py-1" id="i6" data-i="6" name="i6">
        </div>
        <div class="col-3">
            <label for="r6">Rule</label>
            <input type="text" class="form-control py-1" id="r6" data-r="6" name="r6">
        </div>
        <div class="col-3">
            <label for="p6">Period</label>
            <input type="text" class="form-control py-1" id="p6" data-p="6" name="p6">
        </div>
    </div>

    <!-- Set 7 -->
    <div class="row">
        <div class="col-3">
            <label for="t7">Type</label>
            <select id="t7" class="form-control py-1" data-t="7" name="t7">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i7">Item</label>
            <input type="text" class="form-control py-1" id="i7" data-i="7" name="i7">
        </div>
        <div class="col-3">
            <label for="r7">Rule</label>
            <input type="text" class="form-control py-1" id="r7" data-r="7" name="r7">
        </div>
        <div class="col-3">
            <label for="p7">Period</label>
            <input type="text" class="form-control py-1" id="p7" data-p="7" name="p7">
        </div>
    </div>

    <!-- Set 8 -->
    <div class="row">
        <div class="col-3">
            <label for="t8">Type</label>
            <select id="t8" class="form-control py-1" data-t="8" name="t8">
                <option value="">Select One</option>
                <option value="SYP">SYP</option>
                <option value="Tab">Tab</option>
                <option value="Cap">cap</option>
                <option value="INJ">INJ</option>
                <option value="THYP">THYP</option>
            </select>
        </div>
        <div class="col-3">
            <label for="i8">Item</label>
            <input type="text" class="form-control py-1" id="i8" data-i="8" name="i8">
        </div>
        <div class="col-3">
            <label for="r8">Rule</label>
            <input type="text" class="form-control py-1" id="r8" data-r="8" name="r8">
        </div>
        <div class="col-3">
            <label for="p8">Period</label>
            <input type="text" class="form-control py-1" id="p8" data-p="8" name="p8">
        </div>
    </div>
</div>

        </div>
        <button class="btn btn-main m-2">Process</button>
    </form>
</div>
<?php
include_once('footer.php');
?>